-- MySQL dump 10.13  Distrib 5.7.26, for Win32 (AMD64)
--
-- Host: localhost    Database: emptynet
-- ------------------------------------------------------
-- Server version	5.1.46-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `1changes`
--

DROP TABLE IF EXISTS `1changes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `1changes` (
  `sl_no` int(10) NOT NULL,
  `dated` datetime DEFAULT NULL,
  `change` longtext,
  `made_changes_or_not` varchar(250) DEFAULT NULL,
  `dated2` datetime DEFAULT NULL,
  PRIMARY KEY (`sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `1changes`
--

LOCK TABLES `1changes` WRITE;
/*!40000 ALTER TABLE `1changes` DISABLE KEYS */;
/*!40000 ALTER TABLE `1changes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_consultants`
--

DROP TABLE IF EXISTS `ab_appt_consultants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_consultants` (
  `consultant_name` varchar(100) NOT NULL,
  `main_group` varchar(50) DEFAULT NULL,
  `locum_consultant` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`consultant_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_consultants`
--

LOCK TABLES `ab_appt_consultants` WRITE;
/*!40000 ALTER TABLE `ab_appt_consultants` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_consultants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_details`
--

DROP TABLE IF EXISTS `ab_appt_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_details` (
  `customer_id` varchar(50) DEFAULT NULL,
  `noted_on` datetime DEFAULT NULL,
  `arrival_time` datetime DEFAULT NULL,
  `original_appt` datetime NOT NULL,
  `appt_at` datetime DEFAULT NULL,
  `duration_of_appt` int(10) DEFAULT NULL,
  `named1` varchar(100) DEFAULT NULL,
  `named2` varchar(100) DEFAULT NULL,
  `mobile_no` varchar(50) DEFAULT NULL,
  `purpose` varchar(50) DEFAULT NULL,
  `consultant_name` varchar(100) NOT NULL,
  `user_name1` varchar(5) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `ref_by` varchar(100) DEFAULT NULL,
  `for_user` varchar(5) DEFAULT NULL,
  `room_for_interaction` varchar(150) DEFAULT NULL,
  `collect_1` decimal(18,2) DEFAULT NULL,
  `collect_2` decimal(18,2) DEFAULT NULL,
  `collect_3` decimal(18,2) DEFAULT NULL,
  `collect_4` decimal(18,2) DEFAULT NULL,
  `token_no` smallint(5) DEFAULT NULL,
  PRIMARY KEY (`original_appt`,`consultant_name`),
  KEY `customer_id` (`customer_id`),
  KEY `FK_ab_appt_details_1` (`consultant_name`),
  KEY `FK_ab_appt_details_2` (`room_for_interaction`,`consultant_name`),
  CONSTRAINT `FK_ab_appt_details_1` FOREIGN KEY (`consultant_name`) REFERENCES `ab_appt_consultants` (`consultant_name`),
  CONSTRAINT `FK_ab_appt_details_2` FOREIGN KEY (`room_for_interaction`, `consultant_name`) REFERENCES `ab_appt_rooms` (`room_name`, `consultant_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_details`
--

LOCK TABLES `ab_appt_details` WRITE;
/*!40000 ALTER TABLE `ab_appt_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_holidays`
--

DROP TABLE IF EXISTS `ab_appt_holidays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_holidays` (
  `consultant_name` varchar(100) NOT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `reason_for_holiday` varchar(50) NOT NULL,
  PRIMARY KEY (`consultant_name`,`reason_for_holiday`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_holidays`
--

LOCK TABLES `ab_appt_holidays` WRITE;
/*!40000 ALTER TABLE `ab_appt_holidays` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_holidays` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_rooms`
--

DROP TABLE IF EXISTS `ab_appt_rooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_rooms` (
  `room_name` varchar(150) NOT NULL,
  `consultant_name` varchar(100) NOT NULL,
  PRIMARY KEY (`room_name`,`consultant_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_rooms`
--

LOCK TABLES `ab_appt_rooms` WRITE;
/*!40000 ALTER TABLE `ab_appt_rooms` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_rooms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_status_types`
--

DROP TABLE IF EXISTS `ab_appt_status_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_status_types` (
  `status_type` varchar(150) NOT NULL,
  `consultant_name` varchar(100) NOT NULL,
  PRIMARY KEY (`status_type`,`consultant_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_status_types`
--

LOCK TABLES `ab_appt_status_types` WRITE;
/*!40000 ALTER TABLE `ab_appt_status_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_status_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_tasks`
--

DROP TABLE IF EXISTS `ab_appt_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_tasks` (
  `task_name` varchar(150) NOT NULL,
  `consultant_name` varchar(100) NOT NULL,
  PRIMARY KEY (`task_name`,`consultant_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_tasks`
--

LOCK TABLES `ab_appt_tasks` WRITE;
/*!40000 ALTER TABLE `ab_appt_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ab_appt_time_tables`
--

DROP TABLE IF EXISTS `ab_appt_time_tables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ab_appt_time_tables` (
  `consultant_name` varchar(100) NOT NULL,
  `name_of_time_table` varchar(50) NOT NULL,
  `appt_hr` smallint(5) NOT NULL,
  `appt_minute` smallint(5) NOT NULL,
  `appt_am_pm` varchar(2) NOT NULL,
  `appt_duration` smallint(5) DEFAULT NULL,
  `appt_purpose` varchar(50) DEFAULT NULL,
  `appt_room` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`consultant_name`,`name_of_time_table`,`appt_hr`,`appt_minute`,`appt_am_pm`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ab_appt_time_tables`
--

LOCK TABLES `ab_appt_time_tables` WRITE;
/*!40000 ALTER TABLE `ab_appt_time_tables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ab_appt_time_tables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acc_accounts`
--

DROP TABLE IF EXISTS `acc_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acc_accounts` (
  `book_name` varchar(10) NOT NULL,
  `account_name` varchar(50) NOT NULL,
  `subgroup_name` varchar(50) DEFAULT NULL,
  `group_name` varchar(50) DEFAULT NULL,
  `bs_side` decimal(5,3) DEFAULT NULL,
  `ie_side` decimal(5,3) DEFAULT NULL,
  `originals` tinyint(3) unsigned DEFAULT NULL,
  `secondary_subgroup_name` varchar(50) DEFAULT NULL,
  `secondary_group_name` varchar(50) DEFAULT NULL,
  `secondary_bs_side` double(7,2) DEFAULT NULL,
  `subgroup_as` varchar(50) DEFAULT NULL,
  `account_type` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`book_name`,`account_name`),
  KEY `{8A5416E2-F4DC-11DA-B464-0050BA` (`book_name`),
  CONSTRAINT `FK_acc_accounts_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acc_accounts`
--

LOCK TABLES `acc_accounts` WRITE;
/*!40000 ALTER TABLE `acc_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `acc_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acc_books`
--

DROP TABLE IF EXISTS `acc_books`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acc_books` (
  `book_name` varchar(10) NOT NULL,
  `company_name` varchar(50) DEFAULT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `connected_to_stocks` varchar(3) DEFAULT NULL,
  `max_bill_no_op` double DEFAULT '0',
  `max_bill_no_ip` double DEFAULT '0',
  `max_sl_no_stocks_voucher` double DEFAULT '0',
  `col01` varchar(255) DEFAULT '-',
  `col02` varchar(255) DEFAULT '-',
  `col03` varchar(255) DEFAULT '-',
  `col04` varchar(255) DEFAULT '-',
  `col05` varchar(255) DEFAULT '-',
  `col06` varchar(255) DEFAULT '-',
  `col07` varchar(255) DEFAULT '-',
  `col08` varchar(255) DEFAULT '-',
  `col09` varchar(255) DEFAULT '-',
  `col10` varchar(255) DEFAULT '-',
  `get_bill_no_only_during_save_op` varchar(255) DEFAULT 'y',
  `get_bill_no_only_during_save_ip` varchar(45) DEFAULT 'y',
  `fam_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `ffacilities_left_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `ffacilities_right_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `finstructions_kan_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fname_eng_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fname_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fnight_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fpm_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fsunday_holiday_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fworking_hours_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `h1` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsulant_degree` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsultant_designation` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsultant_name` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hdescription_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_address_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_address_local_language` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_name_local_language` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_name_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_phone` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hwww` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `imported_from` decimal(10,0) DEFAULT '0',
  PRIMARY KEY (`book_name`),
  KEY `{8A5416ED-F4DC-11DA-B464-0050BA` (`company_name`),
  CONSTRAINT `FK_acc_books_1` FOREIGN KEY (`company_name`) REFERENCES `acc_companies` (`company_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acc_books`
--

LOCK TABLES `acc_books` WRITE;
/*!40000 ALTER TABLE `acc_books` DISABLE KEYS */;
/*!40000 ALTER TABLE `acc_books` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acc_companies`
--

DROP TABLE IF EXISTS `acc_companies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acc_companies` (
  `company_name` varchar(50) NOT NULL,
  `owner_1` varchar(50) DEFAULT NULL,
  `address_1` varchar(50) DEFAULT NULL,
  `address_2` varchar(50) DEFAULT NULL,
  `address_3` varchar(50) DEFAULT NULL,
  `address_4` varchar(50) DEFAULT NULL,
  `mission_statement` varchar(255) DEFAULT NULL,
  `brought_for` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`company_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acc_companies`
--

LOCK TABLES `acc_companies` WRITE;
/*!40000 ALTER TABLE `acc_companies` DISABLE KEYS */;
/*!40000 ALTER TABLE `acc_companies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acc_transactions2`
--

DROP TABLE IF EXISTS `acc_transactions2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acc_transactions2` (
  `book_name` varchar(10) NOT NULL,
  `voucher_type` varchar(15) NOT NULL,
  `voucher_no` int(10) NOT NULL,
  `transaction_no` smallint(5) NOT NULL,
  `account_name_cr` varchar(50) NOT NULL,
  `account_name_db` varchar(50) NOT NULL,
  `amount` decimal(19,4) NOT NULL,
  `dates` datetime DEFAULT NULL,
  `comments` varchar(50) DEFAULT NULL,
  `bal` decimal(19,4) DEFAULT NULL,
  `dates_on` datetime DEFAULT NULL,
  PRIMARY KEY (`book_name`,`voucher_type`,`voucher_no`,`transaction_no`,`account_name_cr`,`account_name_db`,`amount`),
  KEY `{8A5416E0-F4DC-11DA-B464-0050BA` (`book_name`,`account_name_cr`),
  KEY `{8A5416E1-F4DC-11DA-B464-0050BA` (`book_name`,`account_name_db`),
  KEY `acc_transactions2book_name` (`book_name`),
  KEY `asdfa` (`voucher_no`),
  CONSTRAINT `FK_acc_transactions2_1` FOREIGN KEY (`book_name`, `account_name_cr`) REFERENCES `acc_accounts` (`book_name`, `account_name`),
  CONSTRAINT `FK_acc_transactions2_2` FOREIGN KEY (`book_name`, `account_name_db`) REFERENCES `acc_accounts` (`book_name`, `account_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acc_transactions2`
--

LOCK TABLES `acc_transactions2` WRITE;
/*!40000 ALTER TABLE `acc_transactions2` DISABLE KEYS */;
/*!40000 ALTER TABLE `acc_transactions2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acc_transbetween`
--

DROP TABLE IF EXISTS `acc_transbetween`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acc_transbetween` (
  `divisn` varchar(2) NOT NULL DEFAULT 'op',
  `receiving_book_name` varchar(50) NOT NULL DEFAULT '8',
  `giving_book_name` varchar(50) NOT NULL DEFAULT '8',
  `debtor_name` varchar(255) NOT NULL DEFAULT '--' COMMENT 'Has to be a PK',
  `particulars_name` varchar(100) DEFAULT '-',
  `point_id` varchar(10) DEFAULT '-',
  `databasesystem` varchar(10) DEFAULT '-',
  `admin_user` varchar(20) DEFAULT '-',
  `admin_password` varchar(100) DEFAULT '-',
  `host_address` varchar(250) DEFAULT '-',
  `db_name` varchar(255) DEFAULT '-',
  `giving_divisn` varchar(5) DEFAULT '-',
  `short_name` varchar(10) DEFAULT '-',
  `creditor_name` varchar(255) DEFAULT '-',
  PRIMARY KEY (`divisn`,`receiving_book_name`,`giving_book_name`,`debtor_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='for configuringation settings of transaction between account';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acc_transbetween`
--

LOCK TABLES `acc_transbetween` WRITE;
/*!40000 ALTER TABLE `acc_transbetween` DISABLE KEYS */;
/*!40000 ALTER TABLE `acc_transbetween` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_1firms`
--

DROP TABLE IF EXISTS `all_1firms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_1firms` (
  `firm_id` varchar(3) NOT NULL,
  `firm_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`firm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_1firms`
--

LOCK TABLES `all_1firms` WRITE;
/*!40000 ALTER TABLE `all_1firms` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_1firms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_1schemes_details`
--

DROP TABLE IF EXISTS `all_1schemes_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_1schemes_details` (
  `scheme_name` varchar(250) NOT NULL,
  `dataobject_name` varchar(250) NOT NULL,
  `object_name` varchar(50) NOT NULL,
  `object_type` varchar(50) DEFAULT NULL,
  `x1` int(11) DEFAULT '0',
  `y1` int(11) DEFAULT '0',
  `width1` int(11) DEFAULT '0',
  `height1` int(11) DEFAULT '0',
  `text_1` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`scheme_name`,`dataobject_name`,`object_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_1schemes_details`
--

LOCK TABLES `all_1schemes_details` WRITE;
/*!40000 ALTER TABLE `all_1schemes_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_1schemes_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_1schemes_header`
--

DROP TABLE IF EXISTS `all_1schemes_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_1schemes_header` (
  `scheme_name` varchar(250) NOT NULL,
  `dataobject_name` varchar(250) NOT NULL,
  PRIMARY KEY (`scheme_name`,`dataobject_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_1schemes_header`
--

LOCK TABLES `all_1schemes_header` WRITE;
/*!40000 ALTER TABLE `all_1schemes_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_1schemes_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_2branches`
--

DROP TABLE IF EXISTS `all_2branches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_2branches` (
  `firm_id` varchar(3) DEFAULT NULL,
  `branch_id` varchar(3) NOT NULL,
  `branch_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`branch_id`),
  UNIQUE KEY `short_branch_name` (`branch_id`),
  KEY `all_1firmsall_2branches` (`firm_id`),
  CONSTRAINT `FK_all_2branches_1` FOREIGN KEY (`firm_id`) REFERENCES `all_1firms` (`firm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_2branches`
--

LOCK TABLES `all_2branches` WRITE;
/*!40000 ALTER TABLE `all_2branches` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_2branches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_3buildings`
--

DROP TABLE IF EXISTS `all_3buildings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_3buildings` (
  `firm_id` varchar(3) DEFAULT NULL,
  `branch_id` varchar(3) DEFAULT NULL,
  `building_id` varchar(3) NOT NULL,
  `building_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`building_id`),
  KEY `all_1firmsall_3buildings` (`firm_id`),
  KEY `all_2branchesall_3buildings` (`branch_id`),
  CONSTRAINT `FK_all_3buildings_1` FOREIGN KEY (`firm_id`) REFERENCES `all_1firms` (`firm_id`),
  CONSTRAINT `FK_all_3buildings_2` FOREIGN KEY (`branch_id`) REFERENCES `all_2branches` (`branch_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_3buildings`
--

LOCK TABLES `all_3buildings` WRITE;
/*!40000 ALTER TABLE `all_3buildings` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_3buildings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_4floors`
--

DROP TABLE IF EXISTS `all_4floors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_4floors` (
  `firm_id` varchar(3) DEFAULT NULL,
  `branch_id` varchar(3) DEFAULT NULL,
  `building_id` varchar(3) NOT NULL,
  `floor_id` varchar(3) NOT NULL,
  `floor_name` varchar(255) DEFAULT NULL,
  `floor_picture` varchar(255) DEFAULT NULL,
  `picture_height` int(10) DEFAULT NULL,
  `picture_width` int(10) DEFAULT NULL,
  `bed_height` int(10) DEFAULT NULL,
  `bed_width` int(10) DEFAULT NULL,
  PRIMARY KEY (`building_id`,`floor_id`),
  KEY `all_1firmsall_4floors` (`firm_id`),
  KEY `all_2branchesall_4floors` (`branch_id`),
  KEY `all_3buildingsall_4floors` (`building_id`),
  CONSTRAINT `FK_all_4floors_1` FOREIGN KEY (`firm_id`) REFERENCES `all_1firms` (`firm_id`),
  CONSTRAINT `FK_all_4floors_2` FOREIGN KEY (`branch_id`) REFERENCES `all_2branches` (`branch_id`),
  CONSTRAINT `FK_all_4floors_3` FOREIGN KEY (`building_id`) REFERENCES `all_3buildings` (`building_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_4floors`
--

LOCK TABLES `all_4floors` WRITE;
/*!40000 ALTER TABLE `all_4floors` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_4floors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_4groom_groups`
--

DROP TABLE IF EXISTS `all_4groom_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_4groom_groups` (
  `room_group` varchar(50) NOT NULL,
  `sl_no_of_stocks_voucher` int(10) DEFAULT NULL,
  `store_id` varchar(3) DEFAULT NULL,
  `group_description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`room_group`),
  KEY `all_stores_listall_4groom_groups` (`store_id`),
  KEY `sl_no_of_stocks_voucher` (`sl_no_of_stocks_voucher`),
  KEY `store_id` (`store_id`),
  CONSTRAINT `FK_all_4groom_groups_1` FOREIGN KEY (`store_id`) REFERENCES `all_stores_list` (`store_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_4groom_groups`
--

LOCK TABLES `all_4groom_groups` WRITE;
/*!40000 ALTER TABLE `all_4groom_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_4groom_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_4super_groups`
--

DROP TABLE IF EXISTS `all_4super_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_4super_groups` (
  `room_group` varchar(50) NOT NULL,
  `room_id` varchar(3) NOT NULL,
  PRIMARY KEY (`room_group`,`room_id`),
  KEY `all_4groom_groupsall_4super_gro` (`room_group`),
  CONSTRAINT `FK_all_4super_groups_1` FOREIGN KEY (`room_group`) REFERENCES `all_4groom_groups` (`room_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_4super_groups`
--

LOCK TABLES `all_4super_groups` WRITE;
/*!40000 ALTER TABLE `all_4super_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_4super_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_5rooms`
--

DROP TABLE IF EXISTS `all_5rooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_5rooms` (
  `firm_id` varchar(3) DEFAULT NULL,
  `branch_id` varchar(3) DEFAULT NULL,
  `building_id` varchar(3) DEFAULT NULL,
  `floor_id` varchar(3) NOT NULL,
  `room_id` varchar(3) NOT NULL,
  `room_name` varchar(255) DEFAULT NULL,
  `room_type_id` varchar(2) DEFAULT NULL,
  `store_id` varchar(3) DEFAULT NULL,
  `room_group` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`floor_id`,`room_id`),
  KEY `all_1firmsall_5rooms` (`firm_id`),
  KEY `all_2branchesall_5rooms` (`branch_id`),
  KEY `all_3buildingsall_5rooms` (`building_id`),
  KEY `all_4floorsall_5rooms` (`building_id`,`floor_id`),
  KEY `all_4groom_groupsall_5rooms` (`room_group`),
  KEY `all_7room_typeall_5rooms` (`room_type_id`),
  KEY `store_id` (`store_id`),
  CONSTRAINT `FK_all_5rooms_1` FOREIGN KEY (`firm_id`) REFERENCES `all_1firms` (`firm_id`),
  CONSTRAINT `FK_all_5rooms_2` FOREIGN KEY (`branch_id`) REFERENCES `all_2branches` (`branch_id`),
  CONSTRAINT `FK_all_5rooms_3` FOREIGN KEY (`building_id`) REFERENCES `all_3buildings` (`building_id`),
  CONSTRAINT `FK_all_5rooms_4` FOREIGN KEY (`building_id`, `floor_id`) REFERENCES `all_4floors` (`building_id`, `floor_id`),
  CONSTRAINT `FK_all_5rooms_5` FOREIGN KEY (`room_group`) REFERENCES `all_4groom_groups` (`room_group`),
  CONSTRAINT `FK_all_5rooms_6` FOREIGN KEY (`room_type_id`) REFERENCES `all_7room_types` (`room_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_5rooms`
--

LOCK TABLES `all_5rooms` WRITE;
/*!40000 ALTER TABLE `all_5rooms` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_5rooms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_6beds`
--

DROP TABLE IF EXISTS `all_6beds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_6beds` (
  `firm_id` varchar(3) DEFAULT NULL,
  `branch_id` varchar(3) DEFAULT NULL,
  `building_id` varchar(3) DEFAULT NULL,
  `floor_id` varchar(3) DEFAULT NULL,
  `room_id` varchar(3) NOT NULL,
  `bed_id` varchar(3) NOT NULL,
  `bed_name` varchar(255) DEFAULT NULL,
  `occupier_id` varchar(50) DEFAULT NULL,
  `bed_x` int(10) DEFAULT NULL,
  `bed_y` int(10) DEFAULT NULL,
  `doa` datetime DEFAULT NULL,
  PRIMARY KEY (`room_id`,`bed_id`),
  KEY `all_1firmsall_6beds` (`firm_id`),
  KEY `all_2branchesall_6beds` (`branch_id`),
  KEY `all_3buildingsall_6beds` (`building_id`),
  KEY `all_4floorsall_6beds` (`building_id`,`floor_id`),
  KEY `all_5roomsall_6beds` (`floor_id`,`room_id`),
  KEY `all_customersall_6beds` (`occupier_id`),
  CONSTRAINT `FK_all_6beds_2` FOREIGN KEY (`firm_id`) REFERENCES `all_1firms` (`firm_id`),
  CONSTRAINT `FK_all_6beds_3` FOREIGN KEY (`branch_id`) REFERENCES `all_2branches` (`branch_id`),
  CONSTRAINT `FK_all_6beds_4` FOREIGN KEY (`building_id`) REFERENCES `all_3buildings` (`building_id`),
  CONSTRAINT `FK_all_6beds_5` FOREIGN KEY (`building_id`, `floor_id`) REFERENCES `all_4floors` (`building_id`, `floor_id`),
  CONSTRAINT `FK_all_6beds_6` FOREIGN KEY (`floor_id`, `room_id`) REFERENCES `all_5rooms` (`floor_id`, `room_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_6beds`
--

LOCK TABLES `all_6beds` WRITE;
/*!40000 ALTER TABLE `all_6beds` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_6beds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_7room_types`
--

DROP TABLE IF EXISTS `all_7room_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_7room_types` (
  `room_type_id` varchar(2) NOT NULL,
  `room_type_name` varchar(255) DEFAULT NULL,
  `room_charges` decimal(18,2) DEFAULT NULL,
  `particular_in_bills` varchar(100) DEFAULT NULL,
  `particular_in_bills2` varchar(100) DEFAULT NULL,
  `particular_in_bills3` varchar(100) DEFAULT NULL,
  `particular_in_bills4` varchar(100) DEFAULT NULL,
  `particular_in_bills5` varchar(100) DEFAULT NULL,
  `charges2` decimal(18,2) DEFAULT NULL,
  `charges3` decimal(18,2) DEFAULT NULL,
  `charges4` decimal(18,2) DEFAULT NULL,
  `charges5` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`room_type_id`),
  UNIQUE KEY `ward_type_id` (`room_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_7room_types`
--

LOCK TABLES `all_7room_types` WRITE;
/*!40000 ALTER TABLE `all_7room_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_7room_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_8accomodation`
--

DROP TABLE IF EXISTS `all_8accomodation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_8accomodation` (
  `customer_id` varchar(50) NOT NULL,
  `bed_id` varchar(3) NOT NULL,
  `room_id` varchar(3) NOT NULL,
  `from_time` datetime NOT NULL,
  `status` varchar(50) DEFAULT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `status2` varchar(1) DEFAULT NULL,
  `book_name` varchar(10) DEFAULT NULL,
  `department` varchar(100) DEFAULT NULL,
  `rpt_no` int(10) DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`bed_id`,`room_id`,`from_time`),
  KEY `all_6bedsall_8accomodation` (`room_id`,`bed_id`),
  KEY `all_receipts_headerall_8accomod` (`rpt_no`,`book_name`,`department`),
  KEY `bed_id` (`bed_id`),
  KEY `customer_id` (`customer_id`),
  KEY `room_id` (`room_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_all_8accomodation_2` FOREIGN KEY (`room_id`, `bed_id`) REFERENCES `all_6beds` (`room_id`, `bed_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_8accomodation`
--

LOCK TABLES `all_8accomodation` WRITE;
/*!40000 ALTER TABLE `all_8accomodation` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_8accomodation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_8accomodation_archive`
--

DROP TABLE IF EXISTS `all_8accomodation_archive`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_8accomodation_archive` (
  `customer_id` varchar(50) NOT NULL,
  `bed_id` varchar(3) NOT NULL,
  `room_id` varchar(3) NOT NULL,
  `from_time` datetime NOT NULL,
  `status` varchar(50) DEFAULT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `status2` varchar(1) DEFAULT NULL,
  `book_name` varchar(10) DEFAULT NULL,
  `department` varchar(100) DEFAULT NULL,
  `rpt_no` int(10) DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`bed_id`,`room_id`,`from_time`),
  KEY `bed_id` (`bed_id`),
  KEY `customer_id` (`customer_id`),
  KEY `room_id` (`room_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_8accomodation_archive`
--

LOCK TABLES `all_8accomodation_archive` WRITE;
/*!40000 ALTER TABLE `all_8accomodation_archive` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_8accomodation_archive` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_bills_items`
--

DROP TABLE IF EXISTS `all_bills_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_bills_items` (
  `sl_no` varchar(50) NOT NULL,
  `dated` datetime NOT NULL,
  `customer_id` varchar(50) NOT NULL,
  `named` varchar(50) NOT NULL,
  `subheading` varchar(50) DEFAULT NULL,
  `particulars` varchar(100) NOT NULL,
  `rated` decimal(18,2) DEFAULT NULL,
  `qnty` decimal(18,2) DEFAULT NULL,
  `firm_name` varchar(50) DEFAULT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `account_of` varchar(50) DEFAULT NULL,
  `notes` varchar(50) DEFAULT NULL,
  `book_name` varchar(10) NOT NULL,
  `rpt_no` int(10) NOT NULL,
  `department` varchar(50) NOT NULL,
  `actual_heading` varchar(50) DEFAULT NULL,
  `heading2` varchar(50) DEFAULT NULL,
  `one_or_two` double(7,2) DEFAULT NULL,
  PRIMARY KEY (`sl_no`,`dated`,`customer_id`,`named`,`particulars`,`book_name`,`rpt_no`,`department`),
  KEY `acc_booksall_bills_items` (`book_name`),
  KEY `all_bills_itemsrpt_no` (`rpt_no`),
  KEY `all_receipts_headerall_bills_it` (`rpt_no`,`book_name`,`department`),
  KEY `FK_all_bills_items_1` (`book_name`,`rpt_no`,`department`),
  CONSTRAINT `FK_all_bills_items_1` FOREIGN KEY (`book_name`, `rpt_no`, `department`) REFERENCES `all_receipts_header` (`book_name`, `rpt_no`, `department`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_bills_items`
--

LOCK TABLES `all_bills_items` WRITE;
/*!40000 ALTER TABLE `all_bills_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_bills_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_bills_maker_for_ip_special_settings`
--

DROP TABLE IF EXISTS `all_bills_maker_for_ip_special_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_bills_maker_for_ip_special_settings` (
  `heading2_sl_no` varchar(2) DEFAULT NULL,
  `heading2` varchar(50) DEFAULT NULL,
  `actual_heading` varchar(50) NOT NULL,
  `display_sze` decimal(4,3) DEFAULT NULL,
  PRIMARY KEY (`actual_heading`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_bills_maker_for_ip_special_settings`
--

LOCK TABLES `all_bills_maker_for_ip_special_settings` WRITE;
/*!40000 ALTER TABLE `all_bills_maker_for_ip_special_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_bills_maker_for_ip_special_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_births`
--

DROP TABLE IF EXISTS `all_births`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_births` (
  `customer_id` varchar(50) NOT NULL,
  `name1` varchar(100) DEFAULT NULL,
  `name2` varchar(100) DEFAULT NULL,
  `address1` varchar(254) DEFAULT NULL,
  `sex` varchar(1) DEFAULT NULL,
  `aged` varchar(50) DEFAULT NULL,
  `dated` datetime DEFAULT NULL,
  `ssn` varchar(50) DEFAULT NULL,
  `referred_by` varchar(100) DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `brief_notes` longtext,
  `occupation` varchar(50) DEFAULT '',
  `long_ssn` varchar(100) DEFAULT '',
  PRIMARY KEY (`customer_id`),
  UNIQUE KEY `patient_address_x` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_births`
--

LOCK TABLES `all_births` WRITE;
/*!40000 ALTER TABLE `all_births` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_births` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_branches`
--

DROP TABLE IF EXISTS `all_branches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_branches` (
  `branch_name` varchar(50) NOT NULL,
  `department_name` varchar(100) DEFAULT NULL,
  `reporting_allowed` varchar(10) DEFAULT NULL,
  `case_sheet_allowed` varchar(10) DEFAULT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `todays_consultant` varchar(50) DEFAULT NULL,
  `modified_last_by2` varchar(10) DEFAULT NULL,
  `room_no_floor` varchar(50) DEFAULT NULL,
  `short_form` varchar(3) DEFAULT '-',
  `study_no_type` varchar(50) DEFAULT 'Numeric',
  `report_header_formula` longtext,
  `branch_insert` varchar(10) DEFAULT 'Gener',
  PRIMARY KEY (`branch_name`),
  KEY `department_name` (`department_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_branches`
--

LOCK TABLES `all_branches` WRITE;
/*!40000 ALTER TABLE `all_branches` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_branches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_branches_users`
--

DROP TABLE IF EXISTS `all_branches_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_branches_users` (
  `branch_name` varchar(50) NOT NULL,
  `user_name` varchar(10) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`branch_name`,`user_name`),
  CONSTRAINT `FK_all_branches_users_1` FOREIGN KEY (`branch_name`) REFERENCES `all_branches` (`branch_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_branches_users`
--

LOCK TABLES `all_branches_users` WRITE;
/*!40000 ALTER TABLE `all_branches_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_branches_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_1sections`
--

DROP TABLE IF EXISTS `all_contents_1sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_1sections` (
  `section1x` varchar(50) NOT NULL,
  `alert1x` varchar(50) DEFAULT NULL,
  `action1x` varchar(100) DEFAULT NULL,
  `contraindications` varchar(100) DEFAULT NULL,
  `precautions` varchar(100) DEFAULT NULL,
  `adverse_reactions` varchar(255) DEFAULT NULL,
  `potential_toxicity` varchar(255) DEFAULT NULL,
  `inter_action_with_food` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`section1x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_1sections`
--

LOCK TABLES `all_contents_1sections` WRITE;
/*!40000 ALTER TABLE `all_contents_1sections` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_1sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_2categories`
--

DROP TABLE IF EXISTS `all_contents_2categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_2categories` (
  `category1x` varchar(50) NOT NULL,
  `section1x` varchar(50) NOT NULL,
  `alert1x` varchar(50) DEFAULT NULL,
  `action1x` varchar(100) DEFAULT NULL,
  `contraindications` varchar(100) DEFAULT NULL,
  `precautions` varchar(100) DEFAULT NULL,
  `adverse_reactions` varchar(255) DEFAULT NULL,
  `potential_toxicity` varchar(255) DEFAULT NULL,
  `inter_action_with_food` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`category1x`,`section1x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_2categories`
--

LOCK TABLES `all_contents_2categories` WRITE;
/*!40000 ALTER TABLE `all_contents_2categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_2categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_3groups`
--

DROP TABLE IF EXISTS `all_contents_3groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_3groups` (
  `group_name1x` varchar(255) NOT NULL,
  `category1x` varchar(50) NOT NULL,
  `section1x` varchar(50) NOT NULL,
  `alert1x` varchar(50) DEFAULT NULL,
  `action1x` varchar(100) DEFAULT NULL,
  `contraindications` varchar(100) DEFAULT NULL,
  `precautions` varchar(100) DEFAULT NULL,
  `adverse_reactions` varchar(255) DEFAULT NULL,
  `potential_toxicity` varchar(255) DEFAULT NULL,
  `inter_action_with_food` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`group_name1x`,`category1x`,`section1x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_3groups`
--

LOCK TABLES `all_contents_3groups` WRITE;
/*!40000 ALTER TABLE `all_contents_3groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_3groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_4ingradients`
--

DROP TABLE IF EXISTS `all_contents_4ingradients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_4ingradients` (
  `content1x` varchar(100) NOT NULL,
  `group_name1x` varchar(100) NOT NULL,
  `category1x` varchar(100) NOT NULL,
  `section1x` varchar(100) NOT NULL,
  `alert1x` varchar(50) DEFAULT NULL,
  `action1x` varchar(100) DEFAULT NULL,
  `indications_and_dosages1x` varchar(255) DEFAULT NULL,
  `contraindications` varchar(100) DEFAULT NULL,
  `precautions` varchar(100) DEFAULT NULL,
  `adverse_reactions` varchar(255) DEFAULT NULL,
  `potential_toxicity` varchar(255) DEFAULT NULL,
  `inter_action_with_food` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`content1x`,`group_name1x`,`category1x`,`section1x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_4ingradients`
--

LOCK TABLES `all_contents_4ingradients` WRITE;
/*!40000 ALTER TABLE `all_contents_4ingradients` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_4ingradients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_5formulations`
--

DROP TABLE IF EXISTS `all_contents_5formulations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_5formulations` (
  `formulation_name` varchar(100) NOT NULL,
  `content1x` varchar(100) NOT NULL,
  `group_name1x` varchar(100) NOT NULL,
  `category1x` varchar(100) NOT NULL,
  `section1x` varchar(100) NOT NULL,
  `quantity1x` decimal(18,4) DEFAULT NULL,
  `unit1x` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`formulation_name`,`content1x`,`group_name1x`,`category1x`,`section1x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_5formulations`
--

LOCK TABLES `all_contents_5formulations` WRITE;
/*!40000 ALTER TABLE `all_contents_5formulations` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_5formulations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_contents_6interactions`
--

DROP TABLE IF EXISTS `all_contents_6interactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_contents_6interactions` (
  `content1x` varchar(100) NOT NULL,
  `content2x` varchar(100) NOT NULL,
  `interaction` varchar(255) DEFAULT NULL,
  `group_name1x` varchar(255) NOT NULL,
  `group_name2x` varchar(255) NOT NULL,
  PRIMARY KEY (`content1x`,`content2x`,`group_name1x`,`group_name2x`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_contents_6interactions`
--

LOCK TABLES `all_contents_6interactions` WRITE;
/*!40000 ALTER TABLE `all_contents_6interactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_contents_6interactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_customers`
--

DROP TABLE IF EXISTS `all_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_customers` (
  `customer_id` varchar(50) NOT NULL,
  `name1` varchar(100) DEFAULT NULL,
  `name2` varchar(100) DEFAULT NULL,
  `address1` varchar(254) DEFAULT NULL,
  `sex` varchar(1) DEFAULT NULL,
  `aged` varchar(50) DEFAULT NULL,
  `dated` datetime DEFAULT NULL,
  `ssn` varchar(50) DEFAULT NULL,
  `referred_by` varchar(100) DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `brief_notes` longtext,
  `occupation` varchar(50) DEFAULT NULL,
  `dob` datetime DEFAULT NULL,
  `insurance_name` varchar(255) DEFAULT '-',
  `tpa` varchar(255) DEFAULT '-',
  `scheme_name` varchar(255) DEFAULT '-',
  `reg_no_or_id_card_no` varchar(255) DEFAULT '-',
  `address2` varchar(255) DEFAULT '-',
  `col01` varchar(255) DEFAULT '-',
  `col02` varchar(255) DEFAULT '-',
  `col03` varchar(255) DEFAULT '-',
  `col04` varchar(255) DEFAULT '-',
  `col05` varchar(255) DEFAULT '-',
  `col06` varchar(255) DEFAULT '-',
  `col07` varchar(255) DEFAULT '-',
  `col08` varchar(255) DEFAULT '-',
  `col09` varchar(255) DEFAULT '-',
  `col10` varchar(255) DEFAULT '-',
  `image1` longblob,
  `reg_by` varchar(50) NOT NULL DEFAULT '-',
  `bill_date_dec` decimal(14,0) DEFAULT '0',
  `long_ssn` varchar(100) NOT NULL DEFAULT '-',
  PRIMARY KEY (`customer_id`),
  UNIQUE KEY `patient_address_x` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_customers`
--

LOCK TABLES `all_customers` WRITE;
/*!40000 ALTER TABLE `all_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_departments`
--

DROP TABLE IF EXISTS `all_departments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_departments` (
  `department_name` varchar(100) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`department_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_departments`
--

LOCK TABLES `all_departments` WRITE;
/*!40000 ALTER TABLE `all_departments` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_departments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_ips`
--

DROP TABLE IF EXISTS `all_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_ips` (
  `customer_id` varchar(50) NOT NULL,
  `name1` varchar(100) DEFAULT NULL,
  `name2` varchar(100) DEFAULT NULL,
  `address1` varchar(254) DEFAULT NULL,
  `sex` varchar(1) DEFAULT NULL,
  `aged` varchar(50) DEFAULT NULL,
  `dated` datetime NOT NULL,
  `ssn` varchar(50) DEFAULT NULL,
  `referred_by` varchar(100) DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `brief_notes` text,
  `occupation` varchar(50) DEFAULT NULL,
  `dob` datetime DEFAULT NULL,
  `original_customer_id` varchar(50) NOT NULL,
  PRIMARY KEY (`customer_id`),
  CONSTRAINT `FK_all_ips_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_ips`
--

LOCK TABLES `all_ips` WRITE;
/*!40000 ALTER TABLE `all_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_list_of_options`
--

DROP TABLE IF EXISTS `all_list_of_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_list_of_options` (
  `user_name` varchar(50) NOT NULL DEFAULT '',
  `module_name` varchar(50) NOT NULL DEFAULT '',
  `option_name` varchar(50) NOT NULL DEFAULT '',
  `value_type` varchar(50) DEFAULT NULL,
  `string_value` longtext CHARACTER SET utf8,
  `datetime_value` datetime DEFAULT NULL,
  `decimal_value` decimal(19,4) DEFAULT NULL,
  `numeric_value` int(10) DEFAULT NULL,
  PRIMARY KEY (`user_name`,`module_name`,`option_name`),
  KEY `number_value` (`decimal_value`),
  KEY `numeric_valuse` (`numeric_value`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_list_of_options`
--

LOCK TABLES `all_list_of_options` WRITE;
/*!40000 ALTER TABLE `all_list_of_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_list_of_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_list_of_options_adv`
--

DROP TABLE IF EXISTS `all_list_of_options_adv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_list_of_options_adv` (
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `algorithm` varchar(255) NOT NULL DEFAULT '-',
  `parameter` varchar(255) NOT NULL DEFAULT '-',
  `subparameter` varchar(255) NOT NULL DEFAULT '-',
  `user_id` varchar(10) NOT NULL DEFAULT '-',
  `value` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`module_name`,`algorithm`,`parameter`,`subparameter`,`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_list_of_options_adv`
--

LOCK TABLES `all_list_of_options_adv` WRITE;
/*!40000 ALTER TABLE `all_list_of_options_adv` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_list_of_options_adv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_nipa`
--

DROP TABLE IF EXISTS `all_nipa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_nipa` (
  `customer_id` varchar(50) NOT NULL,
  `page_no` varchar(20) NOT NULL,
  `sl_no` smallint(5) NOT NULL,
  `dated` datetime NOT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `object_details` varchar(30) DEFAULT NULL,
  `nipa` longtext CHARACTER SET utf8,
  `categories` varchar(255) DEFAULT NULL,
  `measure1` varchar(100) DEFAULT '-',
  `measure2` varchar(100) DEFAULT '-',
  `measure3` varchar(100) DEFAULT '-',
  `measure4` varchar(100) DEFAULT '-',
  `measure5` varchar(100) DEFAULT '-',
  `next_visit_local_font` varchar(255) DEFAULT '-',
  `next_visit_date` datetime DEFAULT '2001-01-01 00:00:00',
  `template_name` varchar(100) DEFAULT '-',
  `restricted_select` varchar(5) DEFAULT '-',
  PRIMARY KEY (`customer_id`,`page_no`,`sl_no`,`dated`),
  KEY `{8A5416E9-F4DC-11DA-B464-0050BA` (`customer_id`),
  CONSTRAINT `FK_all_nipa_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_nipa`
--

LOCK TABLES `all_nipa` WRITE;
/*!40000 ALTER TABLE `all_nipa` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_nipa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_nipa_dummy`
--

DROP TABLE IF EXISTS `all_nipa_dummy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_nipa_dummy` (
  `customer_id` varchar(50) NOT NULL,
  `page_no` varchar(20) NOT NULL,
  `sl_no` smallint(5) NOT NULL,
  `dated` datetime NOT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `object_details` varchar(30) DEFAULT NULL,
  `nipa` longtext,
  `categories` varchar(255) DEFAULT NULL,
  `t_advice_next_visit_printed` longtext,
  `t_modified_user` longtext,
  `t_printed_user` longtext,
  `t_impression_printed` longtext,
  `t_rows_printed` longtext,
  `measure1` varchar(100) DEFAULT '-',
  `measure2` varchar(100) DEFAULT '-',
  `measure3` varchar(100) DEFAULT '-',
  `measure4` varchar(100) DEFAULT '-',
  `measure5` varchar(100) DEFAULT '-',
  `next_visit_local_font` varchar(255) DEFAULT '-',
  `next_visit_date` datetime DEFAULT '2000-01-01 00:00:00',
  `restricted_select` varchar(5) DEFAULT '-',
  PRIMARY KEY (`customer_id`,`page_no`,`sl_no`,`dated`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_nipa_dummy`
--

LOCK TABLES `all_nipa_dummy` WRITE;
/*!40000 ALTER TABLE `all_nipa_dummy` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_nipa_dummy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_nipa_measurements_temp`
--

DROP TABLE IF EXISTS `all_nipa_measurements_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_nipa_measurements_temp` (
  `date_no` int(11) NOT NULL DEFAULT '0',
  `customer_id` varchar(50) NOT NULL DEFAULT '-',
  `group_id` int(11) unsigned NOT NULL DEFAULT '0',
  `measure1` varchar(100) DEFAULT '-',
  `measure2` varchar(100) DEFAULT '-',
  `measure3` varchar(100) DEFAULT '-',
  `measure4` varchar(100) DEFAULT '-',
  `measure5` varchar(100) DEFAULT '-',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `series1` int(11) unsigned NOT NULL DEFAULT '0',
  `dated1` datetime DEFAULT '2001-01-01 00:00:00',
  PRIMARY KEY (`date_no`,`group_id`,`series1`,`sl_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_nipa_measurements_temp`
--

LOCK TABLES `all_nipa_measurements_temp` WRITE;
/*!40000 ALTER TABLE `all_nipa_measurements_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_nipa_measurements_temp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_nipa_templates_vs_settings`
--

DROP TABLE IF EXISTS `all_nipa_templates_vs_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_nipa_templates_vs_settings` (
  `template_name` varchar(100) CHARACTER SET latin1 NOT NULL,
  `department_name` varchar(100) CHARACTER SET latin1 NOT NULL,
  `show_date` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `show_headings` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `show_usage` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `dont_show_heading_if_para_empty` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `inform_if_meds_not_found` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `direct_print` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `default_format_no` int(11) unsigned DEFAULT '0',
  `key_word_01` varchar(50) DEFAULT NULL,
  `key_word_02` varchar(50) DEFAULT NULL,
  `key_word_03` varchar(50) DEFAULT NULL,
  `key_word_04` varchar(50) DEFAULT NULL,
  `key_word_05` varchar(50) DEFAULT NULL,
  `key_word_06` varchar(50) DEFAULT NULL,
  `key_word_07` varchar(50) DEFAULT NULL,
  `key_word_08` varchar(50) DEFAULT NULL,
  `key_word_09` varchar(50) DEFAULT NULL,
  `key_word_10` varchar(50) DEFAULT NULL,
  `key_word_11` varchar(50) DEFAULT NULL,
  `key_word_12` varchar(50) DEFAULT NULL,
  `key_word_13` varchar(50) DEFAULT NULL,
  `key_word_14` varchar(50) DEFAULT NULL,
  `key_word_15` varchar(50) DEFAULT NULL,
  `key_word_16` varchar(50) DEFAULT NULL,
  `key_word_17` varchar(50) DEFAULT NULL,
  `key_word_18` varchar(50) DEFAULT NULL,
  `key_word_19` varchar(50) DEFAULT NULL,
  `key_word_20` varchar(50) DEFAULT NULL,
  `meds_heading` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `advice_key` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `next_visit_key` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `which_is_impression` varchar(2) CHARACTER SET latin1 DEFAULT NULL,
  `report_vs_case_sheet` varchar(1) CHARACTER SET latin1 DEFAULT 'c',
  `label_m1` varchar(30) CHARACTER SET latin1 DEFAULT '-',
  `label_m2` varchar(30) CHARACTER SET latin1 DEFAULT '-',
  `label_m3` varchar(30) CHARACTER SET latin1 DEFAULT '-',
  `label_m4` varchar(30) CHARACTER SET latin1 DEFAULT '-',
  `label_m5` varchar(30) CHARACTER SET latin1 DEFAULT '-',
  `next_visit_after` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`template_name`,`department_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_nipa_templates_vs_settings`
--

LOCK TABLES `all_nipa_templates_vs_settings` WRITE;
/*!40000 ALTER TABLE `all_nipa_templates_vs_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_nipa_templates_vs_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_nipa_usage_list`
--

DROP TABLE IF EXISTS `all_nipa_usage_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_nipa_usage_list` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `usage1` varchar(50) NOT NULL DEFAULT '-',
  `usage2` varchar(250) DEFAULT '-',
  `usage3` varchar(250) DEFAULT '-',
  PRIMARY KEY (`user_name`,`usage1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_nipa_usage_list`
--

LOCK TABLES `all_nipa_usage_list` WRITE;
/*!40000 ALTER TABLE `all_nipa_usage_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_nipa_usage_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_payment_options`
--

DROP TABLE IF EXISTS `all_payment_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_payment_options` (
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `option1` varchar(255) NOT NULL DEFAULT '-',
  `alloted_to` varchar(50) NOT NULL DEFAULT '-',
  PRIMARY KEY (`module_name`,`option1`,`alloted_to`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_payment_options`
--

LOCK TABLES `all_payment_options` WRITE;
/*!40000 ALTER TABLE `all_payment_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_payment_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_picture_catalogue`
--

DROP TABLE IF EXISTS `all_picture_catalogue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_picture_catalogue` (
  `file_name` varchar(50) NOT NULL,
  `top_level` varchar(50) DEFAULT NULL,
  `mid_level` varchar(50) DEFAULT NULL,
  `low_level` varchar(50) DEFAULT NULL,
  `display_x` int(10) DEFAULT NULL,
  `display_y` int(10) DEFAULT NULL,
  `displacy_width` int(10) DEFAULT NULL,
  `display_height` int(10) DEFAULT NULL,
  `used_for` varchar(5) DEFAULT NULL,
  `in_case` varchar(50) DEFAULT NULL,
  `date_time` datetime DEFAULT NULL,
  PRIMARY KEY (`file_name`),
  UNIQUE KEY `picture_list_x` (`file_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_picture_catalogue`
--

LOCK TABLES `all_picture_catalogue` WRITE;
/*!40000 ALTER TABLE `all_picture_catalogue` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_picture_catalogue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_picture_list`
--

DROP TABLE IF EXISTS `all_picture_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_picture_list` (
  `picture_id` int(10) NOT NULL,
  `category` varchar(50) DEFAULT NULL,
  `condition` varchar(100) DEFAULT NULL,
  `file_path` varchar(250) DEFAULT NULL,
  `name1` varchar(50) DEFAULT NULL,
  `x` decimal(7,3) DEFAULT NULL,
  `y` decimal(7,3) DEFAULT NULL,
  `width` decimal(7,3) DEFAULT NULL,
  `height` decimal(7,3) DEFAULT NULL,
  `branch_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`picture_id`),
  UNIQUE KEY `picture_list_x` (`picture_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_picture_list`
--

LOCK TABLES `all_picture_list` WRITE;
/*!40000 ALTER TABLE `all_picture_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_picture_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_pictures`
--

DROP TABLE IF EXISTS `all_pictures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_pictures` (
  `customer_id` varchar(50) NOT NULL,
  `dated` datetime NOT NULL,
  `x` decimal(7,3) DEFAULT NULL,
  `y` decimal(7,3) DEFAULT NULL,
  `width` decimal(7,3) DEFAULT NULL,
  `height` decimal(7,3) DEFAULT NULL,
  `branch_name` varchar(50) NOT NULL,
  `module_name` varchar(50) NOT NULL,
  `sl_no` int(10) NOT NULL,
  `file_path` varchar(250) DEFAULT NULL,
  `picture_id` int(10) DEFAULT NULL,
  `purpose` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`dated`,`branch_name`,`module_name`,`sl_no`),
  KEY `{8A5416EA-F4DC-11DA-B464-0050BA` (`customer_id`),
  KEY `picture_id` (`picture_id`),
  CONSTRAINT `FK_all_pictures_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_pictures`
--

LOCK TABLES `all_pictures` WRITE;
/*!40000 ALTER TABLE `all_pictures` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_pictures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_receipts_header`
--

DROP TABLE IF EXISTS `all_receipts_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_receipts_header` (
  `rpt_no` int(10) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  `department` varchar(50) NOT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `doa` datetime DEFAULT NULL,
  `dod` datetime DEFAULT NULL,
  `rpt_date` datetime DEFAULT NULL,
  `no_of_days` decimal(7,2) DEFAULT NULL,
  `ward_type` varchar(50) DEFAULT NULL,
  `ward_no` varchar(50) DEFAULT NULL,
  `group1total` decimal(18,2) DEFAULT NULL,
  `group2total` decimal(18,2) DEFAULT NULL,
  `group3total` decimal(18,2) DEFAULT NULL,
  `paid_amount` decimal(18,2) DEFAULT NULL,
  `balance_amount` decimal(18,2) DEFAULT NULL,
  `notes` varchar(200) DEFAULT NULL,
  `address1` varchar(254) DEFAULT NULL,
  `referred_by` varchar(100) DEFAULT NULL,
  `brief_notes` longtext,
  `occupation` varchar(50) DEFAULT NULL,
  `diagnosis` varchar(100) DEFAULT NULL,
  `status` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`rpt_no`,`book_name`,`department`),
  KEY `acc_booksall_receipts_header` (`book_name`),
  KEY `all_customersall_receipts_header` (`customer_id`),
  KEY `customer_id` (`customer_id`),
  CONSTRAINT `FK_all_receipts_header_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`),
  CONSTRAINT `FK_all_receipts_header_2` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_receipts_header`
--

LOCK TABLES `all_receipts_header` WRITE;
/*!40000 ALTER TABLE `all_receipts_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_receipts_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_referred_by`
--

DROP TABLE IF EXISTS `all_referred_by`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_referred_by` (
  `ref_by` varchar(50) NOT NULL,
  `degree` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT '-',
  `department_name` varchar(100) DEFAULT '-',
  `hospital_name` varchar(100) DEFAULT NULL,
  `place` varchar(100) DEFAULT NULL,
  `investor_name` varchar(100) DEFAULT NULL,
  `phone_no` varchar(50) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `list_name_of_services` varchar(50) DEFAULT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `list_name_of_services_ip` varchar(50) CHARACTER SET latin1 DEFAULT 'Master IP',
  `account_details` varchar(255) DEFAULT '-',
  `ref_fees_account` varchar(150) DEFAULT 'Self',
  `transfer_percent` int(3) DEFAULT '100',
  `concession_out_of_ref_fees` int(3) unsigned DEFAULT '0',
  `tds_to_be_done` varchar(1) DEFAULT 'n',
  `current_balance` decimal(18,2) DEFAULT '0.00',
  `pan` varchar(50) DEFAULT '-',
  `visible_in_bill` varchar(1) DEFAULT 'y',
  `anchor` varchar(50) DEFAULT '-',
  `permission_taken` varchar(255) DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`ref_by`),
  KEY `FK_all_referred_by_1` (`investor_name`),
  KEY `FK_all_referred_by_2` (`list_name_of_services`),
  CONSTRAINT `FK_all_referred_by_1` FOREIGN KEY (`investor_name`) REFERENCES `op_bills_00investors` (`investor_name`),
  CONSTRAINT `FK_all_referred_by_2` FOREIGN KEY (`list_name_of_services`) REFERENCES `op_bills_01parts_lists_names` (`name_of_list`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_referred_by`
--

LOCK TABLES `all_referred_by` WRITE;
/*!40000 ALTER TABLE `all_referred_by` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_referred_by` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_registratn_user_permissn_lists`
--

DROP TABLE IF EXISTS `all_registratn_user_permissn_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_registratn_user_permissn_lists` (
  `user_name` varchar(10) NOT NULL,
  `list_name` varchar(50) NOT NULL,
  `permitted_to` varchar(10) NOT NULL,
  `customer_details` varchar(1) DEFAULT NULL,
  `case_sheet` varchar(1) DEFAULT NULL,
  `expires_on` datetime DEFAULT NULL,
  PRIMARY KEY (`user_name`,`list_name`,`permitted_to`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_registratn_user_permissn_lists`
--

LOCK TABLES `all_registratn_user_permissn_lists` WRITE;
/*!40000 ALTER TABLE `all_registratn_user_permissn_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_registratn_user_permissn_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_stores_list`
--

DROP TABLE IF EXISTS `all_stores_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_stores_list` (
  `store_id` varchar(3) NOT NULL,
  `store_name` varchar(50) DEFAULT NULL,
  `for_cash_or_credit` varchar(6) DEFAULT NULL,
  `voucher_no` int(10) DEFAULT NULL,
  PRIMARY KEY (`store_id`),
  KEY `store_id` (`store_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_stores_list`
--

LOCK TABLES `all_stores_list` WRITE;
/*!40000 ALTER TABLE `all_stores_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_stores_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_templates`
--

DROP TABLE IF EXISTS `all_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_templates` (
  `template_name` varchar(100) NOT NULL,
  `department_name` varchar(100) NOT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `modified_on_date` datetime DEFAULT NULL,
  `template_text` longtext CHARACTER SET utf8,
  `next_visit_local_font` varchar(255) DEFAULT '-',
  PRIMARY KEY (`template_name`,`department_name`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_templates`
--

LOCK TABLES `all_templates` WRITE;
/*!40000 ALTER TABLE `all_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_templates_vs_formats`
--

DROP TABLE IF EXISTS `all_templates_vs_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_templates_vs_formats` (
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `user_id` varchar(10) NOT NULL DEFAULT '-',
  `template_name` varchar(100) NOT NULL DEFAULT '-',
  `report_no` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `department_name` varchar(100) NOT NULL DEFAULT '-',
  `edit_template` varchar(1) NOT NULL DEFAULT 'n',
  `save_as_template` varchar(1) NOT NULL DEFAULT 'n',
  PRIMARY KEY (`module_name`,`user_id`,`template_name`,`report_no`,`department_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_templates_vs_formats`
--

LOCK TABLES `all_templates_vs_formats` WRITE;
/*!40000 ALTER TABLE `all_templates_vs_formats` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_templates_vs_formats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_users`
--

DROP TABLE IF EXISTS `all_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_users` (
  `employee_name1` varchar(5) NOT NULL,
  `designation1` varchar(255) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `designation_level` varchar(50) DEFAULT NULL,
  `branch_name` varchar(50) DEFAULT NULL,
  `computer_name` varchar(250) DEFAULT NULL,
  `connect_status` varchar(50) DEFAULT NULL,
  `full_name` varchar(50) DEFAULT NULL,
  `store_id` varchar(3) DEFAULT NULL,
  `procuring_store_id` varchar(3) DEFAULT NULL,
  `book_name` varchar(10) DEFAULT NULL,
  `receipt_no` int(10) DEFAULT NULL,
  `counter_name` varchar(100) DEFAULT NULL,
  `room_group` varchar(50) DEFAULT NULL,
  `subordinates_ids` longtext,
  `server_dated` datetime DEFAULT NULL,
  `scheduler_switch` varchar(10) DEFAULT NULL,
  `linked_reports` varchar(1) DEFAULT 'n',
  `login_logout_log` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`employee_name1`),
  UNIQUE KEY `employee_list1_x` (`employee_name1`),
  KEY `acc_booksall_users` (`book_name`),
  KEY `all_stores_listall_users` (`store_id`),
  KEY `all_stores_listall_users1` (`procuring_store_id`),
  KEY `procuring_store_id` (`procuring_store_id`),
  KEY `store_id` (`store_id`),
  KEY `FK_all_users_4` (`branch_name`),
  CONSTRAINT `FK_all_users_1` FOREIGN KEY (`store_id`) REFERENCES `all_stores_list` (`store_id`),
  CONSTRAINT `FK_all_users_2` FOREIGN KEY (`procuring_store_id`) REFERENCES `all_stores_list` (`store_id`),
  CONSTRAINT `FK_all_users_3` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`),
  CONSTRAINT `FK_all_users_4` FOREIGN KEY (`branch_name`) REFERENCES `all_departments` (`department_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_users`
--

LOCK TABLES `all_users` WRITE;
/*!40000 ALTER TABLE `all_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_users_groups`
--

DROP TABLE IF EXISTS `all_users_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_users_groups` (
  `group_name` varchar(100) DEFAULT '-',
  `group_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_users_groups`
--

LOCK TABLES `all_users_groups` WRITE;
/*!40000 ALTER TABLE `all_users_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_users_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_users_mts_consultants`
--

DROP TABLE IF EXISTS `all_users_mts_consultants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_users_mts_consultants` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `consult_name` varchar(100) NOT NULL DEFAULT '-',
  `consultant_name_for_report` varchar(100) DEFAULT '-',
  `consultant_degree_for_report` varchar(100) DEFAULT '-',
  `consultant_designation_for_report` varchar(100) DEFAULT '-',
  `consultant_reg_no_for_report` varchar(100) DEFAULT '-',
  `mt_name_for_report` varchar(100) DEFAULT '-',
  PRIMARY KEY (`user_name`,`consult_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_users_mts_consultants`
--

LOCK TABLES `all_users_mts_consultants` WRITE;
/*!40000 ALTER TABLE `all_users_mts_consultants` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_users_mts_consultants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_users_specific_permissions`
--

DROP TABLE IF EXISTS `all_users_specific_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_users_specific_permissions` (
  `user_name` varchar(5) NOT NULL DEFAULT 'RAMHM',
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `purpose` varchar(255) NOT NULL DEFAULT '-',
  `permission` varchar(50) DEFAULT '-',
  `sl_no` int(11) DEFAULT '0',
  `dated` datetime NOT NULL DEFAULT '2023-01-01 00:00:00',
  PRIMARY KEY (`user_name`,`module_name`,`purpose`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_users_specific_permissions`
--

LOCK TABLES `all_users_specific_permissions` WRITE;
/*!40000 ALTER TABLE `all_users_specific_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_users_specific_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_frequency`
--

DROP TABLE IF EXISTS `all_work_frequency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_frequency` (
  `frequency_description` varchar(50) NOT NULL,
  `frequency_timing` datetime NOT NULL,
  PRIMARY KEY (`frequency_description`,`frequency_timing`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_frequency`
--

LOCK TABLES `all_work_frequency` WRITE;
/*!40000 ALTER TABLE `all_work_frequency` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_frequency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_orders`
--

DROP TABLE IF EXISTS `all_work_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_orders` (
  `customer_id` varchar(10) NOT NULL,
  `sl_no` int(10) NOT NULL,
  `datetime_of_starting` datetime NOT NULL,
  `particulars` varchar(100) DEFAULT NULL,
  `frequency_of` varchar(50) DEFAULT NULL,
  `ref_by` varchar(100) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `user_name` varchar(10) DEFAULT NULL,
  `source_of` varchar(50) DEFAULT NULL,
  `deleted_by` varchar(10) DEFAULT NULL,
  `datetime_of_ending` datetime DEFAULT NULL,
  `stratum_date` datetime DEFAULT NULL,
  `expires_on` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`datetime_of_starting`,`sl_no`) USING BTREE,
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_orders`
--

LOCK TABLES `all_work_orders` WRITE;
/*!40000 ALTER TABLE `all_work_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_orders_archive`
--

DROP TABLE IF EXISTS `all_work_orders_archive`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_orders_archive` (
  `customer_id` varchar(10) NOT NULL,
  `sl_no` int(10) NOT NULL,
  `datetime_of_starting` datetime NOT NULL,
  `particulars` varchar(100) DEFAULT NULL,
  `frequency_of` varchar(50) DEFAULT NULL,
  `ref_by` varchar(100) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `user_name` varchar(10) DEFAULT NULL,
  `source_of` varchar(50) DEFAULT NULL,
  `deleted_by` varchar(10) DEFAULT NULL,
  `datetime_of_ending` datetime DEFAULT NULL,
  `stratum_date` datetime DEFAULT NULL,
  `expires_on` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`datetime_of_starting`,`sl_no`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_orders_archive`
--

LOCK TABLES `all_work_orders_archive` WRITE;
/*!40000 ALTER TABLE `all_work_orders_archive` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_orders_archive` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_rendered`
--

DROP TABLE IF EXISTS `all_work_rendered`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_rendered` (
  `customer_id` varchar(10) NOT NULL,
  `sl_no` int(10) NOT NULL,
  `datetime_of_starting` datetime NOT NULL,
  `scheduled_time` datetime NOT NULL,
  `date_of_doing` datetime DEFAULT NULL,
  `bed_id` varchar(3) DEFAULT NULL,
  `room_id` varchar(3) DEFAULT NULL,
  `user_name` varchar(10) DEFAULT NULL,
  `billed_on` datetime DEFAULT NULL,
  `comments` varchar(100) DEFAULT NULL,
  `book_name` varchar(10) DEFAULT NULL,
  `qnty_issued` decimal(18,2) DEFAULT NULL,
  `sl_no_of_stocks_voucher` int(10) DEFAULT NULL,
  `sl_no2_of_stocks_voucher` int(10) DEFAULT NULL,
  `stock_id` varchar(20) DEFAULT NULL,
  `qnty_used` decimal(18,2) DEFAULT NULL,
  `done_or_not_done` varchar(10) DEFAULT NULL,
  `source_of` varchar(50) DEFAULT NULL,
  `qnty_available` decimal(18,2) DEFAULT NULL,
  `date_time_of_entry` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`sl_no`,`datetime_of_starting`,`scheduled_time`),
  KEY `bed_id` (`bed_id`),
  KEY `customer_id` (`customer_id`),
  KEY `date_of_doing` (`date_of_doing`),
  KEY `room_id` (`room_id`),
  KEY `sl_no_of_stocks_voucher` (`sl_no_of_stocks_voucher`),
  KEY `stock_id` (`stock_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_rendered`
--

LOCK TABLES `all_work_rendered` WRITE;
/*!40000 ALTER TABLE `all_work_rendered` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_rendered` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_rendered_archive`
--

DROP TABLE IF EXISTS `all_work_rendered_archive`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_rendered_archive` (
  `customer_id` varchar(10) NOT NULL,
  `sl_no` int(10) NOT NULL,
  `datetime_of_starting` datetime NOT NULL,
  `scheduled_time` datetime NOT NULL,
  `date_of_doing` datetime DEFAULT NULL,
  `bed_id` varchar(3) DEFAULT NULL,
  `room_id` varchar(3) DEFAULT NULL,
  `user_name` varchar(10) DEFAULT NULL,
  `billed_on` datetime DEFAULT NULL,
  `comments` varchar(100) DEFAULT NULL,
  `book_name` varchar(10) DEFAULT NULL,
  `qnty_issued` decimal(18,2) DEFAULT NULL,
  `sl_no_of_stocks_voucher` int(10) DEFAULT NULL,
  `sl_no2_of_stocks_voucher` int(10) DEFAULT NULL,
  `stock_id` varchar(20) DEFAULT NULL,
  `qnty_used` decimal(18,2) DEFAULT NULL,
  `done_or_not_done` varchar(10) DEFAULT NULL,
  `source_of` varchar(50) DEFAULT NULL,
  `qnty_available` decimal(18,2) DEFAULT NULL,
  `date_time_of_entry` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`sl_no`,`datetime_of_starting`,`scheduled_time`),
  KEY `bed_id` (`bed_id`),
  KEY `customer_id` (`customer_id`),
  KEY `date_of_doing` (`date_of_doing`),
  KEY `room_id` (`room_id`),
  KEY `sl_no_of_stocks_voucher` (`sl_no_of_stocks_voucher`),
  KEY `stock_id` (`stock_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_rendered_archive`
--

LOCK TABLES `all_work_rendered_archive` WRITE;
/*!40000 ALTER TABLE `all_work_rendered_archive` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_rendered_archive` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_services`
--

DROP TABLE IF EXISTS `all_work_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_services` (
  `sevice_name` varchar(100) NOT NULL,
  `default_frequency` varchar(50) DEFAULT NULL,
  `sub_heading` varchar(50) DEFAULT NULL,
  `actual_heading` varchar(50) DEFAULT NULL,
  `rate01` decimal(18,2) DEFAULT NULL,
  `rate02` decimal(18,2) DEFAULT NULL,
  `rate03` decimal(18,2) DEFAULT NULL,
  `rate04` decimal(18,2) DEFAULT NULL,
  `rate05` decimal(18,2) DEFAULT NULL,
  `rate06` decimal(18,2) DEFAULT NULL,
  `rate07` decimal(18,2) DEFAULT NULL,
  `rate08` decimal(18,2) DEFAULT NULL,
  `rate09` decimal(18,2) DEFAULT NULL,
  `rate10` decimal(18,2) DEFAULT NULL,
  `rate11` decimal(18,2) DEFAULT NULL,
  `rate12` decimal(18,2) DEFAULT NULL,
  `rate13` decimal(18,2) DEFAULT NULL,
  `rate14` decimal(18,2) DEFAULT NULL,
  `rate15` decimal(18,2) DEFAULT NULL,
  `rate16` decimal(18,2) DEFAULT NULL,
  `rate17` decimal(18,2) DEFAULT NULL,
  `rate18` decimal(18,2) DEFAULT NULL,
  `rate19` decimal(18,2) DEFAULT NULL,
  `rate20` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`sevice_name`),
  KEY `all_bills_maker_for_ip_special_` (`actual_heading`),
  CONSTRAINT `FK_all_work_services_1` FOREIGN KEY (`actual_heading`) REFERENCES `all_bills_maker_for_ip_special_settings` (`actual_heading`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_services`
--

LOCK TABLES `all_work_services` WRITE;
/*!40000 ALTER TABLE `all_work_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `all_work_services_rate_matrix`
--

DROP TABLE IF EXISTS `all_work_services_rate_matrix`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `all_work_services_rate_matrix` (
  `sevice_name` varchar(100) NOT NULL,
  `room_type_id` varchar(5) NOT NULL,
  `rated` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`sevice_name`,`room_type_id`),
  KEY `all_7room_typesall_work_service` (`room_type_id`),
  KEY `all_work_servicesall_work_servi` (`sevice_name`),
  CONSTRAINT `FK_all_work_services_rate_matrix_1` FOREIGN KEY (`room_type_id`) REFERENCES `all_7room_types` (`room_type_id`),
  CONSTRAINT `FK_all_work_services_rate_matrix_2` FOREIGN KEY (`sevice_name`) REFERENCES `all_work_services` (`sevice_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `all_work_services_rate_matrix`
--

LOCK TABLES `all_work_services_rate_matrix` WRITE;
/*!40000 ALTER TABLE `all_work_services_rate_matrix` DISABLE KEYS */;
/*!40000 ALTER TABLE `all_work_services_rate_matrix` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `back_ups_report`
--

DROP TABLE IF EXISTS `back_ups_report`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `back_ups_report` (
  `back_up_date` datetime NOT NULL,
  `user_id` varchar(10) NOT NULL,
  `mode1` varchar(255) DEFAULT NULL,
  `file_created` varchar(255) DEFAULT NULL,
  `permission` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`back_up_date`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `back_ups_report`
--

LOCK TABLES `back_ups_report` WRITE;
/*!40000 ALTER TABLE `back_ups_report` DISABLE KEYS */;
/*!40000 ALTER TABLE `back_ups_report` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm10_shifts`
--

DROP TABLE IF EXISTS `bm10_shifts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm10_shifts` (
  `bm10_shift_name` varchar(255) NOT NULL DEFAULT '--',
  PRIMARY KEY (`bm10_shift_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm10_shifts`
--

LOCK TABLES `bm10_shifts` WRITE;
/*!40000 ALTER TABLE `bm10_shifts` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm10_shifts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm11_shift_details`
--

DROP TABLE IF EXISTS `bm11_shift_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm11_shift_details` (
  `bm11_shift_name` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm11_description` varchar(255) DEFAULT '-',
  `bm11_weekly_off` varchar(1) DEFAULT '-',
  `bm11_from_cut_off1` varchar(6) DEFAULT '-',
  `bm11_from1` varchar(6) DEFAULT '-',
  `bm11_to1` varchar(6) DEFAULT '-',
  `bm11_to_cut_off1` varchar(6) DEFAULT '-',
  `bm11_from_cut_off2` varchar(6) DEFAULT '-',
  `bm11_from2` varchar(6) DEFAULT '-',
  `bm11_to2` varchar(6) DEFAULT '-',
  `bm11_to_cut_off2` varchar(6) DEFAULT '-',
  `bm11_from_cut_off3` varchar(6) DEFAULT '-',
  `bm11_from3` varchar(6) DEFAULT '-',
  `bm11_to3` varchar(6) DEFAULT '-',
  `bm11_to_cut_off3` varchar(6) DEFAULT '-',
  `bm11_from_cut_off4` varchar(6) DEFAULT '-',
  `bm11_from4` varchar(6) DEFAULT '-',
  `bm11_to4` varchar(6) DEFAULT '-',
  `bm11_to_cut_off4` varchar(6) DEFAULT '-',
  `bm11_from_cut_off5` varchar(6) DEFAULT '-',
  `bm11_from5` varchar(6) DEFAULT '-',
  `bm11_to5` varchar(6) DEFAULT '-',
  `bm11_to_cut_off5` varchar(6) DEFAULT '-',
  `bm11_auto_01` varchar(6) DEFAULT '-',
  `bm11_auto_02` varchar(6) DEFAULT '-',
  `bm11_auto_03` varchar(6) DEFAULT '-',
  `bm11_auto_04` varchar(6) DEFAULT '-',
  `bm11_auto_05` varchar(6) DEFAULT '-',
  `bm11_auto_06` varchar(6) DEFAULT '-',
  `bm11_auto_07` varchar(6) DEFAULT '-',
  `bm11_auto_08` varchar(6) DEFAULT '-',
  `bm11_auto_09` varchar(6) DEFAULT '-',
  `bm11_auto_10` varchar(6) DEFAULT '-',
  `bm11_last_modified_by` varchar(50) DEFAULT '-',
  `bm11_break_minutes` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`bm11_shift_name`,`bm11_from_date_dec`) USING BTREE,
  CONSTRAINT `FK_bm11_shift_details_1` FOREIGN KEY (`bm11_shift_name`) REFERENCES `bm10_shifts` (`bm10_shift_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm11_shift_details`
--

LOCK TABLES `bm11_shift_details` WRITE;
/*!40000 ALTER TABLE `bm11_shift_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm11_shift_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm20_machines`
--

DROP TABLE IF EXISTS `bm20_machines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm20_machines` (
  `bm20_machine_name` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`bm20_machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm20_machines`
--

LOCK TABLES `bm20_machines` WRITE;
/*!40000 ALTER TABLE `bm20_machines` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm20_machines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm21_machine_details`
--

DROP TABLE IF EXISTS `bm21_machine_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm21_machine_details` (
  `bm21_machine_name` varchar(255) NOT NULL DEFAULT '-',
  `bm21_from_date_dec` decimal(18,0) NOT NULL DEFAULT '0',
  `bm21_machine_type` varchar(255) NOT NULL DEFAULT '-',
  `bm21_data_col_for_stamping_id_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_stamping_id_title` varchar(100) NOT NULL DEFAULT '-',
  `bm21_data_col_for_employee_name_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_employee_name_title` varchar(100) NOT NULL DEFAULT '-',
  `bm21_data_col_for_datetime_stamp_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_datetime_stamp_title` varchar(100) NOT NULL DEFAULT '-',
  `bm21_delete_first_row_on_import` varchar(1) NOT NULL DEFAULT '-',
  `bm21_datetime_stamp_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_datetime_stamp_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_stamping_id_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_stamping_id_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_employee_name_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_employee_name_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_row_no_expression1` varchar(255) NOT NULL DEFAULT '-',
  `bm21_row_no_expression2` varchar(255) NOT NULL DEFAULT '-',
  `bm21_delete_ex_employees_data` varchar(1) NOT NULL DEFAULT '-',
  `bm21_machine_data01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data03` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data04` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data05` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`bm21_machine_name`,`bm21_from_date_dec`),
  CONSTRAINT `FK_bm21_machine_details_1` FOREIGN KEY (`bm21_machine_name`) REFERENCES `bm20_machines` (`bm20_machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm21_machine_details`
--

LOCK TABLES `bm21_machine_details` WRITE;
/*!40000 ALTER TABLE `bm21_machine_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm21_machine_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm30_employees`
--

DROP TABLE IF EXISTS `bm30_employees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm30_employees` (
  `bm30_employee_id` varchar(255) NOT NULL DEFAULT '-',
  `bm30_employee_name` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`bm30_employee_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm30_employees`
--

LOCK TABLES `bm30_employees` WRITE;
/*!40000 ALTER TABLE `bm30_employees` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm30_employees` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm31_employee_details`
--

DROP TABLE IF EXISTS `bm31_employee_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm31_employee_details` (
  `bm31_employee_id` varchar(255) NOT NULL DEFAULT '-',
  `bm31_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm31_employee_name` varchar(255) DEFAULT '-',
  `bm10_shift_name` varchar(255) DEFAULT '-',
  `bm31_employee_data1` varchar(255) DEFAULT '-',
  `bm31_employee_data2` varchar(255) DEFAULT '-',
  `bm31_employee_data3` varchar(255) DEFAULT '-',
  `bm31_employee_data4` varchar(255) DEFAULT '-',
  `bm31_employee_data5` varchar(255) DEFAULT '-',
  `bm31_day_work_minutes_slab1` int(11) DEFAULT '0',
  `bm31_day_salary_rate_slab1` decimal(18,4) DEFAULT '0.0000',
  `bm31_night_work_minutes_slab1` int(11) DEFAULT '0',
  `bm31_night_salary_rate_slab1` decimal(18,4) DEFAULT '0.0000',
  `bm31_day_work_minutes_slab2` int(11) DEFAULT '0',
  `bm31_day_salary_rate_slab2` decimal(18,4) DEFAULT '0.0000',
  `bm31_night_work_minutes_slab2` int(11) DEFAULT '0',
  `bm31_night_salary_rate_slab2` decimal(18,4) DEFAULT '0.0000',
  `bm31_day_work_minutes_slab3` int(11) DEFAULT '0',
  `bm31_day_salary_rate_slab3` decimal(18,4) DEFAULT '0.0000',
  `bm31_night_work_minutes_slab3` int(11) DEFAULT '0',
  `bm31_night_salary_rate_slab3` decimal(18,4) DEFAULT '0.0000',
  `bm31_day_work_minutes_slab4` int(11) DEFAULT '0',
  `bm31_day_salary_rate_slab4` decimal(18,4) DEFAULT '0.0000',
  `bm31_night_work_minutes_slab4` int(11) DEFAULT '0',
  `bm31_night_salary_rate_slab4` decimal(18,4) DEFAULT '0.0000',
  `bm31_day_work_minutes_slab5` int(11) DEFAULT '0',
  `bm31_day_salary_rate_slab5` decimal(18,4) DEFAULT '0.0000',
  `bm31_night_work_minutes_slab5` int(11) unsigned DEFAULT '0',
  `bm31_night_salary_rate_slab5` decimal(18,4) DEFAULT '0.0000',
  `bm31_salary_per_month` decimal(18,2) DEFAULT '0.00',
  `bm31_ref_days_in_a_month` int(11) unsigned DEFAULT '0',
  `bm31_salary_per_day` decimal(18,4) DEFAULT '0.0000',
  `bm31_day_shift_working_minutes` int(11) unsigned DEFAULT '0',
  `bm31_night_shift_working_minutes` int(11) unsigned DEFAULT '0',
  `bm31_from_late_fine1` decimal(18,4) DEFAULT '0.0000',
  `bm31_to_early_fine1` decimal(18,4) DEFAULT '0.0000',
  `bm31_from_late_fine2` decimal(18,4) DEFAULT '0.0000',
  `bm31_to_early_fine2` decimal(18,4) DEFAULT '0.0000',
  `bm31_from_late_fine3` decimal(18,4) DEFAULT '0.0000',
  `bm31_to_early_fine3` decimal(18,4) DEFAULT '0.0000',
  `bm31_from_late_fine4` decimal(18,4) DEFAULT '0.0000',
  `bm31_to_early_fine4` decimal(18,4) DEFAULT '0.0000',
  `bm31_from_late_fine5` decimal(18,4) DEFAULT '0.0000',
  `bm31_to_early_fine5` decimal(18,4) DEFAULT '0.0000',
  `bm31_last_modified_by` varchar(50) DEFAULT '-',
  PRIMARY KEY (`bm31_employee_id`,`bm31_from_date_dec`),
  CONSTRAINT `FK_bm31_employee_details_1` FOREIGN KEY (`bm31_employee_id`) REFERENCES `bm30_employees` (`bm30_employee_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm31_employee_details`
--

LOCK TABLES `bm31_employee_details` WRITE;
/*!40000 ALTER TABLE `bm31_employee_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm31_employee_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm40_shift_changes`
--

DROP TABLE IF EXISTS `bm40_shift_changes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm40_shift_changes` (
  `bm31_employee_id` varchar(255) NOT NULL DEFAULT '-',
  `bm31_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm11_shift_name` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm40_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`bm31_employee_id`,`bm31_from_date_dec`,`bm11_shift_name`,`bm11_from_date_dec`,`bm40_from_date_dec`) USING BTREE,
  KEY `FK_bm40_shift_changes_2` (`bm11_shift_name`,`bm11_from_date_dec`),
  CONSTRAINT `FK_bm40_shift_changes_1` FOREIGN KEY (`bm31_employee_id`, `bm31_from_date_dec`) REFERENCES `bm31_employee_details` (`bm31_employee_id`, `bm31_from_date_dec`) ON UPDATE CASCADE,
  CONSTRAINT `FK_bm40_shift_changes_2` FOREIGN KEY (`bm11_shift_name`, `bm11_from_date_dec`) REFERENCES `bm11_shift_details` (`bm11_shift_name`, `bm11_from_date_dec`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm40_shift_changes`
--

LOCK TABLES `bm40_shift_changes` WRITE;
/*!40000 ALTER TABLE `bm40_shift_changes` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm40_shift_changes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm50_stamping_ids`
--

DROP TABLE IF EXISTS `bm50_stamping_ids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm50_stamping_ids` (
  `bm50_stamping_id` varchar(255) NOT NULL DEFAULT '-',
  `bm20_machine_name` varchar(255) NOT NULL DEFAULT '-',
  `bm30_employee_id` varchar(255) NOT NULL DEFAULT '-',
  `bm50_part_used_for_biometry` varchar(255) NOT NULL DEFAULT '-',
  `bm50_name_of_employee_who_stamps` varchar(255) NOT NULL DEFAULT '-',
  `bm50_self_or_proxy` varchar(1) NOT NULL DEFAULT '-',
  PRIMARY KEY (`bm50_stamping_id`,`bm20_machine_name`),
  KEY `FK_bm50_stamping_ids_1` (`bm20_machine_name`),
  CONSTRAINT `FK_bm50_stamping_ids_1` FOREIGN KEY (`bm20_machine_name`) REFERENCES `bm20_machines` (`bm20_machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm50_stamping_ids`
--

LOCK TABLES `bm50_stamping_ids` WRITE;
/*!40000 ALTER TABLE `bm50_stamping_ids` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm50_stamping_ids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bm60_data`
--

DROP TABLE IF EXISTS `bm60_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bm60_data` (
  `bm60_col01` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col02` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col03` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col04` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col05` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col06` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col07` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col08` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col09` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col10` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col11` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col12` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col13` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col14` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col15` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col16` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col17` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col18` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col19` varchar(255) NOT NULL DEFAULT '-',
  `bm60_col20` varchar(255) NOT NULL DEFAULT '-',
  `bm60_coming_late_fine1` decimal(18,2) DEFAULT '0.00',
  `bm60_coming_late_fine2` decimal(18,2) DEFAULT '0.00',
  `bm60_coming_late_fine3` decimal(18,2) DEFAULT '0.00',
  `bm60_coming_late_fine4` decimal(18,2) DEFAULT '0.00',
  `bm60_coming_late_fine5` decimal(18,2) DEFAULT '0.00',
  `bm60_data_entered_at` decimal(18,2) DEFAULT '0.00',
  `bm60_data_entered_by` varchar(255) NOT NULL DEFAULT '-',
  `bm60_datetimestamp` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm60_day_minutes1` int(11) DEFAULT '0',
  `bm60_day_minutes2` int(11) DEFAULT '0',
  `bm60_day_minutes3` int(11) DEFAULT '0',
  `bm60_day_minutes4` int(11) DEFAULT '0',
  `bm60_day_minutes5` int(11) DEFAULT '0',
  `bm60_day_salary_slab1` decimal(18,2) DEFAULT '0.00',
  `bm60_day_salary_slab2` decimal(18,2) DEFAULT '0.00',
  `bm60_day_salary_slab3` decimal(18,2) DEFAULT '0.00',
  `bm60_day_salary_slab4` decimal(18,2) DEFAULT '0.00',
  `bm60_day_salary_slab5` decimal(18,2) DEFAULT '0.00',
  `bm60_duty_type1` varchar(255) NOT NULL DEFAULT '-',
  `bm60_duty_type2` varchar(255) NOT NULL DEFAULT '-',
  `bm60_duty_type3` varchar(255) NOT NULL DEFAULT '-',
  `bm60_duty_type4` varchar(255) NOT NULL DEFAULT '-',
  `bm60_duty_type5` varchar(255) NOT NULL DEFAULT '-',
  `bm60_going_early_fine1` decimal(18,2) DEFAULT '0.00',
  `bm60_going_early_fine2` decimal(18,2) DEFAULT '0.00',
  `bm60_going_early_fine3` decimal(18,2) DEFAULT '0.00',
  `bm60_going_early_fine4` decimal(18,2) DEFAULT '0.00',
  `bm60_going_early_fine5` decimal(18,2) DEFAULT '0.00',
  `bm60_night_minutes1` int(11) DEFAULT '0',
  `bm60_night_minutes2` int(11) DEFAULT '0',
  `bm60_night_minutes3` int(11) DEFAULT '0',
  `bm60_night_minutes4` int(11) DEFAULT '0',
  `bm60_night_minutes5` int(11) DEFAULT '0',
  `bm60_night_salary_slab1` decimal(18,2) DEFAULT '0.00',
  `bm60_night_salary_slab2` decimal(18,2) DEFAULT '0.00',
  `bm60_night_salary_slab3` decimal(18,2) DEFAULT '0.00',
  `bm60_night_salary_slab4` decimal(18,2) DEFAULT '0.00',
  `bm60_night_salary_slab5` decimal(18,2) DEFAULT '0.00',
  `bm60_row_no` int(11) DEFAULT '0',
  `bm60_special_bata_given_by1` varchar(255) NOT NULL DEFAULT '-',
  `bm60_special_bata_given_by2` varchar(255) NOT NULL DEFAULT '-',
  `bm60_special_bata_given_by3` varchar(255) NOT NULL DEFAULT '-',
  `bm60_special_bata_given_by4` varchar(255) NOT NULL DEFAULT '-',
  `bm60_special_bata_given_by5` varchar(255) NOT NULL DEFAULT '-',
  `bm60_special_bata1` decimal(18,2) DEFAULT '0.00',
  `bm60_special_bata2` decimal(18,2) DEFAULT '0.00',
  `bm60_special_bata3` decimal(18,2) DEFAULT '0.00',
  `bm60_special_bata4` decimal(18,2) DEFAULT '0.00',
  `bm60_special_bata5` decimal(18,2) DEFAULT '0.00',
  `bm60_stamp_from01` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from02` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from03` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from04` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from05` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from06` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from07` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from08` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from09` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp_from10` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp01` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp02` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp03` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp04` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp05` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp06` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp07` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp08` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp09` varchar(255) NOT NULL DEFAULT '-',
  `bm60_stamp10` varchar(255) NOT NULL DEFAULT '-',
  `bm11_auto_01` varchar(6) DEFAULT NULL,
  `bm11_auto_02` varchar(6) DEFAULT NULL,
  `bm11_auto_03` varchar(6) DEFAULT NULL,
  `bm11_auto_04` varchar(6) DEFAULT NULL,
  `bm11_auto_05` varchar(6) DEFAULT NULL,
  `bm11_auto_06` varchar(6) DEFAULT NULL,
  `bm11_auto_07` varchar(6) DEFAULT NULL,
  `bm11_auto_08` varchar(6) DEFAULT NULL,
  `bm11_auto_09` varchar(6) DEFAULT NULL,
  `bm11_auto_10` varchar(6) DEFAULT NULL,
  `bm11_shift_name` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_date_dec` decimal(18,2) DEFAULT '0.00',
  `bm11_description` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_cut_off1` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_cut_off2` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_cut_off3` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_cut_off4` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from_cut_off5` varchar(255) NOT NULL DEFAULT '-',
  `bm31_from_late_fine1` decimal(18,2) DEFAULT '0.00',
  `bm31_from_late_fine2` decimal(18,2) DEFAULT '0.00',
  `bm31_from_late_fine3` decimal(18,2) DEFAULT '0.00',
  `bm31_from_late_fine4` decimal(18,2) DEFAULT '0.00',
  `bm31_from_late_fine5` decimal(18,2) DEFAULT '0.00',
  `bm11_from1` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from2` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from3` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from4` varchar(255) NOT NULL DEFAULT '-',
  `bm11_from5` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to_cut_off1` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to_cut_off2` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to_cut_off3` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to_cut_off4` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to_cut_off5` varchar(255) NOT NULL DEFAULT '-',
  `bm31_to_early_fine1` decimal(18,2) DEFAULT '0.00',
  `bm31_to_early_fine2` decimal(18,2) DEFAULT '0.00',
  `bm31_to_early_fine3` decimal(18,2) DEFAULT '0.00',
  `bm31_to_early_fine4` decimal(18,2) DEFAULT '0.00',
  `bm31_to_early_fine5` decimal(18,2) DEFAULT '0.00',
  `bm11_to1` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to2` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to3` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to4` varchar(255) NOT NULL DEFAULT '-',
  `bm11_to5` varchar(255) NOT NULL DEFAULT '-',
  `bm11_weekly_off` varchar(255) NOT NULL DEFAULT '-',
  `bm31_day_salary_rate_slab1` decimal(18,2) DEFAULT '0.00',
  `bm31_day_salary_rate_slab2` decimal(18,2) DEFAULT '0.00',
  `bm31_day_salary_rate_slab3` decimal(18,2) DEFAULT '0.00',
  `bm31_day_salary_rate_slab4` decimal(18,2) DEFAULT '0.00',
  `bm31_day_salary_rate_slab5` decimal(18,2) DEFAULT '0.00',
  `bm31_day_work_minutes_slab1` int(11) DEFAULT '0',
  `bm31_day_work_minutes_slab2` int(11) DEFAULT '0',
  `bm31_day_work_minutes_slab3` int(11) DEFAULT '0',
  `bm31_day_work_minutes_slab4` int(11) DEFAULT '0',
  `bm31_day_work_minutes_slab5` int(11) DEFAULT '0',
  `bm31_employee_data1` varchar(255) NOT NULL DEFAULT '-',
  `bm31_employee_data2` varchar(255) NOT NULL DEFAULT '-',
  `bm31_employee_data3` varchar(255) NOT NULL DEFAULT '-',
  `bm31_employee_data4` varchar(255) NOT NULL DEFAULT '-',
  `bm31_employee_data5` varchar(255) NOT NULL DEFAULT '-',
  `bm31_employee_id` varchar(255) NOT NULL DEFAULT '-',
  `bm31_from_date_dec` decimal(18,2) DEFAULT '0.00',
  `bm31_employee_name` varchar(255) NOT NULL DEFAULT '-',
  `bm31_night_salary_rate_slab1` decimal(18,2) DEFAULT '0.00',
  `bm31_night_salary_rate_slab2` decimal(18,2) DEFAULT '0.00',
  `bm31_night_salary_rate_slab3` decimal(18,2) DEFAULT '0.00',
  `bm31_night_salary_rate_slab4` decimal(18,2) DEFAULT '0.00',
  `bm31_night_salary_rate_slab5` decimal(18,2) DEFAULT '0.00',
  `bm31_night_work_minutes_slab1` int(11) DEFAULT '0',
  `bm31_night_work_minutes_slab2` int(11) DEFAULT '0',
  `bm31_night_work_minutes_slab3` int(11) DEFAULT '0',
  `bm31_night_work_minutes_slab4` int(11) DEFAULT '0',
  `bm31_night_work_minutes_slab5` int(11) DEFAULT '0',
  `bm21_data_col_for_datetime_stamp_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_datetime_stamp_title` varchar(255) NOT NULL DEFAULT '-',
  `bm21_data_col_for_employee_name_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_employee_name_title` varchar(255) NOT NULL DEFAULT '-',
  `bm21_data_col_for_stamping_id_pos` int(11) DEFAULT '0',
  `bm21_data_col_for_stamping_id_title` varchar(255) NOT NULL DEFAULT '-',
  `bm21_datetime_stamp_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_datetime_stamp_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_delete_ex_employees_data` varchar(255) NOT NULL DEFAULT '-',
  `bm21_delete_first_row_on_import` varchar(255) NOT NULL DEFAULT '-',
  `bm21_employee_name_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_employee_name_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data02` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data03` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data04` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_data05` varchar(255) NOT NULL DEFAULT '-',
  `bm21_machine_type` varchar(255) NOT NULL DEFAULT '-',
  `bm21_row_no_expression1` varchar(255) NOT NULL DEFAULT '-',
  `bm21_row_no_expression2` varchar(255) NOT NULL DEFAULT '-',
  `bm21_stamping_id_expression01` varchar(255) NOT NULL DEFAULT '-',
  `bm21_stamping_id_expression02` varchar(255) NOT NULL DEFAULT '-',
  `bm50_name_of_employee_who_stamps` varchar(255) NOT NULL DEFAULT '-',
  `bm50_part_used_for_biometry` varchar(255) NOT NULL DEFAULT '-',
  `bm50_self_or_proxy` varchar(255) NOT NULL DEFAULT '-',
  `bm50_stamping_id` varchar(255) NOT NULL DEFAULT '-',
  `bm20_machine_name` varchar(255) NOT NULL DEFAULT '-',
  `bm60_date_no` int(11) unsigned NOT NULL DEFAULT '0',
  `bm11_break_minutes` int(11) unsigned NOT NULL DEFAULT '0',
  `bm40_from_date_dec` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm31_salary_per_month` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm31_ref_days_in_a_month` int(11) unsigned NOT NULL DEFAULT '0',
  `bm31_salary_per_day` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bm31_day_shift_working_minutes` int(11) unsigned NOT NULL DEFAULT '0',
  `bm31_night_shift_working_minutes` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bm60_datetimestamp`,`bm50_stamping_id`,`bm20_machine_name`),
  KEY `FK_bm60_data_1` (`bm50_stamping_id`,`bm20_machine_name`),
  KEY `Index_3` (`bm60_date_no`),
  KEY `Index_4` (`bm31_employee_id`,`bm60_date_no`),
  CONSTRAINT `FK_bm60_data_1` FOREIGN KEY (`bm50_stamping_id`, `bm20_machine_name`) REFERENCES `bm50_stamping_ids` (`bm50_stamping_id`, `bm20_machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bm60_data`
--

LOCK TABLES `bm60_data` WRITE;
/*!40000 ALTER TABLE `bm60_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `bm60_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmps`
--

DROP TABLE IF EXISTS `bmps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmps` (
  `purpose` varchar(50) NOT NULL,
  `blob1` longblob,
  `id_column1` varchar(50) NOT NULL DEFAULT '-',
  `id_column2` varchar(50) NOT NULL DEFAULT '-',
  PRIMARY KEY (`purpose`,`id_column1`,`id_column2`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmps`
--

LOCK TABLES `bmps` WRITE;
/*!40000 ALTER TABLE `bmps` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_01_employee_list`
--

DROP TABLE IF EXISTS `bmwm_01_employee_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_01_employee_list` (
  `employee_name` varchar(255) NOT NULL,
  `dob` datetime DEFAULT NULL,
  `date_of_joining` datetime DEFAULT NULL,
  `designation` varchar(50) DEFAULT NULL,
  `address1` varchar(255) DEFAULT NULL,
  `phone_no` varchar(50) DEFAULT NULL,
  `date_of_terminating` datetime DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`employee_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_01_employee_list`
--

LOCK TABLES `bmwm_01_employee_list` WRITE;
/*!40000 ALTER TABLE `bmwm_01_employee_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_01_employee_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_02_vehicle_list`
--

DROP TABLE IF EXISTS `bmwm_02_vehicle_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_02_vehicle_list` (
  `vehicle_reg_no` varchar(50) NOT NULL,
  `vehicle_name` varchar(50) DEFAULT NULL,
  `purchase_date` datetime DEFAULT NULL,
  `fuel_type` varchar(50) DEFAULT NULL,
  `other_details` varchar(255) DEFAULT NULL,
  `date_of_terminating` datetime DEFAULT NULL,
  PRIMARY KEY (`vehicle_reg_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_02_vehicle_list`
--

LOCK TABLES `bmwm_02_vehicle_list` WRITE;
/*!40000 ALTER TABLE `bmwm_02_vehicle_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_02_vehicle_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_02_zvehicle_employee_combi_list`
--

DROP TABLE IF EXISTS `bmwm_02_zvehicle_employee_combi_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_02_zvehicle_employee_combi_list` (
  `employee_name` varchar(255) NOT NULL,
  `vehicle_reg_no` varchar(50) NOT NULL,
  PRIMARY KEY (`employee_name`,`vehicle_reg_no`),
  KEY `FK_bmwm_02_zvehicle_employee_combi_list_2` (`vehicle_reg_no`),
  CONSTRAINT `FK_bmwm_02_zvehicle_employee_combi_list_1` FOREIGN KEY (`employee_name`) REFERENCES `bmwm_01_employee_list` (`employee_name`),
  CONSTRAINT `FK_bmwm_02_zvehicle_employee_combi_list_2` FOREIGN KEY (`vehicle_reg_no`) REFERENCES `bmwm_02_vehicle_list` (`vehicle_reg_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_02_zvehicle_employee_combi_list`
--

LOCK TABLES `bmwm_02_zvehicle_employee_combi_list` WRITE;
/*!40000 ALTER TABLE `bmwm_02_zvehicle_employee_combi_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_02_zvehicle_employee_combi_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_03_place_list`
--

DROP TABLE IF EXISTS `bmwm_03_place_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_03_place_list` (
  `place_name` varchar(255) NOT NULL,
  `contact_name_phone_no` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`place_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_03_place_list`
--

LOCK TABLES `bmwm_03_place_list` WRITE;
/*!40000 ALTER TABLE `bmwm_03_place_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_03_place_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_04_area_list`
--

DROP TABLE IF EXISTS `bmwm_04_area_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_04_area_list` (
  `area_name` varchar(255) NOT NULL,
  `place_name` varchar(255) NOT NULL,
  `contact_name_phone_no` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`area_name`,`place_name`),
  KEY `FK_bmwm_04_area_list_1` (`place_name`),
  CONSTRAINT `FK_bmwm_04_area_list_1` FOREIGN KEY (`place_name`) REFERENCES `bmwm_03_place_list` (`place_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_04_area_list`
--

LOCK TABLES `bmwm_04_area_list` WRITE;
/*!40000 ALTER TABLE `bmwm_04_area_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_04_area_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_05_route_frequency_list`
--

DROP TABLE IF EXISTS `bmwm_05_route_frequency_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_05_route_frequency_list` (
  `frequency_id` varchar(50) NOT NULL,
  `frequency_type` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`frequency_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_05_route_frequency_list`
--

LOCK TABLES `bmwm_05_route_frequency_list` WRITE;
/*!40000 ALTER TABLE `bmwm_05_route_frequency_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_05_route_frequency_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_06_route_list`
--

DROP TABLE IF EXISTS `bmwm_06_route_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_06_route_list` (
  `route_name` varchar(150) NOT NULL,
  `description_of_route` varchar(255) DEFAULT NULL,
  `length` int(11) DEFAULT '0',
  `frequency_id` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`route_name`),
  KEY `FK_bmwm_06_route_list_1` (`frequency_id`),
  CONSTRAINT `FK_bmwm_06_route_list_1` FOREIGN KEY (`frequency_id`) REFERENCES `bmwm_05_route_frequency_list` (`frequency_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_06_route_list`
--

LOCK TABLES `bmwm_06_route_list` WRITE;
/*!40000 ALTER TABLE `bmwm_06_route_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_06_route_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_06_zroute_vehicle_combi_list`
--

DROP TABLE IF EXISTS `bmwm_06_zroute_vehicle_combi_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_06_zroute_vehicle_combi_list` (
  `route_name` varchar(150) NOT NULL,
  `vehicle_reg_no` varchar(50) NOT NULL,
  PRIMARY KEY (`route_name`,`vehicle_reg_no`),
  KEY `FK_bmwm_06_zroute_vehicle_combi_list_2` (`vehicle_reg_no`),
  CONSTRAINT `FK_bmwm_06_zroute_vehicle_combi_list_1` FOREIGN KEY (`route_name`) REFERENCES `bmwm_06_route_list` (`route_name`),
  CONSTRAINT `FK_bmwm_06_zroute_vehicle_combi_list_2` FOREIGN KEY (`vehicle_reg_no`) REFERENCES `bmwm_02_vehicle_list` (`vehicle_reg_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_06_zroute_vehicle_combi_list`
--

LOCK TABLES `bmwm_06_zroute_vehicle_combi_list` WRITE;
/*!40000 ALTER TABLE `bmwm_06_zroute_vehicle_combi_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_06_zroute_vehicle_combi_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_07_route_details`
--

DROP TABLE IF EXISTS `bmwm_07_route_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_07_route_details` (
  `route_name` varchar(150) NOT NULL,
  `sl_no` int(11) NOT NULL DEFAULT '0',
  `area_name` varchar(255) DEFAULT NULL,
  `place_name` varchar(255) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`route_name`,`sl_no`),
  KEY `FK_bmwm_07_route_details_2` (`area_name`,`place_name`),
  CONSTRAINT `FK_bmwm_07_route_details_1` FOREIGN KEY (`route_name`) REFERENCES `bmwm_06_route_list` (`route_name`),
  CONSTRAINT `FK_bmwm_07_route_details_2` FOREIGN KEY (`area_name`, `place_name`) REFERENCES `bmwm_04_area_list` (`area_name`, `place_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_07_route_details`
--

LOCK TABLES `bmwm_07_route_details` WRITE;
/*!40000 ALTER TABLE `bmwm_07_route_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_07_route_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_08_member_category_list`
--

DROP TABLE IF EXISTS `bmwm_08_member_category_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_08_member_category_list` (
  `category_name` varchar(255) NOT NULL,
  `category_type` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`category_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_08_member_category_list`
--

LOCK TABLES `bmwm_08_member_category_list` WRITE;
/*!40000 ALTER TABLE `bmwm_08_member_category_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_08_member_category_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_09_member_list`
--

DROP TABLE IF EXISTS `bmwm_09_member_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_09_member_list` (
  `member_id` varchar(50) NOT NULL,
  `firm_name` varchar(100) DEFAULT NULL,
  `firm_name2` varchar(100) DEFAULT NULL,
  `address_full` varchar(255) DEFAULT NULL,
  `category_name` varchar(255) DEFAULT NULL,
  `joining_date` datetime DEFAULT NULL,
  `number_of_beds` int(11) DEFAULT '0',
  `occupancy` int(11) DEFAULT '0',
  `account_name` varchar(100) DEFAULT NULL,
  `account_bank` varchar(100) DEFAULT NULL,
  `account_bank_number` varchar(100) DEFAULT NULL,
  `leaving_date` datetime DEFAULT NULL,
  `leaving_date_marked_by` varchar(10) DEFAULT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  `area_name` varchar(255) DEFAULT NULL,
  `place_name` varchar(255) DEFAULT NULL,
  `route_name` varchar(150) DEFAULT NULL,
  `notes` varchar(255) DEFAULT '-',
  `timings` varchar(255) DEFAULT '-',
  `e_mail` varchar(255) DEFAULT '-',
  `land_line_no` varchar(255) DEFAULT '-',
  `mobile_no` varchar(255) DEFAULT '-',
  `face_book_name` varchar(255) DEFAULT '-',
  `web_site` varchar(255) DEFAULT '-',
  PRIMARY KEY (`member_id`),
  KEY `FK_bmwm_09_member_list_2` (`category_name`),
  KEY `FK_bmwm_09_member_list_3` (`area_name`,`place_name`),
  CONSTRAINT `FK_bmwm_09_member_list_1` FOREIGN KEY (`member_id`) REFERENCES `all_customers` (`customer_id`),
  CONSTRAINT `FK_bmwm_09_member_list_2` FOREIGN KEY (`category_name`) REFERENCES `bmwm_08_member_category_list` (`category_name`),
  CONSTRAINT `FK_bmwm_09_member_list_3` FOREIGN KEY (`area_name`, `place_name`) REFERENCES `bmwm_04_area_list` (`area_name`, `place_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_09_member_list`
--

LOCK TABLES `bmwm_09_member_list` WRITE;
/*!40000 ALTER TABLE `bmwm_09_member_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_09_member_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_10_member_route_combi_list`
--

DROP TABLE IF EXISTS `bmwm_10_member_route_combi_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_10_member_route_combi_list` (
  `member_id` varchar(50) NOT NULL,
  `route_name` varchar(150) NOT NULL,
  PRIMARY KEY (`member_id`,`route_name`),
  KEY `FK_bmwm_10_member_route_combi_list_2` (`route_name`),
  CONSTRAINT `FK_bmwm_10_member_route_combi_list_1` FOREIGN KEY (`member_id`) REFERENCES `bmwm_09_member_list` (`member_id`),
  CONSTRAINT `FK_bmwm_10_member_route_combi_list_2` FOREIGN KEY (`route_name`) REFERENCES `bmwm_06_route_list` (`route_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_10_member_route_combi_list`
--

LOCK TABLES `bmwm_10_member_route_combi_list` WRITE;
/*!40000 ALTER TABLE `bmwm_10_member_route_combi_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_10_member_route_combi_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_11_billing_year_list`
--

DROP TABLE IF EXISTS `bmwm_11_billing_year_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_11_billing_year_list` (
  `billing_year_name` varchar(50) NOT NULL,
  `from_date` datetime DEFAULT NULL,
  `to_date` datetime DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`billing_year_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_11_billing_year_list`
--

LOCK TABLES `bmwm_11_billing_year_list` WRITE;
/*!40000 ALTER TABLE `bmwm_11_billing_year_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_11_billing_year_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_12_fees_yearcategorywise`
--

DROP TABLE IF EXISTS `bmwm_12_fees_yearcategorywise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_12_fees_yearcategorywise` (
  `billing_year_name` varchar(50) NOT NULL,
  `member_category_name` varchar(255) NOT NULL,
  `deposit` decimal(18,2) DEFAULT '0.00',
  `membership_fees` decimal(18,2) DEFAULT '0.00',
  `service_fees_annual` decimal(18,2) DEFAULT '0.00',
  `service_fees_monthly` decimal(18,2) DEFAULT '0.00',
  `other_fees_monthly` decimal(18,2) DEFAULT '0.00',
  `other_fees_annual` decimal(18,2) DEFAULT '0.00',
  `last_modified` varchar(50) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`billing_year_name`,`member_category_name`),
  CONSTRAINT `FK_bmwm_12_fees_yearcategorywise_1` FOREIGN KEY (`billing_year_name`) REFERENCES `bmwm_11_billing_year_list` (`billing_year_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_12_fees_yearcategorywise`
--

LOCK TABLES `bmwm_12_fees_yearcategorywise` WRITE;
/*!40000 ALTER TABLE `bmwm_12_fees_yearcategorywise` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_12_fees_yearcategorywise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_13_fees_yearmemberwise`
--

DROP TABLE IF EXISTS `bmwm_13_fees_yearmemberwise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_13_fees_yearmemberwise` (
  `member_id` varchar(50) NOT NULL,
  `billing_year_name` varchar(50) NOT NULL,
  `billing_name` varchar(255) DEFAULT '-',
  `billing_name2` varchar(255) DEFAULT '-',
  `billing_address` varchar(255) DEFAULT '-',
  `member_category_name` varchar(255) DEFAULT NULL,
  `number_of_beds` int(11) DEFAULT '0',
  `occupancy` int(11) DEFAULT '0',
  `deposit` decimal(18,2) DEFAULT '0.00',
  `membership_fees` decimal(18,2) DEFAULT '0.00',
  `service_fees_annual` decimal(18,2) DEFAULT '0.00',
  `service_fees_monthly` decimal(18,2) DEFAULT '0.00',
  `other_fees_monthly` decimal(18,2) DEFAULT '0.00',
  `other_fees_annual` decimal(18,2) DEFAULT '0.00',
  `last_modified` varchar(50) DEFAULT '-',
  `notes` varchar(255) DEFAULT '-',
  PRIMARY KEY (`member_id`,`billing_year_name`),
  CONSTRAINT `FK_bmwm_13_fees_yearmemberwise_1` FOREIGN KEY (`member_id`) REFERENCES `bmwm_09_member_list` (`member_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_13_fees_yearmemberwise`
--

LOCK TABLES `bmwm_13_fees_yearmemberwise` WRITE;
/*!40000 ALTER TABLE `bmwm_13_fees_yearmemberwise` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_13_fees_yearmemberwise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_14_waste_category_list`
--

DROP TABLE IF EXISTS `bmwm_14_waste_category_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_14_waste_category_list` (
  `color_of_bag` varchar(50) NOT NULL,
  `type_of_waste` varchar(50) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`color_of_bag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_14_waste_category_list`
--

LOCK TABLES `bmwm_14_waste_category_list` WRITE;
/*!40000 ALTER TABLE `bmwm_14_waste_category_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_14_waste_category_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bmwm_15_waste_collected`
--

DROP TABLE IF EXISTS `bmwm_15_waste_collected`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bmwm_15_waste_collected` (
  `collection_no` int(11) NOT NULL DEFAULT '0',
  `dated` datetime DEFAULT NULL,
  `member_id` varchar(50) DEFAULT NULL,
  `waste_type_01` decimal(18,3) DEFAULT '0.000',
  `waste_type_02` decimal(18,3) DEFAULT '0.000',
  `waste_type_03` decimal(18,3) DEFAULT '0.000',
  `waste_type_04` decimal(18,3) DEFAULT '0.000',
  `waste_type_05` decimal(18,3) DEFAULT '0.000',
  `waste_type_06` decimal(18,3) DEFAULT '0.000',
  `waste_type_07` decimal(18,3) DEFAULT '0.000',
  `waste_type_08` decimal(18,3) DEFAULT '0.000',
  `waste_type_09` decimal(18,3) DEFAULT '0.000',
  `waste_type_10` decimal(18,3) DEFAULT '0.000',
  PRIMARY KEY (`collection_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bmwm_15_waste_collected`
--

LOCK TABLES `bmwm_15_waste_collected` WRITE;
/*!40000 ALTER TABLE `bmwm_15_waste_collected` DISABLE KEYS */;
/*!40000 ALTER TABLE `bmwm_15_waste_collected` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_allergies_and_or_adrs`
--

DROP TABLE IF EXISTS `bn_allergies_and_or_adrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_allergies_and_or_adrs` (
  `customer_id` varchar(50) NOT NULL,
  `group_or_agent` varchar(1) DEFAULT NULL,
  `name_of_group_or_agent` varchar(100) NOT NULL,
  `description_of_adr_allergy` varchar(250) DEFAULT NULL,
  `entered_by` varchar(5) DEFAULT NULL,
  `entered_on` datetime DEFAULT NULL,
  `adr_since` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`name_of_group_or_agent`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_allergies_and_or_adrs`
--

LOCK TABLES `bn_allergies_and_or_adrs` WRITE;
/*!40000 ALTER TABLE `bn_allergies_and_or_adrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_allergies_and_or_adrs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_clinical_conditions`
--

DROP TABLE IF EXISTS `bn_clinical_conditions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_clinical_conditions` (
  `customer_id` varchar(50) NOT NULL,
  `date_of_entry` datetime NOT NULL,
  `since_date` datetime DEFAULT NULL,
  `condition_name` varchar(250) NOT NULL,
  `entered_by` varchar(5) DEFAULT NULL,
  `cancelled_by` varchar(5) DEFAULT NULL,
  `cancelled_date` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`date_of_entry`,`condition_name`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_clinical_conditions`
--

LOCK TABLES `bn_clinical_conditions` WRITE;
/*!40000 ALTER TABLE `bn_clinical_conditions` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_clinical_conditions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_diagnosis`
--

DROP TABLE IF EXISTS `bn_diagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_diagnosis` (
  `customer_id` varchar(50) CHARACTER SET latin1 NOT NULL,
  `date_of_entry` datetime NOT NULL,
  `diagnosis_description` varchar(250) NOT NULL,
  `entered_by` varchar(5) CHARACTER SET latin1 DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`date_of_entry`,`diagnosis_description`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_diagnosis`
--

LOCK TABLES `bn_diagnosis` WRITE;
/*!40000 ALTER TABLE `bn_diagnosis` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_diagnosis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_miscellaneous`
--

DROP TABLE IF EXISTS `bn_miscellaneous`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_miscellaneous` (
  `customer_id` varchar(50) NOT NULL,
  `date_of_entry` datetime DEFAULT NULL,
  `since_date` datetime NOT NULL,
  `description01` varchar(250) NOT NULL,
  `value01` varchar(250) DEFAULT NULL,
  `entered_by` varchar(5) DEFAULT NULL,
  `category01` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`since_date`,`description01`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_miscellaneous`
--

LOCK TABLES `bn_miscellaneous` WRITE;
/*!40000 ALTER TABLE `bn_miscellaneous` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_miscellaneous` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_on_therapy_or_meds`
--

DROP TABLE IF EXISTS `bn_on_therapy_or_meds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_on_therapy_or_meds` (
  `customer_id` varchar(50) NOT NULL,
  `date_of_entry` datetime NOT NULL,
  `since_date` datetime DEFAULT NULL,
  `therapy_or_med_name` varchar(250) NOT NULL,
  `entered_by` varchar(5) DEFAULT NULL,
  `cancelled_by` varchar(5) DEFAULT NULL,
  `cancelled_date` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`date_of_entry`,`therapy_or_med_name`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_on_therapy_or_meds`
--

LOCK TABLES `bn_on_therapy_or_meds` WRITE;
/*!40000 ALTER TABLE `bn_on_therapy_or_meds` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_on_therapy_or_meds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_owner_of_cust_details`
--

DROP TABLE IF EXISTS `bn_owner_of_cust_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_owner_of_cust_details` (
  `customer_id` varchar(50) NOT NULL,
  `permitted_on` datetime NOT NULL,
  `permitted` varchar(5) NOT NULL,
  `issued_by` varchar(5) DEFAULT NULL,
  `expiry_date` datetime DEFAULT NULL,
  `cancelled_by` varchar(5) DEFAULT NULL,
  `cancelled_on` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`permitted_on`,`permitted`),
  KEY `all_customersbn_owner_of_cust_d` (`customer_id`),
  KEY `customer_id` (`customer_id`),
  CONSTRAINT `FK_bn_owner_of_cust_details_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_owner_of_cust_details`
--

LOCK TABLES `bn_owner_of_cust_details` WRITE;
/*!40000 ALTER TABLE `bn_owner_of_cust_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_owner_of_cust_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bn_owner_of_nipa`
--

DROP TABLE IF EXISTS `bn_owner_of_nipa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bn_owner_of_nipa` (
  `customer_id` varchar(50) NOT NULL,
  `permitted_on` datetime NOT NULL,
  `permitted` varchar(5) NOT NULL,
  `issued_by` varchar(5) DEFAULT NULL,
  `expiry_date` datetime DEFAULT NULL,
  `cancelled_by` varchar(5) DEFAULT NULL,
  `cancelled_on` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`permitted_on`,`permitted`),
  KEY `all_customersbn_owner_of_nipa` (`customer_id`),
  KEY `customer_id` (`customer_id`),
  CONSTRAINT `FK_bn_owner_of_nipa_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bn_owner_of_nipa`
--

LOCK TABLES `bn_owner_of_nipa` WRITE;
/*!40000 ALTER TABLE `bn_owner_of_nipa` DISABLE KEYS */;
/*!40000 ALTER TABLE `bn_owner_of_nipa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `changed_values_list`
--

DROP TABLE IF EXISTS `changed_values_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `changed_values_list` (
  `user_name` varchar(5) NOT NULL DEFAULT '-',
  `time_stamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `column_name` varchar(255) NOT NULL DEFAULT '-',
  `original_value` varchar(255) NOT NULL DEFAULT '-',
  `new_value` varchar(255) NOT NULL DEFAULT '-',
  `sl_no` decimal(3,2) NOT NULL DEFAULT '0.00',
  `ref_no` int(11) DEFAULT '0',
  PRIMARY KEY (`module_name`,`user_name`,`time_stamp`,`sl_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `changed_values_list`
--

LOCK TABLES `changed_values_list` WRITE;
/*!40000 ALTER TABLE `changed_values_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `changed_values_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `coder`
--

DROP TABLE IF EXISTS `coder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `coder` (
  `pk` int(11) DEFAULT NULL,
  `coder` varchar(40) DEFAULT NULL,
  UNIQUE KEY `pk` (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coder`
--

LOCK TABLES `coder` WRITE;
/*!40000 ALTER TABLE `coder` DISABLE KEYS */;
/*!40000 ALTER TABLE `coder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `combined_reports_header`
--

DROP TABLE IF EXISTS `combined_reports_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `combined_reports_header` (
  `report_name` varchar(255) DEFAULT '-',
  `Title1` varchar(255) DEFAULT '-',
  `address1` varchar(255) DEFAULT '-',
  `address2` varchar(255) DEFAULT '-',
  `address3` varchar(255) DEFAULT '-',
  `report_no` int(11) NOT NULL DEFAULT '0',
  `line_no_label` varchar(255) DEFAULT 'Sl No',
  `line_no_width` decimal(5,2) DEFAULT '2.00',
  `line_no_position` int(11) DEFAULT '1',
  `string_col1_label` varchar(255) DEFAULT 'Bill Nos',
  `string_col1_width` decimal(5,2) DEFAULT '3.00',
  `string_col1_position` int(11) DEFAULT '3',
  `particulars_label` varchar(255) DEFAULT 'Particulars',
  `particulars_width` decimal(5,2) DEFAULT '5.00',
  `particulars_position` int(11) DEFAULT '2',
  `dec_col1_label` varchar(255) DEFAULT 'Dec1',
  `dec_col1_width` decimal(5,2) DEFAULT '1.50',
  `dec_col1_position` int(11) DEFAULT '4',
  `dec_col2_label` varchar(255) DEFAULT 'Dec2',
  `dec_col2_width` decimal(5,2) DEFAULT '1.50',
  `dec_col2_position` int(11) DEFAULT '5',
  `dec_col3_label` varchar(255) DEFAULT 'Dec3',
  `dec_col3_width` decimal(5,2) DEFAULT '1.50',
  `dec_col3_position` int(11) DEFAULT '6',
  `dec_col4_label` varchar(255) DEFAULT 'Dec4',
  `dec_col4_width` decimal(5,2) DEFAULT '1.50',
  `dec_col4_position` int(11) DEFAULT '7',
  `dec_col5_label` varchar(255) DEFAULT 'Dec5',
  `dec_col5_width` decimal(5,2) DEFAULT '1.50',
  `dec_col5_position` int(11) DEFAULT '8',
  `string_col2_label` varchar(255) DEFAULT 'Future',
  `string_col2_width` decimal(5,2) DEFAULT '3.00',
  `string_col2_position` int(11) DEFAULT '9',
  PRIMARY KEY (`report_no`),
  UNIQUE KEY `report_no_UNIQUE` (`report_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='seqential multi acc_book summary reports fo rbilling and rec';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `combined_reports_header`
--

LOCK TABLES `combined_reports_header` WRITE;
/*!40000 ALTER TABLE `combined_reports_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `combined_reports_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `combined_reports_lines`
--

DROP TABLE IF EXISTS `combined_reports_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `combined_reports_lines` (
  `report_no` int(11) NOT NULL DEFAULT '0',
  `line_no` int(11) NOT NULL DEFAULT '0',
  `line_title` varchar(255) DEFAULT '-',
  `line_type` varchar(255) DEFAULT '-',
  `section_name` varchar(255) DEFAULT '-',
  `account_book` varchar(50) DEFAULT '-',
  `division` varchar(10) DEFAULT '-',
  `type_of_summary_source` varchar(255) DEFAULT '-',
  `string_col1_source` varchar(255) DEFAULT '-',
  `dec_col1_source` varchar(255) DEFAULT '-',
  `dec_col1_total` varchar(1) DEFAULT 'y',
  `dec_col2_source` varchar(255) DEFAULT '-',
  `dec_col2_total` varchar(1) DEFAULT 'y',
  `dec_col3_source` varchar(255) DEFAULT '-',
  `dec_col3_total` varchar(1) DEFAULT 'y',
  `dec_col4_source` varchar(255) DEFAULT '-',
  `dec_col4_total` varchar(1) DEFAULT 'y',
  `dec_col5_source` varchar(255) DEFAULT '-',
  `dec_col5_total` varchar(1) DEFAULT 'y',
  `string_col2_source` varchar(255) DEFAULT '-',
  `algorithm1` varchar(255) DEFAULT '-',
  `display_type` varchar(255) DEFAULT '-',
  `show_zero_rows` varchar(1) DEFAULT 'y',
  `extra_line1` varchar(255) DEFAULT '-',
  `extra_line2` varchar(255) DEFAULT '-',
  `extra_line3` varchar(255) DEFAULT '-',
  `show_extra_lines` varchar(1) DEFAULT '-',
  `into_minus_one1` varchar(1) DEFAULT '-',
  `into_minus_one2` varchar(1) DEFAULT '-',
  `into_minus_one3` varchar(1) DEFAULT '-',
  `into_minus_one4` varchar(1) DEFAULT '-',
  `into_minus_one5` varchar(1) DEFAULT '-',
  PRIMARY KEY (`report_no`,`line_no`),
  CONSTRAINT `to_header` FOREIGN KEY (`report_no`) REFERENCES `combined_reports_header` (`report_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `combined_reports_lines`
--

LOCK TABLES `combined_reports_lines` WRITE;
/*!40000 ALTER TABLE `combined_reports_lines` DISABLE KEYS */;
/*!40000 ALTER TABLE `combined_reports_lines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `corporate_policies`
--

DROP TABLE IF EXISTS `corporate_policies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `corporate_policies` (
  `sl_no` varchar(50) DEFAULT NULL,
  `designation_level` varchar(50) DEFAULT NULL,
  `policy_description` varchar(100) NOT NULL,
  `policy_value` varchar(255) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`policy_description`,`policy_value`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `corporate_policies`
--

LOCK TABLES `corporate_policies` WRITE;
/*!40000 ALTER TABLE `corporate_policies` DISABLE KEYS */;
/*!40000 ALTER TABLE `corporate_policies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_export_catalog_1_list`
--

DROP TABLE IF EXISTS `data_export_catalog_1_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_export_catalog_1_list` (
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `catalog_name` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`module_name`,`catalog_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_export_catalog_1_list`
--

LOCK TABLES `data_export_catalog_1_list` WRITE;
/*!40000 ALTER TABLE `data_export_catalog_1_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_export_catalog_1_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_export_catalog_2_details`
--

DROP TABLE IF EXISTS `data_export_catalog_2_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_export_catalog_2_details` (
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `catalog_name` varchar(255) NOT NULL DEFAULT '-',
  `column_sl_no` decimal(18,4) NOT NULL DEFAULT '0.0000',
  `column_name` varchar(255) DEFAULT '-',
  `column_type` varchar(255) DEFAULT '-',
  `column_header` varchar(255) DEFAULT '-',
  `column_format` varchar(255) DEFAULT '-',
  `delete_before_export` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`module_name`,`catalog_name`,`column_sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_export_catalog_2_details`
--

LOCK TABLES `data_export_catalog_2_details` WRITE;
/*!40000 ALTER TABLE `data_export_catalog_2_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_export_catalog_2_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_printer_1_format_list`
--

DROP TABLE IF EXISTS `data_printer_1_format_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_printer_1_format_list` (
  `format_name` varchar(255) NOT NULL,
  `module_name` varchar(255) NOT NULL,
  `format_description` varchar(255) DEFAULT NULL,
  `total_pages` int(11) DEFAULT NULL,
  `paper_orientation` varchar(1) DEFAULT '0',
  PRIMARY KEY (`format_name`,`module_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_printer_1_format_list`
--

LOCK TABLES `data_printer_1_format_list` WRITE;
/*!40000 ALTER TABLE `data_printer_1_format_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_printer_1_format_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_printer_1_module_list`
--

DROP TABLE IF EXISTS `data_printer_1_module_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_printer_1_module_list` (
  `module_name` varchar(255) NOT NULL,
  `window_name` varchar(255) NOT NULL,
  `module_description` varchar(255) DEFAULT NULL,
  `total_pages` int(11) DEFAULT NULL,
  PRIMARY KEY (`module_name`,`window_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_printer_1_module_list`
--

LOCK TABLES `data_printer_1_module_list` WRITE;
/*!40000 ALTER TABLE `data_printer_1_module_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_printer_1_module_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_printer_2_pages_list`
--

DROP TABLE IF EXISTS `data_printer_2_pages_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_printer_2_pages_list` (
  `format_name` varchar(255) NOT NULL DEFAULT '-',
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `page_no` int(11) NOT NULL DEFAULT '0',
  `image_file_path` varchar(255) NOT NULL DEFAULT '0',
  `image_x` decimal(7,3) DEFAULT '0.000',
  `image_y` decimal(7,3) DEFAULT '0.000',
  `image_width` decimal(7,3) DEFAULT '0.000',
  `image_height` decimal(7,3) DEFAULT '0.000',
  `detail_offset` decimal(5,2) DEFAULT '0.00',
  `left_margin` decimal(5,2) DEFAULT '0.00',
  `right_margin` decimal(5,2) DEFAULT '0.00',
  `top_margin` decimal(5,2) DEFAULT '0.00',
  `bottom_margin` decimal(5,2) DEFAULT '0.00',
  PRIMARY KEY (`format_name`,`module_name`,`page_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_printer_2_pages_list`
--

LOCK TABLES `data_printer_2_pages_list` WRITE;
/*!40000 ALTER TABLE `data_printer_2_pages_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_printer_2_pages_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_printer_3_fields_list`
--

DROP TABLE IF EXISTS `data_printer_3_fields_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_printer_3_fields_list` (
  `format_name` varchar(255) NOT NULL,
  `module_name` varchar(255) NOT NULL,
  `page_no` int(11) NOT NULL,
  `print_column_name` varchar(255) NOT NULL,
  `data_column_name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `x1` decimal(7,3) DEFAULT NULL,
  `y1` decimal(7,3) DEFAULT NULL,
  `width1` decimal(7,3) DEFAULT NULL,
  `height1` decimal(7,3) DEFAULT NULL,
  `border1` int(11) DEFAULT NULL,
  `font_face` varchar(255) DEFAULT NULL,
  `font_size` int(11) DEFAULT NULL,
  `bar_code` varchar(1) DEFAULT NULL,
  `data_type` varchar(255) DEFAULT NULL,
  `format1` varchar(255) DEFAULT NULL,
  `alignment1` varchar(50) DEFAULT '-',
  `transparent` varchar(1) DEFAULT '1',
  `bold` varchar(3) DEFAULT '400',
  `underlined` varchar(1) DEFAULT 'n',
  `background_color` varchar(20) DEFAULT '16777215',
  `text_color` varchar(20) DEFAULT '0',
  `send_to_back` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`format_name`,`module_name`,`page_no`,`print_column_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_printer_3_fields_list`
--

LOCK TABLES `data_printer_3_fields_list` WRITE;
/*!40000 ALTER TABLE `data_printer_3_fields_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_printer_3_fields_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_printer_4_data_temp`
--

DROP TABLE IF EXISTS `data_printer_4_data_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_printer_4_data_temp` (
  `format_name` varchar(255) NOT NULL,
  `module_name` varchar(255) NOT NULL,
  `page_no` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `row_no` int(11) NOT NULL,
  `col001_data` varchar(255) DEFAULT NULL,
  `col002_data` varchar(255) DEFAULT NULL,
  `col003_data` varchar(255) DEFAULT NULL,
  `col004_data` varchar(255) DEFAULT NULL,
  `col005_data` varchar(255) DEFAULT NULL,
  `col006_data` varchar(255) DEFAULT NULL,
  `col007_data` varchar(255) DEFAULT NULL,
  `col008_data` varchar(255) DEFAULT NULL,
  `col009_data` varchar(255) DEFAULT NULL,
  `col010_data` varchar(255) DEFAULT NULL,
  `col011_data` varchar(255) DEFAULT NULL,
  `col012_data` varchar(255) DEFAULT NULL,
  `col013_data` varchar(255) DEFAULT NULL,
  `col014_data` varchar(255) DEFAULT NULL,
  `col015_data` varchar(255) DEFAULT NULL,
  `col016_data` varchar(255) DEFAULT NULL,
  `col017_data` varchar(255) DEFAULT NULL,
  `col018_data` varchar(255) DEFAULT NULL,
  `col019_data` varchar(255) DEFAULT NULL,
  `col020_data` varchar(255) DEFAULT NULL,
  `col021_data` varchar(255) DEFAULT NULL,
  `col022_data` varchar(255) DEFAULT NULL,
  `col023_data` varchar(255) DEFAULT NULL,
  `col024_data` varchar(255) DEFAULT NULL,
  `col025_data` varchar(255) DEFAULT NULL,
  `col026_data` varchar(255) DEFAULT NULL,
  `col027_data` varchar(255) DEFAULT NULL,
  `col028_data` varchar(255) DEFAULT NULL,
  `col029_data` varchar(255) DEFAULT NULL,
  `col030_data` varchar(255) DEFAULT NULL,
  `col031_data` varchar(255) DEFAULT NULL,
  `col032_data` varchar(255) DEFAULT NULL,
  `col033_data` varchar(255) DEFAULT NULL,
  `col034_data` varchar(255) DEFAULT NULL,
  `col035_data` varchar(255) DEFAULT NULL,
  `col036_data` varchar(255) DEFAULT NULL,
  `col037_data` varchar(255) DEFAULT NULL,
  `col038_data` varchar(255) DEFAULT NULL,
  `col039_data` varchar(255) DEFAULT NULL,
  `col040_data` varchar(255) DEFAULT NULL,
  `col041_data` varchar(255) DEFAULT NULL,
  `col042_data` varchar(255) DEFAULT NULL,
  `col043_data` varchar(255) DEFAULT NULL,
  `col044_data` varchar(255) DEFAULT NULL,
  `col045_data` varchar(255) DEFAULT NULL,
  `col046_data` varchar(255) DEFAULT NULL,
  `col047_data` varchar(255) DEFAULT NULL,
  `col048_data` varchar(255) DEFAULT NULL,
  `col049_data` varchar(255) DEFAULT NULL,
  `col050_data` varchar(255) DEFAULT NULL,
  `col051_data` varchar(255) DEFAULT NULL,
  `col052_data` varchar(255) DEFAULT NULL,
  `col053_data` varchar(255) DEFAULT NULL,
  `col054_data` varchar(255) DEFAULT NULL,
  `col055_data` varchar(255) DEFAULT NULL,
  `col056_data` varchar(255) DEFAULT NULL,
  `col057_data` varchar(255) DEFAULT NULL,
  `col058_data` varchar(255) DEFAULT NULL,
  `col059_data` varchar(255) DEFAULT NULL,
  `col060_data` varchar(255) DEFAULT NULL,
  `col061_data` varchar(255) DEFAULT NULL,
  `col062_data` varchar(255) DEFAULT NULL,
  `col063_data` varchar(255) DEFAULT NULL,
  `col064_data` varchar(255) DEFAULT NULL,
  `col065_data` varchar(255) DEFAULT NULL,
  `col066_data` varchar(255) DEFAULT NULL,
  `col067_data` varchar(255) DEFAULT NULL,
  `col068_data` varchar(255) DEFAULT NULL,
  `col069_data` varchar(255) DEFAULT NULL,
  `col070_data` varchar(255) DEFAULT NULL,
  `col071_data` varchar(255) DEFAULT NULL,
  `col072_data` varchar(255) DEFAULT NULL,
  `col073_data` varchar(255) DEFAULT NULL,
  `col074_data` varchar(255) DEFAULT NULL,
  `col075_data` varchar(255) DEFAULT NULL,
  `col076_data` varchar(255) DEFAULT NULL,
  `col077_data` varchar(255) DEFAULT NULL,
  `col078_data` varchar(255) DEFAULT NULL,
  `col079_data` varchar(255) DEFAULT NULL,
  `col080_data` varchar(255) DEFAULT NULL,
  `col081_data` varchar(255) DEFAULT NULL,
  `col082_data` varchar(255) DEFAULT NULL,
  `col083_data` varchar(255) DEFAULT NULL,
  `col084_data` varchar(255) DEFAULT NULL,
  `col085_data` varchar(255) DEFAULT NULL,
  `col086_data` varchar(255) DEFAULT NULL,
  `col087_data` varchar(255) DEFAULT NULL,
  `col088_data` varchar(255) DEFAULT NULL,
  `col089_data` varchar(255) DEFAULT NULL,
  `col090_data` varchar(255) DEFAULT NULL,
  `col091_data` varchar(255) DEFAULT NULL,
  `col092_data` varchar(255) DEFAULT NULL,
  `col093_data` varchar(255) DEFAULT NULL,
  `col094_data` varchar(255) DEFAULT NULL,
  `col095_data` varchar(255) DEFAULT NULL,
  `col096_data` varchar(255) DEFAULT NULL,
  `col097_data` varchar(255) DEFAULT NULL,
  `col098_data` varchar(255) DEFAULT NULL,
  `col099_data` varchar(255) DEFAULT NULL,
  `col100_data` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`format_name`,`module_name`,`page_no`,`user_name`,`row_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_printer_4_data_temp`
--

LOCK TABLES `data_printer_4_data_temp` WRITE;
/*!40000 ALTER TABLE `data_printer_4_data_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_printer_4_data_temp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `downloadable_files`
--

DROP TABLE IF EXISTS `downloadable_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `downloadable_files` (
  `sl_no` int(11) NOT NULL DEFAULT '1',
  `file_name` varchar(255) DEFAULT NULL,
  `file_data` longblob,
  `date_time_made` datetime DEFAULT NULL,
  `final_path` varchar(255) DEFAULT NULL,
  `changes_description` longtext,
  `uploaded_id` varchar(255) DEFAULT '-',
  `id_of_7z_file` varchar(255) DEFAULT '-',
  `file_len` decimal(18,0) DEFAULT '0',
  PRIMARY KEY (`sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `downloadable_files`
--

LOCK TABLES `downloadable_files` WRITE;
/*!40000 ALTER TABLE `downloadable_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `downloadable_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dummy_table`
--

DROP TABLE IF EXISTS `dummy_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dummy_table` (
  `dummy_column` varchar(50) NOT NULL,
  `dummy_column2` varchar(255) DEFAULT NULL,
  `dummy_column3` varchar(255) DEFAULT NULL,
  `dummy_no1` int(11) DEFAULT '0',
  `dummy_no2` int(11) DEFAULT '0',
  `dummy_no3` int(11) DEFAULT '0',
  `dummy_dec1` decimal(18,2) DEFAULT '0.00',
  `dummy_dec2` decimal(18,2) DEFAULT '0.00',
  `dummy_dec3` decimal(18,2) DEFAULT '0.00',
  `column01` varchar(255) DEFAULT '-',
  `column02` varchar(255) DEFAULT '-',
  `column03` varchar(255) DEFAULT '-',
  `column04` varchar(255) DEFAULT '-',
  `column05` varchar(255) DEFAULT '-',
  `column06` varchar(255) DEFAULT '-',
  `column07` varchar(255) DEFAULT '-',
  `column08` varchar(255) DEFAULT '-',
  `column09` varchar(255) DEFAULT '-',
  `column10` varchar(255) DEFAULT '-',
  `column11` varchar(255) DEFAULT '-',
  `column12` varchar(255) DEFAULT '-',
  `column13` varchar(255) DEFAULT '-',
  `column14` varchar(255) DEFAULT '-',
  `column15` varchar(255) DEFAULT '-',
  `column16` varchar(255) DEFAULT '-',
  `column17` varchar(255) DEFAULT '-',
  `column18` varchar(255) DEFAULT '-',
  `column19` varchar(255) DEFAULT '-',
  `column20` varchar(255) DEFAULT '-',
  `column21` varchar(255) DEFAULT '-',
  `column22` varchar(255) DEFAULT '-',
  `column23` varchar(255) DEFAULT '-',
  `column24` varchar(255) DEFAULT '-',
  `column25` varchar(255) DEFAULT '-',
  `column26` varchar(255) DEFAULT '-',
  `column27` varchar(255) DEFAULT '-',
  `column28` varchar(255) DEFAULT '-',
  `column29` varchar(255) DEFAULT '-',
  `column30` varchar(255) DEFAULT '-',
  PRIMARY KEY (`dummy_column`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dummy_table`
--

LOCK TABLES `dummy_table` WRITE;
/*!40000 ALTER TABLE `dummy_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `dummy_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dummy_table_large`
--

DROP TABLE IF EXISTS `dummy_table_large`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dummy_table_large` (
  `id_char` varchar(255) NOT NULL,
  `id_number` int(11) NOT NULL DEFAULT '0',
  `user_name` varchar(255) NOT NULL,
  `grouping_column1` varchar(255) DEFAULT NULL,
  `grouping_column2` varchar(255) DEFAULT NULL,
  `column01` varchar(255) DEFAULT NULL,
  `column02` varchar(255) DEFAULT NULL,
  `column03` varchar(255) DEFAULT NULL,
  `column04` varchar(255) DEFAULT NULL,
  `column05` varchar(255) DEFAULT NULL,
  `column06` varchar(255) DEFAULT NULL,
  `column07` varchar(255) DEFAULT NULL,
  `column08` varchar(255) DEFAULT NULL,
  `column09` varchar(255) DEFAULT NULL,
  `column10` varchar(255) DEFAULT NULL,
  `column11` varchar(255) DEFAULT NULL,
  `column12` varchar(255) DEFAULT NULL,
  `column13` varchar(255) DEFAULT NULL,
  `column14` varchar(255) DEFAULT NULL,
  `column15` varchar(255) DEFAULT NULL,
  `column16` varchar(255) DEFAULT NULL,
  `column17` varchar(255) DEFAULT NULL,
  `column18` varchar(255) DEFAULT NULL,
  `column19` varchar(255) DEFAULT NULL,
  `column20` varchar(255) DEFAULT NULL,
  `column21` varchar(255) DEFAULT NULL,
  `column22` varchar(255) DEFAULT NULL,
  `column23` varchar(255) DEFAULT NULL,
  `column24` varchar(255) DEFAULT NULL,
  `column25` varchar(255) DEFAULT NULL,
  `column26` varchar(255) DEFAULT NULL,
  `column27` varchar(255) DEFAULT NULL,
  `column28` varchar(255) DEFAULT NULL,
  `column29` varchar(255) DEFAULT NULL,
  `column30` varchar(255) DEFAULT NULL,
  `column31` varchar(255) DEFAULT NULL,
  `column32` varchar(255) DEFAULT NULL,
  `column33` varchar(255) DEFAULT NULL,
  `column34` varchar(255) DEFAULT NULL,
  `column35` varchar(255) DEFAULT NULL,
  `column36` varchar(255) DEFAULT NULL,
  `column37` varchar(255) DEFAULT NULL,
  `column38` varchar(255) DEFAULT NULL,
  `column39` varchar(255) DEFAULT NULL,
  `column40` varchar(255) DEFAULT NULL,
  `column41` varchar(255) DEFAULT NULL,
  `column42` varchar(255) DEFAULT NULL,
  `column43` varchar(255) DEFAULT NULL,
  `column44` varchar(255) DEFAULT NULL,
  `column45` varchar(255) DEFAULT NULL,
  `column46` varchar(255) DEFAULT NULL,
  `column47` varchar(255) DEFAULT NULL,
  `column48` varchar(255) DEFAULT NULL,
  `column49` varchar(255) DEFAULT NULL,
  `column50` varchar(255) DEFAULT NULL,
  `column51` varchar(255) DEFAULT NULL,
  `column52` varchar(255) DEFAULT NULL,
  `column53` varchar(255) DEFAULT NULL,
  `column54` varchar(255) DEFAULT NULL,
  `column55` varchar(255) DEFAULT NULL,
  `column56` varchar(255) DEFAULT NULL,
  `column57` varchar(255) DEFAULT NULL,
  `column58` varchar(255) DEFAULT NULL,
  `column59` varchar(255) DEFAULT NULL,
  `column60` varchar(255) DEFAULT NULL,
  `column61` varchar(255) DEFAULT NULL,
  `column62` varchar(255) DEFAULT NULL,
  `column63` varchar(255) DEFAULT NULL,
  `column64` varchar(255) DEFAULT NULL,
  `column65` varchar(255) DEFAULT NULL,
  `column66` varchar(255) DEFAULT NULL,
  `column67` varchar(255) DEFAULT NULL,
  `column68` varchar(255) DEFAULT NULL,
  `column69` varchar(255) DEFAULT NULL,
  `column70` varchar(255) DEFAULT NULL,
  `column71` varchar(255) DEFAULT NULL,
  `column72` varchar(255) DEFAULT NULL,
  `column73` varchar(255) DEFAULT NULL,
  `column74` varchar(255) DEFAULT NULL,
  `column75` varchar(255) DEFAULT NULL,
  `column76` varchar(255) DEFAULT NULL,
  `column77` varchar(255) DEFAULT NULL,
  `column78` varchar(255) DEFAULT NULL,
  `column79` varchar(255) DEFAULT NULL,
  `column80` varchar(255) DEFAULT NULL,
  `column81` varchar(255) DEFAULT NULL,
  `column82` varchar(255) DEFAULT NULL,
  `column83` varchar(255) DEFAULT NULL,
  `column84` varchar(255) DEFAULT NULL,
  `column85` varchar(255) DEFAULT NULL,
  `column86` varchar(255) DEFAULT NULL,
  `column87` varchar(255) DEFAULT NULL,
  `column88` varchar(255) DEFAULT NULL,
  `column89` varchar(255) DEFAULT NULL,
  `column90` varchar(255) DEFAULT NULL,
  `column91` varchar(255) DEFAULT NULL,
  `column92` varchar(255) DEFAULT NULL,
  `column93` varchar(255) DEFAULT NULL,
  `column94` varchar(255) DEFAULT NULL,
  `column95` varchar(255) DEFAULT NULL,
  `column96` varchar(255) DEFAULT NULL,
  `column97` varchar(255) DEFAULT NULL,
  `column98` varchar(255) DEFAULT NULL,
  `column99` varchar(255) DEFAULT NULL,
  `date_time` datetime DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_char`,`id_number`,`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dummy_table_large`
--

LOCK TABLES `dummy_table_large` WRITE;
/*!40000 ALTER TABLE `dummy_table_large` DISABLE KEYS */;
/*!40000 ALTER TABLE `dummy_table_large` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `e_employee_details_list`
--

DROP TABLE IF EXISTS `e_employee_details_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `e_employee_details_list` (
  `e_id` varchar(50) NOT NULL,
  `e_name` varchar(150) DEFAULT NULL,
  `e_name2` varchar(150) DEFAULT NULL,
  `e_address` varchar(150) DEFAULT NULL,
  `e_phone_nos` varchar(150) DEFAULT NULL,
  `e_photo` varchar(254) DEFAULT NULL,
  `e_salary_per_hour` decimal(18,2) DEFAULT NULL,
  `e_shift_name` varchar(50) DEFAULT NULL,
  `e_department_name` varchar(100) DEFAULT NULL,
  `e_early_bata` decimal(18,2) DEFAULT NULL,
  `e_late_bata` decimal(18,2) DEFAULT NULL,
  `e_extra_bata` decimal(18,2) DEFAULT NULL,
  `e_start_limit` decimal(4,2) DEFAULT NULL,
  `e_end_limit` decimal(4,2) DEFAULT NULL,
  `e_salary_per_hour_early` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_late` decimal(18,2) DEFAULT NULL,
  `e_pwd` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`e_id`),
  KEY `employee_id` (`e_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `e_employee_details_list`
--

LOCK TABLES `e_employee_details_list` WRITE;
/*!40000 ALTER TABLE `e_employee_details_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `e_employee_details_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `e_employee_shifts_list`
--

DROP TABLE IF EXISTS `e_employee_shifts_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `e_employee_shifts_list` (
  `e_id` varchar(50) NOT NULL,
  `e_shift_name` varchar(50) NOT NULL,
  `e_from_time` datetime DEFAULT NULL,
  `e_to_time` datetime DEFAULT NULL,
  `e_salary_per_hour` decimal(18,2) DEFAULT NULL,
  `e_early_bata` decimal(18,2) DEFAULT NULL,
  `e_late_bata` decimal(18,2) DEFAULT NULL,
  `e_extra_bata` decimal(18,2) DEFAULT NULL,
  `e_start_limit` decimal(4,2) DEFAULT NULL,
  `e_end_limit` decimal(4,2) DEFAULT NULL,
  `e_salary_per_hour_early` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_early_beyond` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_late` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_late_beyond` decimal(18,2) DEFAULT NULL,
  `e_days_per_month` decimal(18,2) DEFAULT NULL,
  `e_salary_per_day` decimal(18,2) DEFAULT NULL,
  `e_salary_per_month` decimal(18,2) DEFAULT NULL,
  `e_salary_early_factor` decimal(18,2) DEFAULT NULL,
  `e_salary_late_factor` decimal(18,2) DEFAULT NULL,
  `e_salary_beyond_limit_factor_early` decimal(18,2) DEFAULT NULL,
  `e_salary_beyond_limit_factor_late` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_early_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_early_beyond_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_late_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_hour_late_beyond_al` decimal(18,2) DEFAULT NULL,
  `e_days_per_month_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_day_al` decimal(18,2) DEFAULT NULL,
  `e_salary_per_month_al` decimal(18,2) DEFAULT NULL,
  `e_salary_early_factor_al` decimal(18,2) DEFAULT NULL,
  `e_salary_late_factor_al` decimal(18,2) DEFAULT NULL,
  `e_salary_beyond_limit_factor_early_al` decimal(18,2) DEFAULT NULL,
  `e_salary_beyond_limit_factor_late_al` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`e_id`,`e_shift_name`),
  KEY `e_employee_details_liste_employ` (`e_id`),
  KEY `e_id` (`e_id`),
  KEY `e_shift_name` (`e_shift_name`),
  CONSTRAINT `FK_e_employee_shifts_list_1` FOREIGN KEY (`e_id`) REFERENCES `e_employee_details_list` (`e_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `e_employee_shifts_list`
--

LOCK TABLES `e_employee_shifts_list` WRITE;
/*!40000 ALTER TABLE `e_employee_shifts_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `e_employee_shifts_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `e_employee_time_tracks`
--

DROP TABLE IF EXISTS `e_employee_time_tracks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `e_employee_time_tracks` (
  `e_id` varchar(50) NOT NULL,
  `pk` int(10) NOT NULL,
  `shift_name` varchar(50) DEFAULT NULL,
  `shift_start` datetime DEFAULT NULL,
  `shift_end` datetime DEFAULT NULL,
  `early_bata` decimal(10,2) DEFAULT NULL,
  `late_bata` decimal(10,2) DEFAULT NULL,
  `extra_bata` decimal(10,2) DEFAULT NULL,
  `salary_per_hour` decimal(10,2) DEFAULT NULL,
  `salary_per_hour_early` decimal(18,2) DEFAULT NULL,
  `salary_per_hour_late` decimal(18,2) DEFAULT NULL,
  `time_stamped_arr` datetime DEFAULT NULL,
  `snap_shot_file_arr` varchar(255) DEFAULT NULL,
  `purpose_type_arr` varchar(50) DEFAULT NULL,
  `note_emp_arr` varchar(200) DEFAULT NULL,
  `note_admin_arr` varchar(200) DEFAULT NULL,
  `time_stamped_dep` datetime DEFAULT NULL,
  `snap_shot_file_dep` varchar(255) DEFAULT NULL,
  `purpose_type_dep` varchar(50) DEFAULT NULL,
  `note_empl_dep` varchar(200) DEFAULT NULL,
  `note_admin_dep` varchar(200) DEFAULT NULL,
  `work_time` smallint(5) DEFAULT NULL,
  `payment` decimal(10,2) DEFAULT NULL,
  `admin_verified` varchar(5) DEFAULT NULL,
  `shift_start_date` datetime DEFAULT NULL,
  `early_limit_calc_sec` int(10) DEFAULT NULL,
  `shift_from_calc_sec` int(10) DEFAULT NULL,
  `shift_to_calc_sec` int(10) DEFAULT NULL,
  `late_limit_calc_sec` int(10) DEFAULT NULL,
  `time_stamped_calc_sec_arr` int(10) DEFAULT NULL,
  `time_stamped_calc_sec_dep` int(10) DEFAULT NULL,
  `payment_early` decimal(10,2) DEFAULT NULL,
  `payment_timely` decimal(10,2) DEFAULT NULL,
  `payment_late` decimal(10,2) DEFAULT NULL,
  `payment_extra_bata` decimal(10,2) DEFAULT NULL,
  `auto_calculations` varchar(1) DEFAULT NULL,
  `snap_shot_file_arr_display` varchar(255) DEFAULT NULL,
  `snap_shot_file_dep_display` varchar(255) DEFAULT NULL,
  `salary_per_hour_early_beyond` decimal(18,2) DEFAULT NULL,
  `salary_per_hour_late_beyond` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`e_id`,`pk`),
  KEY `e_employee_details_liste_employ` (`e_id`),
  KEY `e_id` (`e_id`),
  CONSTRAINT `FK_e_employee_time_tracks_1` FOREIGN KEY (`e_id`) REFERENCES `e_employee_details_list` (`e_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `e_employee_time_tracks`
--

LOCK TABLES `e_employee_time_tracks` WRITE;
/*!40000 ALTER TABLE `e_employee_time_tracks` DISABLE KEYS */;
/*!40000 ALTER TABLE `e_employee_time_tracks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `export_templates_details`
--

DROP TABLE IF EXISTS `export_templates_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `export_templates_details` (
  `report_no` decimal(18,4) NOT NULL DEFAULT '0.0000',
  `export_format_name` varchar(255) NOT NULL DEFAULT '-',
  `module_id` varchar(50) NOT NULL DEFAULT '-',
  `column_name` varchar(100) NOT NULL DEFAULT '-',
  `band` varchar(255) NOT NULL DEFAULT '-',
  `x` varchar(8) NOT NULL DEFAULT '0',
  `y` varchar(8) NOT NULL DEFAULT '0',
  `width` varchar(8) DEFAULT '0',
  `height` varchar(8) DEFAULT '0',
  `col_type` varchar(50) DEFAULT '-',
  `prefered_column_no` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`report_no`,`export_format_name`,`module_id`,`column_name`,`band`,`x`,`y`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `export_templates_details`
--

LOCK TABLES `export_templates_details` WRITE;
/*!40000 ALTER TABLE `export_templates_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `export_templates_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `export_templates_header`
--

DROP TABLE IF EXISTS `export_templates_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `export_templates_header` (
  `report_no` decimal(18,4) NOT NULL DEFAULT '0.0000',
  `export_format_name` varchar(255) NOT NULL DEFAULT '',
  `band01` varchar(255) DEFAULT NULL,
  `band02` varchar(255) DEFAULT NULL,
  `band03` varchar(255) DEFAULT NULL,
  `band04` varchar(255) DEFAULT NULL,
  `band05` varchar(255) DEFAULT NULL,
  `band06` varchar(255) DEFAULT NULL,
  `band07` varchar(255) DEFAULT NULL,
  `band08` varchar(255) DEFAULT NULL,
  `band09` varchar(255) DEFAULT NULL,
  `band10` varchar(255) DEFAULT NULL,
  `band11` varchar(255) DEFAULT NULL,
  `band12` varchar(255) DEFAULT NULL,
  `band13` varchar(255) DEFAULT NULL,
  `band14` varchar(255) DEFAULT NULL,
  `band15` varchar(255) DEFAULT NULL,
  `band16` varchar(255) DEFAULT NULL,
  `band17` varchar(255) DEFAULT NULL,
  `band18` varchar(255) DEFAULT NULL,
  `band19` varchar(255) DEFAULT NULL,
  `band20` varchar(255) DEFAULT NULL,
  `module_id` varchar(50) NOT NULL DEFAULT '',
  `band21` varchar(255) DEFAULT NULL,
  `gr_by_column1` varchar(100) DEFAULT NULL,
  `gr_by_column2` varchar(100) DEFAULT NULL,
  `gr_by_column3` varchar(100) DEFAULT NULL,
  `gr_by_column4` varchar(100) DEFAULT NULL,
  `gr_by_column5` varchar(100) DEFAULT NULL,
  `gr_by_column6` varchar(100) DEFAULT NULL,
  `gr_by_column7` varchar(100) DEFAULT NULL,
  `gr_by_column8` varchar(100) DEFAULT NULL,
  `gr_by_column9` varchar(100) DEFAULT NULL,
  `group_level_count` int(11) DEFAULT NULL,
  PRIMARY KEY (`report_no`,`export_format_name`,`module_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `export_templates_header`
--

LOCK TABLES `export_templates_header` WRITE;
/*!40000 ALTER TABLE `export_templates_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `export_templates_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_man_server_folders`
--

DROP TABLE IF EXISTS `file_man_server_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_man_server_folders` (
  `server_ip` varchar(255) NOT NULL DEFAULT '-',
  `server_computer_user` varchar(255) NOT NULL DEFAULT '-',
  `server_folder_path` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`server_ip`,`server_computer_user`,`server_folder_path`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_man_server_folders`
--

LOCK TABLES `file_man_server_folders` WRITE;
/*!40000 ALTER TABLE `file_man_server_folders` DISABLE KEYS */;
/*!40000 ALTER TABLE `file_man_server_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_man_servers_list`
--

DROP TABLE IF EXISTS `file_man_servers_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_man_servers_list` (
  `server_ip` varchar(255) NOT NULL DEFAULT '-',
  `server_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `server_user` varchar(255) NOT NULL DEFAULT '-',
  `server_login_date_time` varchar(255) NOT NULL DEFAULT '-',
  `server_version` varchar(255) NOT NULL DEFAULT '-',
  `server_refresh_rate` int(11) unsigned NOT NULL DEFAULT '0',
  `server_compression_algorithm` varchar(255) NOT NULL DEFAULT '-',
  `server_computer_user` varchar(255) NOT NULL DEFAULT '-',
  `server_os` varchar(255) NOT NULL DEFAULT '-',
  `server_logout_date_time` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`server_ip`,`server_computer_user`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_man_servers_list`
--

LOCK TABLES `file_man_servers_list` WRITE;
/*!40000 ALTER TABLE `file_man_servers_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `file_man_servers_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form01_list`
--

DROP TABLE IF EXISTS `form01_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form01_list` (
  `form_name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `form_description` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `total_pages` int(11) DEFAULT NULL,
  `branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`form_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form01_list`
--

LOCK TABLES `form01_list` WRITE;
/*!40000 ALTER TABLE `form01_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `form01_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form02_page_list`
--

DROP TABLE IF EXISTS `form02_page_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form02_page_list` (
  `form_name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `page_no` int(11) NOT NULL,
  `image_file_path` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `image_x` decimal(18,2) DEFAULT NULL,
  `image_y` decimal(18,2) DEFAULT NULL,
  `image_width` decimal(18,2) DEFAULT NULL,
  `image_height` decimal(18,2) DEFAULT NULL,
  `page_background_color` varchar(50) DEFAULT '0',
  `page_background_color_to_print` varchar(50) DEFAULT '0',
  `page_description` varchar(255) DEFAULT '-',
  PRIMARY KEY (`form_name`,`page_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form02_page_list`
--

LOCK TABLES `form02_page_list` WRITE;
/*!40000 ALTER TABLE `form02_page_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `form02_page_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form03_field_list`
--

DROP TABLE IF EXISTS `form03_field_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form03_field_list` (
  `form_name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `page_no` int(11) unsigned NOT NULL,
  `print_column_name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `data_column_name` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `x1` decimal(18,2) DEFAULT NULL,
  `y1` decimal(18,2) DEFAULT NULL,
  `width1` decimal(18,2) DEFAULT NULL,
  `height1` decimal(18,2) DEFAULT NULL,
  `border1` decimal(18,2) DEFAULT NULL,
  `font_face` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `font_size` decimal(18,2) DEFAULT NULL,
  `bar_code` varchar(1) CHARACTER SET latin1 DEFAULT NULL,
  `data_type` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `format1` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `alignment1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `transparent` varchar(1) DEFAULT '1',
  `bold` varchar(3) DEFAULT '-',
  `background_color` varchar(20) DEFAULT '-',
  `text_color` varchar(20) DEFAULT '-',
  `underlined` varchar(1) DEFAULT '1',
  `tab_order` int(11) unsigned DEFAULT '1',
  `default_value` varchar(245) DEFAULT '-',
  `drop_down_data_window` varchar(3) DEFAULT 'no',
  `dddw_editable` varchar(3) DEFAULT 'no',
  `column_title` varchar(255) DEFAULT '-',
  `page_background_color_to_print` varchar(50) DEFAULT '-',
  `visible` varchar(2) DEFAULT '1',
  `data_row` int(11) unsigned DEFAULT '0',
  `sl_no` int(11) DEFAULT '0',
  `send_to_back` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`form_name`,`page_no`,`print_column_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form03_field_list`
--

LOCK TABLES `form03_field_list` WRITE;
/*!40000 ALTER TABLE `form03_field_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `form03_field_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form03d_dddw_list`
--

DROP TABLE IF EXISTS `form03d_dddw_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form03d_dddw_list` (
  `form_name` varchar(255) NOT NULL,
  `page_no` int(11) NOT NULL,
  `print_column_name` varchar(255) NOT NULL,
  `sl_no` int(11) NOT NULL,
  `data_option` varchar(255) DEFAULT NULL,
  `associated_data` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`page_no`,`print_column_name`,`sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form03d_dddw_list`
--

LOCK TABLES `form03d_dddw_list` WRITE;
/*!40000 ALTER TABLE `form03d_dddw_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `form03d_dddw_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form04_data`
--

DROP TABLE IF EXISTS `form04_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form04_data` (
  `customer_id` varchar(50) NOT NULL,
  `form_no` int(11) NOT NULL,
  `form_name` varchar(255) NOT NULL,
  `page_no` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `row_no` int(11) NOT NULL,
  `format_name` varchar(255) DEFAULT NULL,
  `col001_data` varchar(255) DEFAULT NULL,
  `col002_data` varchar(255) DEFAULT NULL,
  `col003_data` varchar(255) DEFAULT NULL,
  `col004_data` varchar(255) DEFAULT NULL,
  `col005_data` varchar(255) DEFAULT NULL,
  `col006_data` varchar(255) DEFAULT NULL,
  `col007_data` varchar(255) DEFAULT NULL,
  `col008_data` varchar(255) DEFAULT NULL,
  `col009_data` varchar(255) DEFAULT NULL,
  `col010_data` varchar(255) DEFAULT NULL,
  `col011_data` varchar(255) DEFAULT NULL,
  `col012_data` varchar(255) DEFAULT NULL,
  `col013_data` varchar(255) DEFAULT NULL,
  `col014_data` varchar(255) DEFAULT NULL,
  `col015_data` varchar(255) DEFAULT NULL,
  `col016_data` varchar(255) DEFAULT NULL,
  `col017_data` varchar(255) DEFAULT NULL,
  `col018_data` varchar(255) DEFAULT NULL,
  `col019_data` varchar(255) DEFAULT NULL,
  `col020_data` varchar(255) DEFAULT NULL,
  `col021_data` varchar(255) DEFAULT NULL,
  `col022_data` varchar(255) DEFAULT NULL,
  `col023_data` varchar(255) DEFAULT NULL,
  `col024_data` varchar(255) DEFAULT NULL,
  `col025_data` varchar(255) DEFAULT NULL,
  `col026_data` varchar(255) DEFAULT NULL,
  `col027_data` varchar(255) DEFAULT NULL,
  `col028_data` varchar(255) DEFAULT NULL,
  `col029_data` varchar(255) DEFAULT NULL,
  `col030_data` varchar(255) DEFAULT NULL,
  `col031_data` varchar(255) DEFAULT NULL,
  `col032_data` varchar(255) DEFAULT NULL,
  `col033_data` varchar(255) DEFAULT NULL,
  `col034_data` varchar(255) DEFAULT NULL,
  `col035_data` varchar(255) DEFAULT NULL,
  `col036_data` varchar(255) DEFAULT NULL,
  `col037_data` varchar(255) DEFAULT NULL,
  `col038_data` varchar(255) DEFAULT NULL,
  `col039_data` varchar(255) DEFAULT NULL,
  `col040_data` varchar(255) DEFAULT NULL,
  `col041_data` varchar(255) DEFAULT NULL,
  `col042_data` varchar(255) DEFAULT NULL,
  `col043_data` varchar(255) DEFAULT NULL,
  `col044_data` varchar(255) DEFAULT NULL,
  `col045_data` varchar(255) DEFAULT NULL,
  `col046_data` varchar(255) DEFAULT NULL,
  `col047_data` varchar(255) DEFAULT NULL,
  `col048_data` varchar(255) DEFAULT NULL,
  `col049_data` varchar(255) DEFAULT NULL,
  `col050_data` varchar(255) DEFAULT NULL,
  `col051_data` varchar(255) DEFAULT NULL,
  `col052_data` varchar(255) DEFAULT NULL,
  `col053_data` varchar(255) DEFAULT NULL,
  `col054_data` varchar(255) DEFAULT NULL,
  `col055_data` varchar(255) DEFAULT NULL,
  `col056_data` varchar(255) DEFAULT NULL,
  `col057_data` varchar(255) DEFAULT NULL,
  `col058_data` varchar(255) DEFAULT NULL,
  `col059_data` varchar(255) DEFAULT NULL,
  `col060_data` varchar(255) DEFAULT NULL,
  `col061_data` varchar(255) DEFAULT NULL,
  `col062_data` varchar(255) DEFAULT NULL,
  `col063_data` varchar(255) DEFAULT NULL,
  `col064_data` varchar(255) DEFAULT NULL,
  `col065_data` varchar(255) DEFAULT NULL,
  `col066_data` varchar(255) DEFAULT NULL,
  `col067_data` varchar(255) DEFAULT NULL,
  `col068_data` varchar(255) DEFAULT NULL,
  `col069_data` varchar(255) DEFAULT NULL,
  `col070_data` varchar(255) DEFAULT NULL,
  `col071_data` varchar(255) DEFAULT NULL,
  `col072_data` varchar(255) DEFAULT NULL,
  `col073_data` varchar(255) DEFAULT NULL,
  `col074_data` varchar(255) DEFAULT NULL,
  `col075_data` varchar(255) DEFAULT NULL,
  `col076_data` varchar(255) DEFAULT NULL,
  `col077_data` varchar(255) DEFAULT NULL,
  `col078_data` varchar(255) DEFAULT NULL,
  `col079_data` varchar(255) DEFAULT NULL,
  `col080_data` varchar(255) DEFAULT NULL,
  `col081_data` varchar(255) DEFAULT NULL,
  `col082_data` varchar(255) DEFAULT NULL,
  `col083_data` varchar(255) DEFAULT NULL,
  `col084_data` varchar(255) DEFAULT NULL,
  `col085_data` varchar(255) DEFAULT NULL,
  `col086_data` varchar(255) DEFAULT NULL,
  `col087_data` varchar(255) DEFAULT NULL,
  `col088_data` varchar(255) DEFAULT NULL,
  `col089_data` varchar(255) DEFAULT NULL,
  `col090_data` varchar(255) DEFAULT NULL,
  `col091_data` varchar(255) DEFAULT NULL,
  `col092_data` varchar(255) DEFAULT NULL,
  `col093_data` varchar(255) DEFAULT NULL,
  `col094_data` varchar(255) DEFAULT NULL,
  `col095_data` varchar(255) DEFAULT NULL,
  `col096_data` varchar(255) DEFAULT NULL,
  `col097_data` varchar(255) DEFAULT NULL,
  `col098_data` varchar(255) DEFAULT NULL,
  `col099_data` varchar(255) DEFAULT NULL,
  `col100_data` varchar(255) DEFAULT NULL,
  `form_date_dec` decimal(18,0) DEFAULT '0',
  `form_date` datetime DEFAULT '2020-01-01 00:00:00',
  `col101_data` varchar(255) DEFAULT '-',
  `col102_data` varchar(255) DEFAULT '-',
  `col103_data` varchar(255) DEFAULT '-',
  `col104_data` varchar(255) DEFAULT '-',
  `col105_data` varchar(255) DEFAULT '-',
  `col106_data` varchar(255) DEFAULT '-',
  `col107_data` varchar(255) DEFAULT '-',
  `col108_data` varchar(255) DEFAULT '-',
  `col109_data` varchar(255) DEFAULT '-',
  `col110_data` varchar(255) DEFAULT '-',
  `col111_data` varchar(255) DEFAULT '-',
  `col112_data` varchar(255) DEFAULT '-',
  `col113_data` varchar(255) DEFAULT '-',
  `col114_data` varchar(255) DEFAULT '-',
  `col115_data` varchar(255) DEFAULT '-',
  `col116_data` varchar(255) DEFAULT '-',
  `col117_data` varchar(255) DEFAULT '-',
  `col118_data` varchar(255) DEFAULT '-',
  `col119_data` varchar(255) DEFAULT '-',
  `col120_data` varchar(255) DEFAULT '-',
  `col121_data` varchar(255) DEFAULT '-',
  `col122_data` varchar(255) DEFAULT '-',
  `col123_data` varchar(255) DEFAULT '-',
  `col124_data` varchar(255) DEFAULT '-',
  `col125_data` varchar(255) DEFAULT '-',
  `col126_data` varchar(255) DEFAULT '-',
  `col127_data` varchar(255) DEFAULT '-',
  `col128_data` varchar(255) DEFAULT '-',
  `col129_data` varchar(255) DEFAULT '-',
  `col130_data` varchar(255) DEFAULT '-',
  `col131_data` varchar(255) DEFAULT '-',
  `col132_data` varchar(255) DEFAULT '-',
  `col133_data` varchar(255) DEFAULT '-',
  `col134_data` varchar(255) DEFAULT '-',
  `col135_data` varchar(255) DEFAULT '-',
  `col136_data` varchar(255) DEFAULT '-',
  `col137_data` varchar(255) DEFAULT '-',
  `col138_data` varchar(255) DEFAULT '-',
  `col139_data` varchar(255) DEFAULT '-',
  `col140_data` varchar(255) DEFAULT '-',
  `col141_data` varchar(255) DEFAULT '-',
  `col142_data` varchar(255) DEFAULT '-',
  `col143_data` varchar(255) DEFAULT '-',
  `col144_data` varchar(255) DEFAULT '-',
  `col145_data` varchar(255) DEFAULT '-',
  `col146_data` varchar(255) DEFAULT '-',
  `col147_data` varchar(255) DEFAULT '-',
  `col148_data` varchar(255) DEFAULT '-',
  `col149_data` varchar(255) DEFAULT '-',
  `col150_data` varchar(255) DEFAULT '-',
  `col151_data` varchar(255) DEFAULT '-',
  `col152_data` varchar(255) DEFAULT '-',
  `col153_data` varchar(255) DEFAULT '-',
  `col154_data` varchar(255) DEFAULT '-',
  `col155_data` varchar(255) DEFAULT '-',
  `col156_data` varchar(255) DEFAULT '-',
  `col157_data` varchar(255) DEFAULT '-',
  `col158_data` varchar(255) DEFAULT '-',
  `col159_data` varchar(255) DEFAULT '-',
  `col160_data` varchar(255) DEFAULT '-',
  `col161_data` varchar(255) DEFAULT '-',
  `col162_data` varchar(255) DEFAULT '-',
  `col163_data` varchar(255) DEFAULT '-',
  `col164_data` varchar(255) DEFAULT '-',
  `col165_data` varchar(255) DEFAULT '-',
  `col166_data` varchar(255) DEFAULT '-',
  `col167_data` varchar(255) DEFAULT '-',
  `col168_data` varchar(255) DEFAULT '-',
  `col169_data` varchar(255) DEFAULT '-',
  `col170_data` varchar(255) DEFAULT '-',
  `col171_data` varchar(255) DEFAULT '-',
  `col172_data` varchar(255) DEFAULT '-',
  `col173_data` varchar(255) DEFAULT '-',
  `col174_data` varchar(255) DEFAULT '-',
  `col175_data` varchar(255) DEFAULT '-',
  `col176_data` varchar(255) DEFAULT '-',
  `col177_data` varchar(255) DEFAULT '-',
  `col178_data` varchar(255) DEFAULT '-',
  `col179_data` varchar(255) DEFAULT '-',
  `col180_data` varchar(255) DEFAULT '-',
  `col181_data` varchar(255) DEFAULT '-',
  `col182_data` varchar(255) DEFAULT '-',
  `col183_data` varchar(255) DEFAULT '-',
  `col184_data` varchar(255) DEFAULT '-',
  `col185_data` varchar(255) DEFAULT '-',
  `col186_data` varchar(255) DEFAULT '-',
  `col187_data` varchar(255) DEFAULT '-',
  `col188_data` varchar(255) DEFAULT '-',
  `col189_data` varchar(255) DEFAULT '-',
  `col190_data` varchar(255) DEFAULT '-',
  `col191_data` varchar(255) DEFAULT '-',
  `col192_data` varchar(255) DEFAULT '-',
  `col193_data` varchar(255) DEFAULT '-',
  `col194_data` varchar(255) DEFAULT '-',
  `col195_data` varchar(255) DEFAULT '-',
  `col196_data` varchar(255) DEFAULT '-',
  `col197_data` varchar(255) DEFAULT '-',
  `col198_data` varchar(255) DEFAULT '-',
  `col199_data` varchar(255) DEFAULT '-',
  `col200_data` varchar(255) DEFAULT '-',
  PRIMARY KEY (`customer_id`,`form_no`,`form_name`,`page_no`,`user_name`,`row_no`),
  KEY `Index_2` (`customer_id`),
  KEY `Index_3` (`form_no`),
  KEY `Index_4` (`customer_id`,`form_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form04_data`
--

LOCK TABLES `form04_data` WRITE;
/*!40000 ALTER TABLE `form04_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `form04_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form05_dw_syntax`
--

DROP TABLE IF EXISTS `form05_dw_syntax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `form05_dw_syntax` (
  `form_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `syntaxblob` longblob,
  `module_id` varchar(2) NOT NULL DEFAULT '-',
  `format_no_string` varchar(255) NOT NULL DEFAULT '-',
  `restore_no` int(11) DEFAULT '0',
  PRIMARY KEY (`form_name`,`module_id`,`format_no_string`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form05_dw_syntax`
--

LOCK TABLES `form05_dw_syntax` WRITE;
/*!40000 ALTER TABLE `form05_dw_syntax` DISABLE KEYS */;
/*!40000 ALTER TABLE `form05_dw_syntax` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `format_nos_userwise`
--

DROP TABLE IF EXISTS `format_nos_userwise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `format_nos_userwise` (
  `report_no` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `module_id` varchar(2) NOT NULL DEFAULT '-',
  `user_id` varchar(10) NOT NULL DEFAULT '-',
  PRIMARY KEY (`report_no`,`module_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `format_nos_userwise`
--

LOCK TABLES `format_nos_userwise` WRITE;
/*!40000 ALTER TABLE `format_nos_userwise` DISABLE KEYS */;
/*!40000 ALTER TABLE `format_nos_userwise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_01_list`
--

DROP TABLE IF EXISTS `forms_01_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_01_list` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `last_modified_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`eb`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_01_list`
--

LOCK TABLES `forms_01_list` WRITE;
/*!40000 ALTER TABLE `forms_01_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_01_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_01_list_combi_for_print`
--

DROP TABLE IF EXISTS `forms_01_list_combi_for_print`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_01_list_combi_for_print` (
  `editor_form_name` varchar(255) NOT NULL,
  `printable_form_name` varchar(255) NOT NULL,
  `sl_no` int(11) DEFAULT NULL,
  PRIMARY KEY (`editor_form_name`,`printable_form_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_01_list_combi_for_print`
--

LOCK TABLES `forms_01_list_combi_for_print` WRITE;
/*!40000 ALTER TABLE `forms_01_list_combi_for_print` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_01_list_combi_for_print` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_02_pages`
--

DROP TABLE IF EXISTS `forms_02_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_02_pages` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `form_page` int(11) NOT NULL DEFAULT '0',
  `form_page_picture` varchar(255) DEFAULT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  `form_format_no` decimal(19,4) DEFAULT '0.0000',
  PRIMARY KEY (`form_name`,`eb`,`form_page`),
  KEY `FK_forms_02_pages_2` (`form_name`,`eb`,`form_format_no`),
  CONSTRAINT `FK_forms_02_pages_1` FOREIGN KEY (`form_name`, `eb`) REFERENCES `forms_01_list` (`form_name`, `eb`),
  CONSTRAINT `FK_forms_02_pages_2` FOREIGN KEY (`form_name`, `eb`, `form_format_no`) REFERENCES `forms_05_formats` (`form_name`, `eb`, `form_format_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_02_pages`
--

LOCK TABLES `forms_02_pages` WRITE;
/*!40000 ALTER TABLE `forms_02_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_02_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_03_fields`
--

DROP TABLE IF EXISTS `forms_03_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_03_fields` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `form_page` int(11) NOT NULL DEFAULT '0',
  `field_name` varchar(150) NOT NULL,
  `field_default` varchar(255) DEFAULT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`eb`,`form_page`,`field_name`),
  CONSTRAINT `FK_forms_03_fields_1` FOREIGN KEY (`form_name`, `eb`) REFERENCES `forms_01_list` (`form_name`, `eb`),
  CONSTRAINT `FK_forms_03_fields_2` FOREIGN KEY (`form_name`, `eb`, `form_page`) REFERENCES `forms_02_pages` (`form_name`, `eb`, `form_page`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_03_fields`
--

LOCK TABLES `forms_03_fields` WRITE;
/*!40000 ALTER TABLE `forms_03_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_03_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_04_user_ids`
--

DROP TABLE IF EXISTS `forms_04_user_ids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_04_user_ids` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `form_user_ids` varchar(50) NOT NULL,
  `form_user_name` varchar(50) DEFAULT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`eb`,`form_user_ids`),
  CONSTRAINT `FK_forms_04_user_ids_1` FOREIGN KEY (`form_name`, `eb`) REFERENCES `forms_01_list` (`form_name`, `eb`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_04_user_ids`
--

LOCK TABLES `forms_04_user_ids` WRITE;
/*!40000 ALTER TABLE `forms_04_user_ids` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_04_user_ids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_05_formats`
--

DROP TABLE IF EXISTS `forms_05_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_05_formats` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `form_format_no` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `form_format_name` varchar(255) NOT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`eb`,`form_format_no`),
  KEY `FK_forms_05_formats_2` (`form_format_no`),
  CONSTRAINT `FK_forms_05_formats_1` FOREIGN KEY (`form_name`, `eb`) REFERENCES `forms_01_list` (`form_name`, `eb`),
  CONSTRAINT `FK_forms_05_formats_2` FOREIGN KEY (`form_format_no`) REFERENCES `reports_list` (`report_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_05_formats`
--

LOCK TABLES `forms_05_formats` WRITE;
/*!40000 ALTER TABLE `forms_05_formats` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_05_formats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms_06_data`
--

DROP TABLE IF EXISTS `forms_06_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forms_06_data` (
  `form_name` varchar(50) NOT NULL,
  `eb` varchar(10) NOT NULL DEFAULT '1',
  `form_page` int(11) NOT NULL DEFAULT '0',
  `field_name` varchar(150) NOT NULL,
  `field_content` varchar(255) DEFAULT NULL,
  `customer_id` varchar(50) NOT NULL,
  `dated` datetime NOT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`form_name`,`eb`,`form_page`,`field_name`,`customer_id`,`dated`),
  KEY `FK_forms_06_data_2` (`customer_id`),
  CONSTRAINT `FK_forms_06_data_1` FOREIGN KEY (`form_name`, `eb`, `form_page`, `field_name`) REFERENCES `forms_03_fields` (`form_name`, `eb`, `form_page`, `field_name`),
  CONSTRAINT `FK_forms_06_data_2` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms_06_data`
--

LOCK TABLES `forms_06_data` WRITE;
/*!40000 ALTER TABLE `forms_06_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `forms_06_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_01_host_details`
--

DROP TABLE IF EXISTS `ftp_01_host_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_01_host_details` (
  `ftp_01_host_ip` varchar(255) NOT NULL DEFAULT '-',
  `ftp_01_host_port` varchar(255) NOT NULL DEFAULT '-',
  `ftp_01_host_user_name` varchar(255) NOT NULL DEFAULT '-',
  `ftp_01_host_user_password` varchar(255) DEFAULT '-',
  `ftp_01_host_program_and_version` varchar(255) DEFAULT '-',
  `ftp_01_host_encryption` varchar(255) DEFAULT '-',
  `ftp_01_host_compression_algorithm` varchar(255) DEFAULT '-',
  `ftp_01_host_computer_name` varchar(255) DEFAULT '-',
  `ftp_01_host_os` varchar(255) DEFAULT '-',
  `ftp_01_host_algorithm` varchar(255) DEFAULT '-',
  `ftp_01_host_folder_path` varchar(255) DEFAULT '-',
  `ftp_01_host_fileperm_rd_wr_dl_ap` varchar(255) DEFAULT '-',
  `ftp_01_host_folderperm_crt_del_lst_sub` varchar(255) DEFAULT '-',
  `ftp_01_host_protocol` varchar(255) DEFAULT '-',
  `ftp_01_algorithm` varchar(255) DEFAULT '-',
  `ftp_01_host_no` int(11) unsigned DEFAULT '1',
  `ftp_01_display_name` varchar(255) DEFAULT '-',
  PRIMARY KEY (`ftp_01_host_ip`,`ftp_01_host_port`,`ftp_01_host_user_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_01_host_details`
--

LOCK TABLES `ftp_01_host_details` WRITE;
/*!40000 ALTER TABLE `ftp_01_host_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_01_host_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_01_host_local_user_groups`
--

DROP TABLE IF EXISTS `ftp_01_host_local_user_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_01_host_local_user_groups` (
  `ftp_01_host_local_user_group_name` varchar(10) NOT NULL DEFAULT '-',
  `ftp_01_host_local_user_group_comment` varchar(255) DEFAULT '-',
  `ftp_01_host_local_user_group_last_modified` varchar(255) DEFAULT '-',
  PRIMARY KEY (`ftp_01_host_local_user_group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_01_host_local_user_groups`
--

LOCK TABLES `ftp_01_host_local_user_groups` WRITE;
/*!40000 ALTER TABLE `ftp_01_host_local_user_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_01_host_local_user_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_02_host_local_users`
--

DROP TABLE IF EXISTS `ftp_02_host_local_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_02_host_local_users` (
  `ftp_01_host_ip` varchar(255) NOT NULL DEFAULT '-',
  `ftp_01_host_port` varchar(255) NOT NULL DEFAULT '-',
  `ftp_01_host_user_name` varchar(255) NOT NULL DEFAULT '-',
  `ftp_02_local_user_name` varchar(255) NOT NULL DEFAULT '-',
  `ftp_02_allow_select` varchar(255) DEFAULT '-',
  `ftp_02_allow_upload` varchar(255) DEFAULT '-',
  `ftp_02_allow_upload_overwrite` varchar(255) DEFAULT '-',
  `ftp_02_upload_file_filter` varchar(255) DEFAULT '-',
  `ftp_01_host_local_user_group_name` varchar(255) DEFAULT '-',
  `ftp_02_allow_select_groups` varchar(255) DEFAULT '-',
  `ftp_02_allow_overwrite_groups` varchar(255) DEFAULT '-',
  `ftp_02_allow_select_with_single_permn` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`ftp_01_host_ip`,`ftp_02_local_user_name`,`ftp_01_host_user_name`,`ftp_01_host_port`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_02_host_local_users`
--

LOCK TABLES `ftp_02_host_local_users` WRITE;
/*!40000 ALTER TABLE `ftp_02_host_local_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_02_host_local_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_03_file_group1_list`
--

DROP TABLE IF EXISTS `ftp_03_file_group1_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_03_file_group1_list` (
  `ftp_03_file_group1` varchar(255) NOT NULL DEFAULT '-',
  `ftp_03_comments` varchar(255) DEFAULT '-',
  `ftp_03_last_modified_by` varchar(255) DEFAULT '-',
  `ftp_03_branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`ftp_03_file_group1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_03_file_group1_list`
--

LOCK TABLES `ftp_03_file_group1_list` WRITE;
/*!40000 ALTER TABLE `ftp_03_file_group1_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_03_file_group1_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_04_file_group2_list`
--

DROP TABLE IF EXISTS `ftp_04_file_group2_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_04_file_group2_list` (
  `ftp_04_file_group2` varchar(255) NOT NULL DEFAULT '-',
  `ftp_04_comments` varchar(255) DEFAULT '-',
  `ftp_04_last_modified_by` varchar(255) DEFAULT '-',
  `ftp_04_branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`ftp_04_file_group2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_04_file_group2_list`
--

LOCK TABLES `ftp_04_file_group2_list` WRITE;
/*!40000 ALTER TABLE `ftp_04_file_group2_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_04_file_group2_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_05_file_group3_list`
--

DROP TABLE IF EXISTS `ftp_05_file_group3_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_05_file_group3_list` (
  `ftp_05_file_group3` varchar(255) NOT NULL DEFAULT '-',
  `ftp_05_comments` varchar(255) DEFAULT '-',
  `ftp_05_last_modified_by` varchar(255) DEFAULT '-',
  `ftp_05_branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`ftp_05_file_group3`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_05_file_group3_list`
--

LOCK TABLES `ftp_05_file_group3_list` WRITE;
/*!40000 ALTER TABLE `ftp_05_file_group3_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_05_file_group3_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_06_file_group4_list`
--

DROP TABLE IF EXISTS `ftp_06_file_group4_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_06_file_group4_list` (
  `ftp_06_file_group4` varchar(255) NOT NULL DEFAULT '-',
  `ftp_06_comments` varchar(255) DEFAULT '-',
  `ftp_06_last_modified_by` varchar(255) DEFAULT '-',
  `ftp_06_branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`ftp_06_file_group4`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_06_file_group4_list`
--

LOCK TABLES `ftp_06_file_group4_list` WRITE;
/*!40000 ALTER TABLE `ftp_06_file_group4_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_06_file_group4_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_07_file_group5_list`
--

DROP TABLE IF EXISTS `ftp_07_file_group5_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_07_file_group5_list` (
  `ftp_07_file_group5` varchar(255) NOT NULL DEFAULT '-',
  `ftp_07_comments` varchar(255) DEFAULT '-',
  `ftp_07_last_modified_by` varchar(255) DEFAULT '-',
  `ftp_07_branch_name` varchar(50) DEFAULT '-',
  PRIMARY KEY (`ftp_07_file_group5`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_07_file_group5_list`
--

LOCK TABLES `ftp_07_file_group5_list` WRITE;
/*!40000 ALTER TABLE `ftp_07_file_group5_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_07_file_group5_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ftp_08_file_list`
--

DROP TABLE IF EXISTS `ftp_08_file_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ftp_08_file_list` (
  `ftp_08_mapped_to_cusid` varchar(255) NOT NULL DEFAULT '-',
  `ftp_08_file_name` varchar(255) NOT NULL DEFAULT '-',
  `ftp_08_last_uploaded_by_user_name` varchar(255) DEFAULT '-',
  `ftp_08_last_uploaded_datedec` decimal(18,0) NOT NULL DEFAULT '0',
  `ftp_03_file_group1` varchar(255) DEFAULT '-',
  `ftp_04_file_group2` varchar(255) DEFAULT '-',
  `ftp_05_file_group3` varchar(255) DEFAULT '-',
  `ftp_06_file_group4` varchar(255) DEFAULT '-',
  `ftp_07_file_group5` varchar(255) DEFAULT '-',
  `ftp_08_file_length` decimal(18,4) DEFAULT '0.0000',
  `ftp_08_file_comments` varchar(255) DEFAULT '-',
  `ftp_08_comments_modified` varchar(255) DEFAULT '-',
  `ftp_08_allow_select_groups` varchar(255) DEFAULT '-',
  `ftp_08_allow_overwrite_groups` varchar(255) DEFAULT '-',
  `ftp_08_host01` varchar(255) DEFAULT '-',
  `ftp_08_host02` varchar(255) DEFAULT '-',
  `ftp_08_host03` varchar(255) DEFAULT '-',
  `ftp_08_width1` int(11) unsigned DEFAULT '0',
  `ftp_08_height1` int(11) unsigned DEFAULT '0',
  `ftp_08_size1` varchar(150) DEFAULT '0 KB',
  `ftp_08_name1` varchar(100) DEFAULT '-',
  `ftp_08_name2` varchar(100) DEFAULT '-',
  `ftp_08_address1` varchar(254) DEFAULT '-',
  `ftp_08_cust_id2` varchar(100) DEFAULT '-',
  `ftp_08_file_date` varchar(100) DEFAULT '-',
  `ftp_08_file_comments2` varchar(255) DEFAULT '-',
  PRIMARY KEY (`ftp_08_mapped_to_cusid`,`ftp_08_file_name`) USING BTREE,
  KEY `Index_2` (`ftp_08_mapped_to_cusid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ftp_08_file_list`
--

LOCK TABLES `ftp_08_file_list` WRITE;
/*!40000 ALTER TABLE `ftp_08_file_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ftp_08_file_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_11header`
--

DROP TABLE IF EXISTS `ip_bills_11header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_11header` (
  `bill_no` int(11) NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `supervisor_id` varchar(5) DEFAULT NULL,
  `ip_no` varchar(50) DEFAULT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `customer_name` varchar(150) DEFAULT NULL,
  `date_of_billing` datetime DEFAULT NULL,
  `date_of_payment` datetime DEFAULT NULL,
  `date_of_finalisation` datetime DEFAULT NULL,
  `consultant` varchar(150) DEFAULT NULL,
  `ref_by` varchar(150) DEFAULT NULL,
  `paid_amount` decimal(18,2) DEFAULT '0.00',
  `account_of` varchar(150) DEFAULT NULL,
  `card_etc` varchar(150) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `locker_id` varchar(5) DEFAULT NULL,
  `total_amount` decimal(18,2) DEFAULT '0.00',
  `concession_amount` decimal(18,2) DEFAULT '0.00',
  `date_of_admission` datetime DEFAULT NULL,
  `date_of_discharge` datetime DEFAULT NULL,
  `no_of_days` int(11) DEFAULT '0',
  `returned_amount` decimal(18,2) DEFAULT '0.00',
  `bill_no2` int(11) DEFAULT '0',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `adv_or_bill` varchar(1) DEFAULT 'B',
  `diagnosis` varchar(255) DEFAULT '-',
  `procedure_done` varchar(255) DEFAULT '-',
  `rpt_no_1` varchar(50) DEFAULT '-',
  `payment_dated_1` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_1` varchar(100) DEFAULT '-',
  `cheque_or_cash_1` varchar(50) DEFAULT '-',
  `cheque_no_1` varchar(50) DEFAULT '-',
  `now_paid_1` decimal(18,2) DEFAULT '0.00',
  `concession_given_1` decimal(18,2) DEFAULT '0.00',
  `concession_admin_1` decimal(18,2) DEFAULT '0.00',
  `concession_board_1` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_1` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_1` int(11) unsigned DEFAULT '0',
  `user_1` varchar(50) DEFAULT '-',
  `rpt_no_2` varchar(50) DEFAULT '-',
  `payment_dated_2` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_2` varchar(100) DEFAULT '-',
  `cheque_or_cash_2` varchar(50) DEFAULT '-',
  `cheque_no_2` varchar(50) DEFAULT '-',
  `now_paid_2` decimal(18,2) DEFAULT '0.00',
  `concession_given_2` decimal(18,2) DEFAULT '0.00',
  `concession_admin_2` decimal(18,2) DEFAULT '0.00',
  `concession_board_2` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_2` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_2` int(11) unsigned DEFAULT '0',
  `user_2` varchar(50) DEFAULT '-',
  `rpt_no_3` varchar(50) DEFAULT '-',
  `payment_dated_3` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_3` varchar(100) DEFAULT '-',
  `cheque_or_cash_3` varchar(50) DEFAULT '-',
  `cheque_no_3` varchar(50) DEFAULT '-',
  `now_paid_3` decimal(18,2) DEFAULT '0.00',
  `concession_given_3` decimal(18,2) DEFAULT '0.00',
  `concession_admin_3` decimal(18,2) DEFAULT '0.00',
  `concession_board_3` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_3` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_3` int(11) unsigned DEFAULT '0',
  `user_3` varchar(50) DEFAULT '-',
  `rpt_no_4` varchar(50) DEFAULT '-',
  `payment_dated_4` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_4` varchar(100) DEFAULT '-',
  `cheque_or_cash_4` varchar(50) DEFAULT '-',
  `cheque_no_4` varchar(50) DEFAULT '-',
  `now_paid_4` decimal(18,2) DEFAULT '0.00',
  `concession_given_4` decimal(18,2) DEFAULT '0.00',
  `concession_admin_4` decimal(18,2) DEFAULT '0.00',
  `concession_board_4` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_4` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_4` int(11) unsigned DEFAULT '0',
  `user_4` varchar(50) DEFAULT '-',
  `rpt_no_5` varchar(50) DEFAULT '-',
  `payment_dated_5` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_5` varchar(100) DEFAULT '-',
  `cheque_or_cash_5` varchar(50) DEFAULT '-',
  `cheque_no_5` varchar(50) DEFAULT '-',
  `now_paid_5` decimal(18,2) DEFAULT '0.00',
  `concession_given_5` decimal(18,2) DEFAULT '0.00',
  `concession_admin_5` decimal(18,2) DEFAULT '0.00',
  `concession_board_5` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_5` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_5` int(11) unsigned DEFAULT '0',
  `user_5` varchar(50) NOT NULL DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`bill_no`,`book_name`) USING BTREE,
  KEY `customer_id1` (`customer_id`),
  KEY `date_of_billing1` (`date_of_billing`),
  KEY `book_name1` (`book_name`) USING BTREE,
  KEY `ip_no1` (`ip_no`) USING BTREE,
  KEY `adv_or_bill` (`adv_or_bill`),
  CONSTRAINT `FK_ip_bills_11header_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`),
  CONSTRAINT `FK_ip_bills_11header_2` FOREIGN KEY (`ip_no`) REFERENCES `ip_register` (`ip_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_11header`
--

LOCK TABLES `ip_bills_11header` WRITE;
/*!40000 ALTER TABLE `ip_bills_11header` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_11header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_11x4bill_nos`
--

DROP TABLE IF EXISTS `ip_bills_11x4bill_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_11x4bill_nos` (
  `bill_no` int(11) NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `bill_no2a` int(11) DEFAULT '0',
  `bill_no2b` int(11) DEFAULT '0',
  `insert_id` varchar(50) DEFAULT '-',
  `max_datea` datetime DEFAULT '2001-01-01 00:00:00',
  `max_dateb` datetime DEFAULT '2001-01-01 00:00:00',
  PRIMARY KEY (`bill_no`,`book_name`),
  KEY `Index_2` (`book_name`,`insert_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_11x4bill_nos`
--

LOCK TABLES `ip_bills_11x4bill_nos` WRITE;
/*!40000 ALTER TABLE `ip_bills_11x4bill_nos` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_11x4bill_nos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_12items`
--

DROP TABLE IF EXISTS `ip_bills_12items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_12items` (
  `bill_no` int(11) NOT NULL DEFAULT '1',
  `book_name` varchar(10) NOT NULL DEFAULT '8',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `particulars` varchar(100) DEFAULT NULL,
  `rated` decimal(18,2) DEFAULT '0.00',
  `qnty` decimal(18,2) DEFAULT '0.00',
  `amount` decimal(18,2) DEFAULT '0.00',
  `dated` datetime DEFAULT NULL,
  `one_or_two` float DEFAULT '1',
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `department` varchar(50) DEFAULT 'General',
  `user_id` varchar(5) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT '-',
  `printed` varchar(50) DEFAULT 'n',
  `marked_2` varchar(1) DEFAULT 'n',
  `received_amount` decimal(18,2) DEFAULT '0.00',
  `concession_given` decimal(18,2) DEFAULT '0.00',
  `concession_percentage` decimal(18,2) DEFAULT '0.00',
  `cuts_amount` decimal(18,2) DEFAULT '0.00',
  `cuts_percent` decimal(18,2) DEFAULT '0.00',
  `final_cuts_amount` decimal(18,2) DEFAULT '0.00',
  `final_cuts_percentage` decimal(18,2) DEFAULT '0.00',
  `started_by` varchar(10) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `completed_by` varchar(10) DEFAULT NULL,
  `completed_time` datetime DEFAULT NULL,
  `station` varchar(50) DEFAULT NULL,
  `go_by_admin` varchar(10) DEFAULT NULL,
  `accepted_by` varchar(10) DEFAULT NULL,
  `accepted_time` datetime DEFAULT NULL,
  `name_of_list` varchar(50) DEFAULT NULL,
  `basic_point_id` varchar(10) DEFAULT NULL,
  `branch_name` varchar(50) DEFAULT NULL,
  `go_by_time` datetime DEFAULT '2001-01-01 00:00:00',
  `subheading` varchar(100) DEFAULT '-',
  `returned_amount` decimal(18,2) DEFAULT '0.00',
  `adj_bill_no` int(11) DEFAULT '0',
  `adj_sl_no` int(11) DEFAULT '0',
  `collected` varchar(10) DEFAULT 'n',
  `concession_given2` decimal(18,2) DEFAULT '0.00',
  `concession_percentage2` decimal(18,2) DEFAULT '0.00',
  `category` varchar(50) DEFAULT '-',
  `method1` varchar(50) DEFAULT '-',
  `name_of_class` varchar(50) DEFAULT '-',
  `full_name` varchar(50) DEFAULT '-',
  `ref_place` varchar(100) DEFAULT '-',
  `ref_investor` varchar(100) DEFAULT '-',
  `refused_cuts` decimal(18,2) DEFAULT '0.00',
  `not_found_cuts` decimal(18,2) DEFAULT '0.00',
  `transfered_cuts` decimal(18,2) DEFAULT '0.00',
  `cuts_processing` varchar(255) DEFAULT '-',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `original_rate` decimal(18,2) DEFAULT '0.00',
  `md_sl_no` int(11) unsigned DEFAULT '0',
  `item_notes` varchar(255) DEFAULT '-',
  `item_date` datetime DEFAULT '2001-01-01 00:00:00',
  `extra_id` varchar(250) DEFAULT '-',
  `bill_date_dec` decimal(14,0) DEFAULT '0',
  `customer_id` varchar(50) DEFAULT '-',
  `customer_name` varchar(150) DEFAULT '-',
  `status` varchar(50) DEFAULT '-',
  `ip_bills_11header_paid_amount` decimal(18,2) DEFAULT '0.00',
  `ip_bills_11header_concession_amount` decimal(18,2) DEFAULT '0.00',
  `ip_bills_11header_total_amount` decimal(18,2) DEFAULT '0.00',
  `diagnosis` varchar(255) DEFAULT '-',
  `procedure_done` varchar(255) DEFAULT '-',
  `ip_bills_11header_returned_amount` decimal(18,2) DEFAULT '0.00',
  `ip_bills_11header_concession_admin` decimal(18,2) DEFAULT '0.00',
  `ip_bills_11header_concession_board` decimal(18,2) DEFAULT '0.00',
  `ip_bills_11header_adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `adv_or_bill` varchar(1) DEFAULT '-',
  `bill_no2` int(11) DEFAULT '0',
  `consultant_header` varchar(150) DEFAULT '0',
  `agency` varchar(255) DEFAULT '-',
  `ref_tds` varchar(255) DEFAULT '-',
  `col01` varchar(255) DEFAULT '-',
  `col02` varchar(255) DEFAULT '-',
  `col03` varchar(255) DEFAULT '-',
  `col04` varchar(255) DEFAULT '-',
  `col05` varchar(255) DEFAULT '-',
  `col06` varchar(255) DEFAULT '-',
  `col07` varchar(255) DEFAULT '-',
  `col08` varchar(255) DEFAULT '-',
  `col09` varchar(255) DEFAULT '-',
  `col10` varchar(255) DEFAULT '-',
  `col11` varchar(255) DEFAULT '-',
  `col12` varchar(255) DEFAULT '-',
  `col13` varchar(255) DEFAULT '-',
  `col14` varchar(255) DEFAULT '-',
  `col15` varchar(255) DEFAULT '-',
  `col16` varchar(255) DEFAULT '-',
  `col17` varchar(255) DEFAULT '-',
  `col18` varchar(255) DEFAULT '-',
  `col19` varchar(255) DEFAULT '-',
  `col20` varchar(255) DEFAULT '-',
  `col21` varchar(255) DEFAULT '-',
  `col22` varchar(255) DEFAULT '-',
  `col23` varchar(255) DEFAULT '-',
  `col24` varchar(255) DEFAULT '-',
  `col25` varchar(255) DEFAULT '-',
  `col26` varchar(255) DEFAULT '-',
  `col27` varchar(255) DEFAULT '-',
  `col28` varchar(255) DEFAULT '-',
  `col29` varchar(255) DEFAULT '-',
  `col30` varchar(255) DEFAULT '-',
  `dummy_dec1` decimal(18,2) DEFAULT '0.00',
  `dummy_dec2` decimal(18,2) DEFAULT '0.00',
  `dummy_dec3` decimal(18,2) DEFAULT '0.00',
  `ip_no` varchar(50) DEFAULT '-',
  `adj_in_billing` varchar(50) DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  `con_fees` decimal(18,2) DEFAULT '0.00',
  `spec_report_at` varchar(50) DEFAULT '-',
  `particulars_old` varchar(100) DEFAULT '-',
  `base_rate` decimal(18,2) DEFAULT '0.00',
  PRIMARY KEY (`bill_no`,`book_name`,`sl_no`),
  KEY `Index_2` (`item_date`),
  KEY `Index_bill_date_dec` (`bill_date_dec`) USING BTREE,
  CONSTRAINT `FK_ip_bills_12items_1` FOREIGN KEY (`bill_no`, `book_name`) REFERENCES `ip_bills_11header` (`bill_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_12items`
--

LOCK TABLES `ip_bills_12items` WRITE;
/*!40000 ALTER TABLE `ip_bills_12items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_12items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_14payments`
--

DROP TABLE IF EXISTS `ip_bills_14payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_14payments` (
  `bill_no` int(11) NOT NULL DEFAULT '1',
  `book_name` varchar(10) NOT NULL DEFAULT '8',
  `rpt_no` varchar(50) NOT NULL,
  `payment_dated` datetime DEFAULT NULL,
  `particulars1` varchar(255) DEFAULT NULL,
  `particulars2` varchar(255) DEFAULT NULL,
  `particulars3` varchar(255) DEFAULT NULL,
  `bill_total_now` decimal(18,2) DEFAULT '0.00',
  `paid_till_now` decimal(18,2) DEFAULT '0.00',
  `concession_till_now` decimal(18,2) DEFAULT '0.00',
  `now_paid` decimal(18,2) DEFAULT '0.00',
  `concession_given` decimal(18,2) DEFAULT '0.00',
  `concession_by` varchar(10) DEFAULT NULL,
  `accepted_by` varchar(10) DEFAULT NULL,
  `printed_by` varchar(10) DEFAULT NULL,
  `printed_time` datetime DEFAULT NULL,
  `agency` varchar(100) DEFAULT NULL,
  `cheque_or_cash` varchar(50) DEFAULT NULL,
  `cheque_date` datetime DEFAULT NULL,
  `cheque_bank` varchar(50) DEFAULT NULL,
  `cheque_branch` varchar(50) DEFAULT NULL,
  `realised_date` datetime DEFAULT NULL,
  `cheque_no` varchar(50) DEFAULT NULL,
  `concession_on_what_grounds` varchar(255) DEFAULT '-',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `concession_board_by` varchar(10) DEFAULT '-',
  `concession_board_on_what_grounds` varchar(255) DEFAULT '-',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_admin_by` varchar(10) DEFAULT '-',
  `concession_admin_on_what_grounds` varchar(225) DEFAULT '-',
  `concession_board_till_now` decimal(18,2) DEFAULT '0.00',
  `concession_admin_till_now` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills` int(11) DEFAULT '0',
  `rpt_no_for_cash_bills` int(11) DEFAULT '0',
  `un_printed` varchar(250) DEFAULT '-',
  PRIMARY KEY (`bill_no`,`book_name`,`rpt_no`),
  CONSTRAINT `FK_ip_bills_14payments_1` FOREIGN KEY (`bill_no`, `book_name`) REFERENCES `ip_bills_11header` (`bill_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_14payments`
--

LOCK TABLES `ip_bills_14payments` WRITE;
/*!40000 ALTER TABLE `ip_bills_14payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_14payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_14xmax_rcpt_nos`
--

DROP TABLE IF EXISTS `ip_bills_14xmax_rcpt_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_14xmax_rcpt_nos` (
  `book_name` varchar(10) NOT NULL,
  `rpt_no_for_cash_bills` int(11) NOT NULL,
  `rpt_no_for_credit_bills` int(11) NOT NULL,
  `insert_id` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`book_name`,`rpt_no_for_cash_bills`,`rpt_no_for_credit_bills`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_14xmax_rcpt_nos`
--

LOCK TABLES `ip_bills_14xmax_rcpt_nos` WRITE;
/*!40000 ALTER TABLE `ip_bills_14xmax_rcpt_nos` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_14xmax_rcpt_nos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_bills_15bill_nos_daywise`
--

DROP TABLE IF EXISTS `ip_bills_15bill_nos_daywise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_bills_15bill_nos_daywise` (
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '-',
  `date_of_billing_as_number` int(8) unsigned NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '8' COMMENT '-',
  PRIMARY KEY (`book_name`,`date_of_billing_as_number`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_bills_15bill_nos_daywise`
--

LOCK TABLES `ip_bills_15bill_nos_daywise` WRITE;
/*!40000 ALTER TABLE `ip_bills_15bill_nos_daywise` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_bills_15bill_nos_daywise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_receipt_header`
--

DROP TABLE IF EXISTS `ip_receipt_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_receipt_header` (
  `rpt_no` int(10) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `supervisor_id` varchar(5) DEFAULT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `customer_name` varchar(150) DEFAULT NULL,
  `date_of_billing` datetime DEFAULT NULL,
  `date_of_payment` datetime DEFAULT NULL,
  `date_of_finalisation` datetime DEFAULT NULL,
  `consultant` varchar(150) DEFAULT NULL,
  `ref_by` varchar(150) DEFAULT NULL,
  `paid_amount` decimal(18,2) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT NULL,
  `card_etc` varchar(150) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `locker_id` varchar(5) DEFAULT NULL,
  `total_amount` decimal(18,2) DEFAULT NULL,
  `date_of_admission` datetime DEFAULT NULL,
  `date_of_discharge` datetime DEFAULT NULL,
  `no_of_days` smallint(5) DEFAULT NULL,
  PRIMARY KEY (`rpt_no`,`book_name`),
  KEY `acc_booksip_receipt_header` (`book_name`),
  KEY `customer_id` (`customer_id`),
  KEY `supervisor_id` (`supervisor_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_ip_receipt_header_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_receipt_header`
--

LOCK TABLES `ip_receipt_header` WRITE;
/*!40000 ALTER TABLE `ip_receipt_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_receipt_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_receipt_items`
--

DROP TABLE IF EXISTS `ip_receipt_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_receipt_items` (
  `sl_no` smallint(5) NOT NULL,
  `rpt_no` int(10) NOT NULL,
  `particulars` varchar(255) DEFAULT NULL,
  `rated` decimal(18,2) DEFAULT NULL,
  `qnty` decimal(18,2) DEFAULT NULL,
  `amount` decimal(18,2) DEFAULT NULL,
  `dated` datetime DEFAULT NULL,
  `one_or_two` double(7,2) DEFAULT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `book_name` varchar(10) NOT NULL,
  `department` varchar(50) DEFAULT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT NULL,
  `printed` varchar(50) DEFAULT NULL,
  `marked_2` varchar(1) DEFAULT NULL,
  `sub_heading` varchar(255) DEFAULT NULL,
  `amount2` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`sl_no`,`rpt_no`,`book_name`),
  KEY `acc_booksip_receipt_items` (`book_name`),
  KEY `all_bills_itemsrpt_no` (`rpt_no`),
  KEY `ip_receipt_headerip_receipt_ite` (`rpt_no`,`book_name`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_ip_receipt_items_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`),
  CONSTRAINT `FK_ip_receipt_items_2` FOREIGN KEY (`rpt_no`, `book_name`) REFERENCES `ip_receipt_header` (`rpt_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_receipt_items`
--

LOCK TABLES `ip_receipt_items` WRITE;
/*!40000 ALTER TABLE `ip_receipt_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_receipt_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_receipts_accounts_list`
--

DROP TABLE IF EXISTS `ip_receipts_accounts_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_receipts_accounts_list` (
  `account_of` varchar(100) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  PRIMARY KEY (`account_of`,`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_receipts_accounts_list`
--

LOCK TABLES `ip_receipts_accounts_list` WRITE;
/*!40000 ALTER TABLE `ip_receipts_accounts_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_receipts_accounts_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_register`
--

DROP TABLE IF EXISTS `ip_register`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_register` (
  `ip_no` varchar(50) NOT NULL DEFAULT '-',
  `customer_id` varchar(50) DEFAULT '-',
  `doa` datetime DEFAULT '2001-01-01 00:00:00',
  `consultant` varchar(50) DEFAULT '-',
  `ref_by` varchar(50) DEFAULT '-',
  `dod` datetime DEFAULT '2001-01-01 00:00:00',
  `status1` varchar(50) DEFAULT '-',
  `total_in_bills` decimal(18,2) DEFAULT '0.00',
  `total_amount_paid` decimal(18,2) DEFAULT '0.00',
  `total_concession_given` decimal(18,2) DEFAULT '0.00',
  `total_advance_received` decimal(18,2) DEFAULT '0.00',
  `total_returned_amount` decimal(18,2) DEFAULT '0.00',
  `total_advance_used` decimal(18,2) DEFAULT '0.00',
  `col01` varchar(255) DEFAULT '-',
  `col02` varchar(255) DEFAULT '-',
  `col03` varchar(255) DEFAULT '-',
  `col04` varchar(255) DEFAULT '-',
  `col05` varchar(255) DEFAULT '-',
  `col06` varchar(255) DEFAULT '-',
  `col07` varchar(255) DEFAULT '-',
  `col08` varchar(255) DEFAULT '-',
  `col09` varchar(255) DEFAULT '-',
  `col10` varchar(255) DEFAULT '-',
  `printed` varchar(255) DEFAULT '-',
  `col11` varchar(255) DEFAULT '-',
  `col12` varchar(255) DEFAULT '-',
  `col13` varchar(255) DEFAULT '-',
  `col14` varchar(255) DEFAULT '-',
  `col15` varchar(255) DEFAULT '-',
  `col16` varchar(255) DEFAULT '-',
  `col17` varchar(255) DEFAULT '-',
  `col18` varchar(255) DEFAULT '-',
  `col19` varchar(255) DEFAULT '-',
  `col20` varchar(255) DEFAULT '-',
  `book_name` varchar(10) DEFAULT '-',
  PRIMARY KEY (`ip_no`),
  KEY `FK_ip_register_1` (`customer_id`),
  CONSTRAINT `FK_ip_register_1` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_register`
--

LOCK TABLES `ip_register` WRITE;
/*!40000 ALTER TABLE `ip_register` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_register` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jl`
--

DROP TABLE IF EXISTS `jl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `jl` (
  `pk` decimal(19,4) DEFAULT NULL,
  `a` varchar(1) DEFAULT NULL,
  `b` varchar(1) DEFAULT NULL,
  `c` varchar(1) DEFAULT NULL,
  `d` varchar(1) DEFAULT NULL,
  `e` varchar(1) DEFAULT NULL,
  `f` varchar(1) DEFAULT NULL,
  `g` varchar(1) DEFAULT NULL,
  `h` varchar(1) DEFAULT NULL,
  `i` varchar(1) DEFAULT NULL,
  `j` varchar(1) DEFAULT NULL,
  `k` varchar(1) DEFAULT NULL,
  UNIQUE KEY `pk` (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jl`
--

LOCK TABLES `jl` WRITE;
/*!40000 ALTER TABLE `jl` DISABLE KEYS */;
/*!40000 ALTER TABLE `jl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_logout`
--

DROP TABLE IF EXISTS `login_logout`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_logout` (
  `log_ined` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `notes` varchar(255) NOT NULL DEFAULT '-',
  `log_outed` datetime DEFAULT '2001-01-01 00:00:00',
  `user_name` varchar(5) NOT NULL DEFAULT '-',
  `full_name` varchar(50) NOT NULL,
  PRIMARY KEY (`log_ined`,`user_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_logout`
--

LOCK TABLES `login_logout` WRITE;
/*!40000 ALTER TABLE `login_logout` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_logout` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `module_list`
--

DROP TABLE IF EXISTS `module_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module_list` (
  `module_name` varchar(100) NOT NULL,
  `module_id` varchar(2) NOT NULL,
  `s` varchar(1) DEFAULT NULL,
  `i` varchar(1) DEFAULT NULL,
  `d` varchar(1) DEFAULT NULL,
  `u` varchar(1) DEFAULT NULL,
  `select_all` varchar(1) DEFAULT NULL,
  `dataobject` varchar(100) NOT NULL,
  `formating` varchar(1) DEFAULT NULL,
  `dialogue` varchar(1) DEFAULT NULL,
  `preview` varchar(1) DEFAULT NULL,
  `programme_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`module_name`,`module_id`,`dataobject`),
  UNIQUE KEY `module_name` (`module_name`,`module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `module_list`
--

LOCK TABLES `module_list` WRITE;
/*!40000 ALTER TABLE `module_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `module_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `my_file_types`
--

DROP TABLE IF EXISTS `my_file_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `my_file_types` (
  `file_type` varchar(50) NOT NULL DEFAULT '-',
  `parent1_program` varchar(255) DEFAULT '-',
  `parent2_program` varchar(255) DEFAULT '-',
  `parent3_program` varchar(255) DEFAULT '-',
  `parent1_program_first_parameter` varchar(255) DEFAULT '-',
  `parent1_program_last_parameter` varchar(255) DEFAULT '-',
  `parent2_program_first_parameter` varchar(255) DEFAULT '-',
  `parent2_program_last_parameter` varchar(255) DEFAULT '-',
  `parent3_program_first_parameter` varchar(255) DEFAULT '-',
  `parent3_program_last_parameter` varchar(255) DEFAULT '-',
  PRIMARY KEY (`file_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `my_file_types`
--

LOCK TABLES `my_file_types` WRITE;
/*!40000 ALTER TABLE `my_file_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `my_file_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `my_reg`
--

DROP TABLE IF EXISTS `my_reg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `my_reg` (
  `machine_id` varchar(255) NOT NULL DEFAULT '-',
  `database1` varchar(255) DEFAULT '-',
  `machine_name` varchar(255) DEFAULT '-',
  `email_id` varchar(255) DEFAULT '-',
  `name1` varchar(255) DEFAULT '-',
  `key_gen` varchar(255) DEFAULT '-',
  `users_allowed` varchar(255) DEFAULT '-',
  `sl_no` int(11) unsigned DEFAULT '0',
  `cycles_allowed` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`machine_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `my_reg`
--

LOCK TABLES `my_reg` WRITE;
/*!40000 ALTER TABLE `my_reg` DISABLE KEYS */;
/*!40000 ALTER TABLE `my_reg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nano_columns_and_labels`
--

DROP TABLE IF EXISTS `nano_columns_and_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nano_columns_and_labels` (
  `column_name` varchar(100) NOT NULL DEFAULT '-',
  `label_text` varchar(255) DEFAULT '-',
  `label_x` decimal(6,2) DEFAULT '0.00',
  `label_y` decimal(6,2) DEFAULT '0.00',
  `label_width` decimal(6,2) DEFAULT '0.00',
  `label_height` decimal(6,2) DEFAULT '0.00',
  `escapement` int(11) DEFAULT '0',
  `column_x` decimal(6,2) DEFAULT '0.00',
  `column_y` decimal(6,2) DEFAULT '0.00',
  `column_width` decimal(6,2) DEFAULT '0.00',
  `column_height` decimal(6,2) DEFAULT '0.00',
  `column_escapement` decimal(6,2) DEFAULT '0.00',
  PRIMARY KEY (`column_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nano_columns_and_labels`
--

LOCK TABLES `nano_columns_and_labels` WRITE;
/*!40000 ALTER TABLE `nano_columns_and_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `nano_columns_and_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nano_data`
--

DROP TABLE IF EXISTS `nano_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nano_data` (
  `id_char` varchar(255) NOT NULL DEFAULT '-',
  `id_number` int(11) NOT NULL DEFAULT '0',
  `column01` varchar(255) NOT NULL DEFAULT '-',
  `column02` varchar(255) NOT NULL DEFAULT '-',
  `column03` varchar(255) NOT NULL DEFAULT '-',
  `column04` varchar(255) NOT NULL DEFAULT '-',
  `column05` varchar(255) NOT NULL DEFAULT '-',
  `column06` varchar(255) NOT NULL DEFAULT '-',
  `column07` varchar(255) NOT NULL DEFAULT '-',
  `column08` varchar(255) NOT NULL DEFAULT '-',
  `column09` varchar(255) NOT NULL DEFAULT '-',
  `column10` varchar(255) NOT NULL DEFAULT '-',
  `column11` varchar(255) NOT NULL DEFAULT '-',
  `column12` varchar(255) NOT NULL DEFAULT '-',
  `column13` varchar(255) NOT NULL DEFAULT '-',
  `column14` varchar(255) NOT NULL DEFAULT '-',
  `column15` varchar(255) NOT NULL DEFAULT '-',
  `column16` varchar(255) NOT NULL DEFAULT '-',
  `column17` varchar(255) NOT NULL DEFAULT '-',
  `column18` varchar(255) NOT NULL DEFAULT '-',
  `column19` varchar(255) NOT NULL DEFAULT '-',
  `column20` varchar(255) NOT NULL DEFAULT '-',
  `column21` varchar(255) NOT NULL DEFAULT '-',
  `column22` varchar(255) NOT NULL DEFAULT '-',
  `column23` varchar(255) NOT NULL DEFAULT '-',
  `column24` varchar(255) NOT NULL DEFAULT '-',
  `column25` varchar(255) NOT NULL DEFAULT '-',
  `column26` varchar(255) NOT NULL DEFAULT '-',
  `column27` varchar(255) NOT NULL DEFAULT '-',
  `column28` varchar(255) NOT NULL DEFAULT '-',
  `column29` varchar(255) NOT NULL DEFAULT '-',
  `column30` varchar(255) NOT NULL DEFAULT '-',
  `column31` varchar(255) NOT NULL DEFAULT '-',
  `column32` varchar(255) NOT NULL DEFAULT '-',
  `column33` varchar(255) NOT NULL DEFAULT '-',
  `column34` varchar(255) NOT NULL DEFAULT '-',
  `column35` varchar(255) NOT NULL DEFAULT '-',
  `column36` varchar(255) NOT NULL DEFAULT '-',
  `column37` varchar(255) NOT NULL DEFAULT '-',
  `column38` varchar(255) NOT NULL DEFAULT '-',
  `column39` varchar(255) NOT NULL DEFAULT '-',
  `column40` varchar(255) NOT NULL DEFAULT '-',
  `column41` varchar(255) NOT NULL DEFAULT '-',
  `column42` varchar(255) NOT NULL DEFAULT '-',
  `column43` varchar(255) NOT NULL DEFAULT '-',
  `column44` varchar(255) NOT NULL DEFAULT '-',
  `column45` varchar(255) NOT NULL DEFAULT '-',
  `column46` varchar(255) NOT NULL DEFAULT '-',
  `column47` varchar(255) NOT NULL DEFAULT '-',
  `column48` varchar(255) NOT NULL DEFAULT '-',
  `column49` varchar(255) NOT NULL DEFAULT '-',
  `column50` varchar(255) NOT NULL DEFAULT '-',
  `column51` varchar(255) NOT NULL DEFAULT '-',
  `column52` varchar(255) NOT NULL DEFAULT '-',
  `column53` varchar(255) NOT NULL DEFAULT '-',
  `column54` varchar(255) NOT NULL DEFAULT '-',
  `column55` varchar(255) NOT NULL DEFAULT '-',
  `column56` varchar(255) NOT NULL DEFAULT '-',
  `column57` varchar(255) NOT NULL DEFAULT '-',
  `column58` varchar(255) NOT NULL DEFAULT '-',
  `column59` varchar(255) NOT NULL DEFAULT '-',
  `column60` varchar(255) NOT NULL DEFAULT '-',
  `column61` varchar(255) NOT NULL DEFAULT '-',
  `column62` varchar(255) NOT NULL DEFAULT '-',
  `column63` varchar(255) NOT NULL DEFAULT '-',
  `column64` varchar(255) NOT NULL DEFAULT '-',
  `column65` varchar(255) NOT NULL DEFAULT '-',
  `column66` varchar(255) NOT NULL DEFAULT '-',
  `column67` varchar(255) NOT NULL DEFAULT '-',
  `column68` varchar(255) NOT NULL DEFAULT '-',
  `column69` varchar(255) NOT NULL DEFAULT '-',
  `column70` varchar(255) NOT NULL DEFAULT '-',
  `column71` varchar(255) NOT NULL DEFAULT '-',
  `column72` varchar(255) NOT NULL DEFAULT '-',
  `column73` varchar(255) NOT NULL DEFAULT '-',
  `column74` varchar(255) NOT NULL DEFAULT '-',
  `column75` varchar(255) NOT NULL DEFAULT '-',
  `column76` varchar(255) NOT NULL DEFAULT '-',
  `column77` varchar(255) NOT NULL DEFAULT '-',
  `column78` varchar(255) NOT NULL DEFAULT '-',
  `column79` varchar(255) NOT NULL DEFAULT '-',
  `column80` varchar(255) NOT NULL DEFAULT '-',
  `column81` varchar(255) NOT NULL DEFAULT '-',
  `column82` varchar(255) NOT NULL DEFAULT '-',
  `column83` varchar(255) NOT NULL DEFAULT '-',
  `column84` varchar(255) NOT NULL DEFAULT '-',
  `column85` varchar(255) NOT NULL DEFAULT '-',
  `column86` varchar(255) NOT NULL DEFAULT '-',
  `column87` varchar(255) NOT NULL DEFAULT '-',
  `column88` varchar(255) NOT NULL DEFAULT '-',
  `column89` varchar(255) NOT NULL DEFAULT '-',
  `column90` varchar(255) NOT NULL DEFAULT '-',
  `column91` varchar(255) NOT NULL DEFAULT '-',
  `column92` varchar(255) NOT NULL DEFAULT '-',
  `column93` varchar(255) NOT NULL DEFAULT '-',
  `column94` varchar(255) NOT NULL DEFAULT '-',
  `column95` varchar(255) NOT NULL DEFAULT '-',
  `column96` varchar(255) NOT NULL DEFAULT '-',
  `column97` varchar(255) NOT NULL DEFAULT '-',
  `column98` varchar(255) NOT NULL DEFAULT '-',
  `column99` varchar(255) NOT NULL DEFAULT '-',
  `grouping_column1` varchar(255) NOT NULL DEFAULT '-',
  `grouping_column2` varchar(255) NOT NULL DEFAULT '-',
  `user_name` varchar(10) NOT NULL DEFAULT '-',
  `date_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `file_name` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`id_char`,`id_number`,`user_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nano_data`
--

LOCK TABLES `nano_data` WRITE;
/*!40000 ALTER TABLE `nano_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `nano_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nipa_main_headings`
--

DROP TABLE IF EXISTS `nipa_main_headings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nipa_main_headings` (
  `sl_no` int(10) DEFAULT NULL,
  `main_heading` varchar(100) NOT NULL,
  `main_heading_to_use` varchar(100) DEFAULT NULL,
  `user_name` varchar(5) NOT NULL,
  `department` varchar(50) DEFAULT NULL,
  `include` varchar(1) DEFAULT NULL,
  `dataobject_name` varchar(50) NOT NULL,
  PRIMARY KEY (`main_heading`,`user_name`,`dataobject_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nipa_main_headings`
--

LOCK TABLES `nipa_main_headings` WRITE;
/*!40000 ALTER TABLE `nipa_main_headings` DISABLE KEYS */;
/*!40000 ALTER TABLE `nipa_main_headings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nipa_matter_text`
--

DROP TABLE IF EXISTS `nipa_matter_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nipa_matter_text` (
  `sl_no` int(10) DEFAULT NULL,
  `matter_text` varchar(150) NOT NULL,
  `sub_heading` varchar(100) NOT NULL,
  `main_heading` varchar(100) NOT NULL,
  `user_name` varchar(5) NOT NULL,
  `department` varchar(50) DEFAULT NULL,
  `include` varchar(1) DEFAULT NULL,
  `dataobject_name` varchar(50) NOT NULL,
  PRIMARY KEY (`matter_text`,`sub_heading`,`main_heading`,`user_name`,`dataobject_name`),
  KEY `nipa_sub_headingsnipa_matter_te` (`sub_heading`,`main_heading`,`user_name`,`dataobject_name`),
  CONSTRAINT `FK_nipa_matter_text_1` FOREIGN KEY (`sub_heading`, `main_heading`, `user_name`, `dataobject_name`) REFERENCES `nipa_sub_headings` (`sub_heading`, `main_heading`, `user_name`, `dataobject_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nipa_matter_text`
--

LOCK TABLES `nipa_matter_text` WRITE;
/*!40000 ALTER TABLE `nipa_matter_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `nipa_matter_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nipa_sub_headings`
--

DROP TABLE IF EXISTS `nipa_sub_headings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nipa_sub_headings` (
  `sl_no` int(10) DEFAULT NULL,
  `sub_heading` varchar(100) NOT NULL,
  `main_heading` varchar(100) NOT NULL,
  `user_name` varchar(5) NOT NULL,
  `department` varchar(50) DEFAULT NULL,
  `include` varchar(1) DEFAULT NULL,
  `dataobject_name` varchar(50) NOT NULL,
  PRIMARY KEY (`sub_heading`,`main_heading`,`user_name`,`dataobject_name`),
  KEY `nipa_main_headingsnipa_sub_head` (`main_heading`,`user_name`,`dataobject_name`),
  CONSTRAINT `FK_nipa_sub_headings_1` FOREIGN KEY (`main_heading`, `user_name`, `dataobject_name`) REFERENCES `nipa_main_headings` (`main_heading`, `user_name`, `dataobject_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nipa_sub_headings`
--

LOCK TABLES `nipa_sub_headings` WRITE;
/*!40000 ALTER TABLE `nipa_sub_headings` DISABLE KEYS */;
/*!40000 ALTER TABLE `nipa_sub_headings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nipa_test`
--

DROP TABLE IF EXISTS `nipa_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nipa_test` (
  `customer_id` varchar(50) NOT NULL,
  `page_no` varchar(20) NOT NULL,
  `sl_no` smallint(5) NOT NULL,
  `dated` datetime NOT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `object_details` varchar(30) DEFAULT NULL,
  `nipa` longtext,
  `categories` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`page_no`,`sl_no`,`dated`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nipa_test`
--

LOCK TABLES `nipa_test` WRITE;
/*!40000 ALTER TABLE `nipa_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `nipa_test` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_00investors`
--

DROP TABLE IF EXISTS `op_bills_00investors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_00investors` (
  `investor_name` varchar(100) NOT NULL,
  `signatory` varchar(100) DEFAULT NULL,
  `mobile_no` varchar(50) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `place` varchar(50) DEFAULT NULL,
  `investment` decimal(18,2) DEFAULT '0.00',
  `specialty` varchar(100) DEFAULT NULL,
  `proposed_investment` decimal(18,2) DEFAULT '0.00',
  `date_of_inv` datetime DEFAULT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`investor_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_00investors`
--

LOCK TABLES `op_bills_00investors` WRITE;
/*!40000 ALTER TABLE `op_bills_00investors` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_00investors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_01parts_lists_names`
--

DROP TABLE IF EXISTS `op_bills_01parts_lists_names`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_01parts_lists_names` (
  `name_of_list` varchar(50) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `division` varchar(2) DEFAULT 'op',
  `master_pick_code` varchar(3) DEFAULT '---',
  `exclude_filter` longtext,
  PRIMARY KEY (`name_of_list`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_01parts_lists_names`
--

LOCK TABLES `op_bills_01parts_lists_names` WRITE;
/*!40000 ALTER TABLE `op_bills_01parts_lists_names` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_01parts_lists_names` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_01parts_lst_4usrs`
--

DROP TABLE IF EXISTS `op_bills_01parts_lst_4usrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_01parts_lst_4usrs` (
  `name_of_list` varchar(50) NOT NULL DEFAULT '-',
  `division` varchar(3) DEFAULT '-',
  `modified_last_by` varchar(10) DEFAULT '-',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `employee_name1` varchar(5) NOT NULL DEFAULT '-',
  `permission_user_id` varchar(5) NOT NULL DEFAULT '-',
  `header_label` varchar(50) NOT NULL DEFAULT '-',
  `bank_name` varchar(100) NOT NULL DEFAULT '-',
  `account_name` varchar(100) NOT NULL DEFAULT '-',
  `upi_id` varchar(100) NOT NULL DEFAULT '-',
  PRIMARY KEY (`name_of_list`,`book_name`,`employee_name1`,`permission_user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_01parts_lst_4usrs`
--

LOCK TABLES `op_bills_01parts_lst_4usrs` WRITE;
/*!40000 ALTER TABLE `op_bills_01parts_lst_4usrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_01parts_lst_4usrs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_02parts_service_class`
--

DROP TABLE IF EXISTS `op_bills_02parts_service_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_02parts_service_class` (
  `name_of_class` varchar(50) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `division` varchar(2) DEFAULT 'op',
  PRIMARY KEY (`name_of_class`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_02parts_service_class`
--

LOCK TABLES `op_bills_02parts_service_class` WRITE;
/*!40000 ALTER TABLE `op_bills_02parts_service_class` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_02parts_service_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_03parts_schemes_details`
--

DROP TABLE IF EXISTS `op_bills_03parts_schemes_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_03parts_schemes_details` (
  `name_of_scheme` varchar(50) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `by_class_slab1` decimal(18,0) DEFAULT '0',
  `by_class_slab2` decimal(18,0) DEFAULT '0',
  `by_class_slab3` decimal(18,0) DEFAULT '0',
  `by_class_slab4` decimal(18,0) DEFAULT '0',
  `by_class_slab5` decimal(18,0) DEFAULT '0',
  `by_class_pc1` decimal(18,0) DEFAULT '0',
  `by_class_pc2` decimal(18,0) DEFAULT '0',
  `by_class_pc3` decimal(18,0) DEFAULT '0',
  `by_class_pc4` decimal(18,0) DEFAULT '0',
  `by_class_pc5` decimal(18,0) DEFAULT '0',
  `by_quantity_slab1` decimal(18,0) DEFAULT '0',
  `by_quantity_slab2` decimal(18,0) DEFAULT '0',
  `by_quantity_slab3` decimal(18,0) DEFAULT '0',
  `by_quantity_slab4` decimal(18,0) DEFAULT '0',
  `by_quantity_slab5` decimal(18,0) DEFAULT '0',
  `by_quantity_pc1` decimal(18,0) DEFAULT '0',
  `by_quantity_pc2` decimal(18,0) DEFAULT '0',
  `by_quantity_pc3` decimal(18,0) DEFAULT '0',
  `by_quantity_pc4` decimal(18,0) DEFAULT '0',
  `by_quantity_pc5` decimal(18,0) DEFAULT '0',
  `by_collections_slab1` decimal(18,0) DEFAULT '0',
  `by_collections_slab2` decimal(18,0) DEFAULT '0',
  `by_collections_slab3` decimal(18,0) DEFAULT '0',
  `by_collections_slab4` decimal(18,0) DEFAULT '0',
  `by_collections_slab5` decimal(18,0) DEFAULT '0',
  `by_collections_pc1` decimal(18,0) DEFAULT '0',
  `by_collections_pc2` decimal(18,0) DEFAULT '0',
  `by_collections_pc3` decimal(18,0) DEFAULT '0',
  `by_collections_pc4` decimal(18,0) DEFAULT '0',
  `by_collections_pc5` decimal(18,0) DEFAULT '0',
  `division` varchar(2) DEFAULT NULL,
  PRIMARY KEY (`name_of_scheme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_03parts_schemes_details`
--

LOCK TABLES `op_bills_03parts_schemes_details` WRITE;
/*!40000 ALTER TABLE `op_bills_03parts_schemes_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_03parts_schemes_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_04parts_services_rates`
--

DROP TABLE IF EXISTS `op_bills_04parts_services_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_04parts_services_rates` (
  `name_of_list` varchar(50) NOT NULL,
  `name_of_service` varchar(100) NOT NULL,
  `serial_number` varchar(50) DEFAULT NULL,
  `rate` decimal(18,2) DEFAULT '0.00',
  `base_rate` decimal(18,2) DEFAULT '0.00',
  `name_of_class` varchar(50) DEFAULT NULL,
  `department` varchar(100) DEFAULT NULL,
  `station` varchar(50) DEFAULT NULL,
  `name_of_scheme` varchar(50) DEFAULT NULL,
  `method` varchar(50) DEFAULT NULL,
  `point_ids_allowed` varchar(255) DEFAULT NULL COMMENT 'coma separated list of point ids of''report_points'' table',
  `point_ids_no_allowed` int(11) DEFAULT '0',
  `modified_last_by` varchar(10) DEFAULT NULL,
  `branch` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `basic_point_id` varchar(10) CHARACTER SET latin1 NOT NULL,
  `rfees` decimal(18,2) DEFAULT NULL,
  `division` varchar(2) DEFAULT 'op',
  `subheading` varchar(100) DEFAULT '-',
  `allow_change` varchar(50) DEFAULT 'no',
  `con_fees` decimal(18,2) DEFAULT '0.00',
  PRIMARY KEY (`name_of_list`,`name_of_service`,`basic_point_id`) USING BTREE,
  KEY `FK_op_bills_04parts_services_rates_2` (`name_of_class`),
  KEY `FK_op_bills_04parts_services_rates_3` (`name_of_scheme`),
  CONSTRAINT `FK_op_bills_04parts_services_rates_1` FOREIGN KEY (`name_of_list`) REFERENCES `op_bills_01parts_lists_names` (`name_of_list`),
  CONSTRAINT `FK_op_bills_04parts_services_rates_2` FOREIGN KEY (`name_of_class`) REFERENCES `op_bills_02parts_service_class` (`name_of_class`),
  CONSTRAINT `FK_op_bills_04parts_services_rates_3` FOREIGN KEY (`name_of_scheme`) REFERENCES `op_bills_03parts_schemes_details` (`name_of_scheme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_04parts_services_rates`
--

LOCK TABLES `op_bills_04parts_services_rates` WRITE;
/*!40000 ALTER TABLE `op_bills_04parts_services_rates` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_04parts_services_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_05parts_services_groups`
--

DROP TABLE IF EXISTS `op_bills_05parts_services_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_05parts_services_groups` (
  `name_of_list` varchar(50) NOT NULL,
  `name_of_group` varchar(50) NOT NULL,
  `name_of_service` varchar(100) NOT NULL,
  `modified_last_by` varchar(10) DEFAULT NULL,
  `basic_point_id` varchar(10) CHARACTER SET latin1 NOT NULL,
  `division` varchar(2) DEFAULT 'op',
  `sl_no` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`name_of_list`,`name_of_group`,`name_of_service`,`basic_point_id`) USING BTREE,
  KEY `FK_op_bills_05parts_services_groups_1` (`name_of_list`,`name_of_service`),
  KEY `FK_op_bills_05parts_services_groups_3` (`name_of_list`,`name_of_service`,`basic_point_id`),
  CONSTRAINT `FK_op_bills_05parts_services_groups_3` FOREIGN KEY (`name_of_list`, `name_of_service`, `basic_point_id`) REFERENCES `op_bills_04parts_services_rates` (`name_of_list`, `name_of_service`, `basic_point_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_05parts_services_groups`
--

LOCK TABLES `op_bills_05parts_services_groups` WRITE;
/*!40000 ALTER TABLE `op_bills_05parts_services_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_05parts_services_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_06parts_rates_vs_points`
--

DROP TABLE IF EXISTS `op_bills_06parts_rates_vs_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_06parts_rates_vs_points` (
  `name_of_list` varchar(50) NOT NULL,
  `name_of_service` varchar(100) NOT NULL,
  `point_id` varchar(10) CHARACTER SET latin1 NOT NULL,
  `basic_point_id` varchar(10) CHARACTER SET latin1 NOT NULL,
  `division` varchar(2) DEFAULT 'op',
  PRIMARY KEY (`name_of_list`,`name_of_service`,`point_id`,`basic_point_id`) USING BTREE,
  KEY `FK_op_bills_06parts_rates_vs_points_3` (`name_of_list`,`name_of_service`,`basic_point_id`),
  KEY `FK_op_bills_06parts_rates_vs_points_4` (`point_id`),
  CONSTRAINT `FK_op_bills_06parts_rates_vs_points_3` FOREIGN KEY (`name_of_list`, `name_of_service`, `basic_point_id`) REFERENCES `op_bills_04parts_services_rates` (`name_of_list`, `name_of_service`, `basic_point_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_op_bills_06parts_rates_vs_points_4` FOREIGN KEY (`point_id`) REFERENCES `report_points` (`point_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_06parts_rates_vs_points`
--

LOCK TABLES `op_bills_06parts_rates_vs_points` WRITE;
/*!40000 ALTER TABLE `op_bills_06parts_rates_vs_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_06parts_rates_vs_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_11header`
--

DROP TABLE IF EXISTS `op_bills_11header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_11header` (
  `bill_no` int(11) NOT NULL DEFAULT '0',
  `book_name` varchar(10) CHARACTER SET latin1 NOT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `supervisor_id` varchar(5) DEFAULT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `customer_name` varchar(150) DEFAULT NULL,
  `date_of_billing` datetime DEFAULT NULL,
  `date_of_payment` datetime DEFAULT NULL,
  `date_of_finalisation` datetime DEFAULT NULL,
  `consultant` varchar(150) DEFAULT NULL,
  `ref_by` varchar(150) DEFAULT NULL,
  `paid_amount` decimal(18,2) DEFAULT '0.00',
  `account_of` varchar(150) DEFAULT NULL,
  `card_etc` varchar(150) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `locker_id` varchar(5) DEFAULT NULL,
  `total_amount` decimal(18,2) DEFAULT '0.00',
  `concession_amount` decimal(18,2) DEFAULT NULL,
  `date_of_admission` datetime DEFAULT NULL,
  `date_of_discharge` datetime DEFAULT NULL,
  `no_of_days` int(11) unsigned DEFAULT '0',
  `returned_amount` decimal(18,2) DEFAULT '0.00',
  `bill_no2` int(11) unsigned DEFAULT '0',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `adv_or_bill` varchar(1) DEFAULT 'B',
  `diagnosis` varchar(255) DEFAULT '-',
  `procedure_done` varchar(255) DEFAULT '-',
  `rpt_no_1` varchar(50) DEFAULT '-',
  `payment_dated_1` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_1` varchar(100) DEFAULT '-',
  `cheque_or_cash_1` varchar(50) DEFAULT '-',
  `cheque_no_1` varchar(50) DEFAULT '-',
  `now_paid_1` decimal(18,2) DEFAULT '0.00',
  `concession_given_1` decimal(18,2) DEFAULT '0.00',
  `concession_admin_1` decimal(18,2) DEFAULT '0.00',
  `concession_board_1` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_1` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_1` int(11) unsigned DEFAULT '0',
  `user_1` varchar(50) DEFAULT '-',
  `rpt_no_2` varchar(50) DEFAULT '-',
  `payment_dated_2` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_2` varchar(100) DEFAULT '-',
  `cheque_or_cash_2` varchar(50) DEFAULT '-',
  `cheque_no_2` varchar(50) DEFAULT '-',
  `now_paid_2` decimal(18,2) DEFAULT '0.00',
  `concession_given_2` decimal(18,2) DEFAULT '0.00',
  `concession_admin_2` decimal(18,2) DEFAULT '0.00',
  `concession_board_2` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_2` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_2` int(11) unsigned DEFAULT '0',
  `user_2` varchar(50) DEFAULT '-',
  `rpt_no_3` varchar(50) DEFAULT '-',
  `payment_dated_3` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_3` varchar(100) DEFAULT '-',
  `cheque_or_cash_3` varchar(50) DEFAULT '-',
  `cheque_no_3` varchar(50) DEFAULT '-',
  `now_paid_3` decimal(18,2) DEFAULT '0.00',
  `concession_given_3` decimal(18,2) DEFAULT '0.00',
  `concession_admin_3` decimal(18,2) DEFAULT '0.00',
  `concession_board_3` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_3` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_3` int(11) unsigned DEFAULT '0',
  `user_3` varchar(50) DEFAULT '-',
  `rpt_no_4` varchar(50) DEFAULT '-',
  `payment_dated_4` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_4` varchar(100) DEFAULT '-',
  `cheque_or_cash_4` varchar(50) DEFAULT '-',
  `cheque_no_4` varchar(50) DEFAULT '-',
  `now_paid_4` decimal(18,2) DEFAULT '0.00',
  `concession_given_4` decimal(18,2) DEFAULT '0.00',
  `concession_admin_4` decimal(18,2) DEFAULT '0.00',
  `concession_board_4` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_4` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_4` int(11) unsigned DEFAULT '0',
  `user_4` varchar(50) DEFAULT '-',
  `rpt_no_5` varchar(50) DEFAULT '-',
  `payment_dated_5` datetime DEFAULT '2001-01-01 00:00:00',
  `agency_5` varchar(100) DEFAULT '-',
  `cheque_or_cash_5` varchar(50) DEFAULT '-',
  `cheque_no_5` varchar(50) DEFAULT '-',
  `now_paid_5` decimal(18,2) DEFAULT '0.00',
  `concession_given_5` decimal(18,2) DEFAULT '0.00',
  `concession_admin_5` decimal(18,2) DEFAULT '0.00',
  `concession_board_5` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills_5` int(11) unsigned DEFAULT '0',
  `rpt_no_for_cash_bills_5` int(11) unsigned DEFAULT '0',
  `user_5` varchar(50) DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  `ip_no` varchar(50) DEFAULT '-',
  PRIMARY KEY (`bill_no`,`book_name`) USING BTREE,
  KEY `FK_op_bills_11header_1` (`book_name`),
  KEY `customer_id1` (`customer_id`),
  KEY `date_of_billing1` (`date_of_billing`),
  KEY `adv_or_bill` (`adv_or_bill`),
  CONSTRAINT `FK_op_bills_11header_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_11header`
--

LOCK TABLES `op_bills_11header` WRITE;
/*!40000 ALTER TABLE `op_bills_11header` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_11header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_11x4bill_nos`
--

DROP TABLE IF EXISTS `op_bills_11x4bill_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_11x4bill_nos` (
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0',
  `book_name` varchar(50) NOT NULL DEFAULT '-',
  `bill_no2a` int(11) unsigned NOT NULL DEFAULT '0',
  `bill_no2b` int(11) unsigned NOT NULL DEFAULT '0',
  `insert_id` varchar(50) NOT NULL DEFAULT '-',
  `max_datea` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `max_dateb` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  PRIMARY KEY (`bill_no`,`book_name`) USING BTREE,
  KEY `Index_2` (`book_name`,`insert_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_11x4bill_nos`
--

LOCK TABLES `op_bills_11x4bill_nos` WRITE;
/*!40000 ALTER TABLE `op_bills_11x4bill_nos` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_11x4bill_nos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_12items`
--

DROP TABLE IF EXISTS `op_bills_12items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_12items` (
  `bill_no` int(11) NOT NULL DEFAULT '1',
  `book_name` varchar(10) CHARACTER SET latin1 NOT NULL DEFAULT '8',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `particulars` varchar(100) DEFAULT NULL,
  `rated` decimal(18,2) DEFAULT '0.00',
  `qnty` decimal(18,2) DEFAULT '0.00',
  `amount` decimal(18,2) DEFAULT '0.00',
  `dated` datetime DEFAULT NULL,
  `one_or_two` float DEFAULT '1',
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `department` varchar(50) DEFAULT 'General',
  `user_id` varchar(5) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT '-',
  `printed` varchar(50) DEFAULT 'n',
  `marked_2` varchar(1) DEFAULT 'n',
  `received_amount` decimal(18,2) DEFAULT '0.00',
  `concession_given` decimal(18,2) DEFAULT '0.00',
  `concession_percentage` decimal(18,2) DEFAULT '0.00',
  `cuts_amount` decimal(18,2) DEFAULT '0.00',
  `cuts_percent` decimal(18,2) DEFAULT '0.00',
  `final_cuts_amount` decimal(18,2) DEFAULT '0.00',
  `final_cuts_percentage` decimal(18,2) DEFAULT '0.00',
  `started_by` varchar(10) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `completed_by` varchar(10) DEFAULT NULL,
  `completed_time` datetime DEFAULT NULL,
  `station` varchar(50) DEFAULT NULL,
  `go_by_admin` varchar(10) DEFAULT NULL,
  `accepted_by` varchar(10) DEFAULT NULL,
  `accepted_time` datetime DEFAULT NULL,
  `name_of_list` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `basic_point_id` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `branch_name` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `go_by_time` datetime DEFAULT '2001-01-01 00:00:00',
  `subheading` varchar(100) CHARACTER SET latin1 DEFAULT '-',
  `returned_amount` decimal(18,2) DEFAULT '0.00',
  `adj_bill_no` int(11) DEFAULT '0',
  `adj_sl_no` int(11) DEFAULT '0',
  `collected` varchar(10) DEFAULT 'n',
  `concession_given2` decimal(18,2) DEFAULT '0.00',
  `concession_percentage2` decimal(18,2) DEFAULT '0.00',
  `category` varchar(50) DEFAULT '-',
  `method1` varchar(50) DEFAULT '-',
  `name_of_class` varchar(50) DEFAULT '-',
  `full_name` varchar(50) DEFAULT '-',
  `ref_place` varchar(100) DEFAULT '-',
  `ref_investor` varchar(100) DEFAULT '-',
  `refused_cuts` decimal(18,2) DEFAULT '0.00',
  `not_found_cuts` decimal(18,2) DEFAULT '0.00',
  `transfered_cuts` decimal(18,2) DEFAULT '0.00',
  `cuts_processing` varchar(255) DEFAULT '-',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `original_rate` decimal(18,2) DEFAULT '0.00',
  `md_sl_no` int(11) unsigned DEFAULT '0',
  `study_no` varchar(20) DEFAULT '0',
  `item_notes` varchar(255) DEFAULT '-',
  `item_date` datetime DEFAULT '2001-01-01 00:00:00',
  `extra_id` varchar(250) DEFAULT '-',
  `pharma_sl_no_of_stocks_voucher` int(11) unsigned DEFAULT '0',
  `pharma_book_name` varchar(10) DEFAULT '-',
  `bill_date_dec` decimal(14,0) DEFAULT '0',
  `customer_id` varchar(50) DEFAULT '-',
  `customer_name` varchar(150) DEFAULT '-',
  `status` varchar(50) DEFAULT '-',
  `op_bills_11header_paid_amount` decimal(18,2) DEFAULT '0.00',
  `op_bills_11header_concession_amount` decimal(18,2) DEFAULT '0.00',
  `op_bills_11header_total_amount` decimal(18,2) DEFAULT '0.00',
  `diagnosis` varchar(255) DEFAULT '-',
  `procedure_done` varchar(255) DEFAULT '-',
  `op_bills_11header_returned_amount` decimal(18,2) DEFAULT '0.00',
  `op_bills_11header_concession_admin` decimal(18,2) DEFAULT '0.00',
  `op_bills_11header_concession_board` decimal(18,2) DEFAULT '0.00',
  `op_bills_11header_adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `adv_or_bill` varchar(1) DEFAULT '-',
  `bill_no2` int(11) DEFAULT '0',
  `consultant_header` varchar(150) DEFAULT '0',
  `agency` varchar(255) CHARACTER SET latin1 DEFAULT '-',
  `ref_tds` varchar(255) DEFAULT '-',
  `col01` varchar(255) DEFAULT '-',
  `col02` varchar(255) DEFAULT '-',
  `col03` varchar(255) DEFAULT '-',
  `col04` varchar(255) DEFAULT '-',
  `col05` varchar(255) DEFAULT '-',
  `col06` varchar(255) DEFAULT '-',
  `col07` varchar(255) DEFAULT '-',
  `col08` varchar(255) DEFAULT '-',
  `col09` varchar(255) DEFAULT '-',
  `col10` varchar(255) DEFAULT '-',
  `col11` varchar(255) DEFAULT '-',
  `col12` varchar(255) DEFAULT '-',
  `col13` varchar(255) DEFAULT '-',
  `col14` varchar(255) DEFAULT '-',
  `col15` varchar(255) DEFAULT '-',
  `col16` varchar(255) DEFAULT '-',
  `col17` varchar(255) DEFAULT '-',
  `col18` varchar(255) DEFAULT '-',
  `col19` varchar(255) DEFAULT '-',
  `col20` varchar(255) DEFAULT '-',
  `col21` varchar(255) DEFAULT '-',
  `col22` varchar(255) DEFAULT '-',
  `col23` varchar(255) DEFAULT '-',
  `col24` varchar(255) DEFAULT '-',
  `col25` varchar(255) DEFAULT '-',
  `col26` varchar(255) DEFAULT '-',
  `col27` varchar(255) DEFAULT '-',
  `col28` varchar(255) DEFAULT '-',
  `col29` varchar(255) DEFAULT '-',
  `col30` varchar(255) DEFAULT '-',
  `dummy_dec1` decimal(18,2) DEFAULT '0.00',
  `dummy_dec2` decimal(18,2) DEFAULT '0.00',
  `dummy_dec3` decimal(18,2) DEFAULT '0.00',
  `ip_no` varchar(50) DEFAULT '-',
  `adj_in_billing` varchar(50) DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  `spec_report_at` varchar(50) DEFAULT '-',
  `con_fees` decimal(18,2) DEFAULT '0.00',
  `particulars_old` varchar(100) DEFAULT '-',
  `base_rate` decimal(18,2) DEFAULT '0.00',
  PRIMARY KEY (`bill_no`,`book_name`,`sl_no`) USING BTREE,
  KEY `Index_2` (`item_date`),
  KEY `Index_bill_no` (`book_name`,`bill_no`) USING BTREE,
  KEY `Index_bill_date_dec` (`book_name`,`bill_date_dec`) USING BTREE,
  CONSTRAINT `FK_op_bills_12items_3` FOREIGN KEY (`bill_no`, `book_name`) REFERENCES `op_bills_11header` (`bill_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_12items`
--

LOCK TABLES `op_bills_12items` WRITE;
/*!40000 ALTER TABLE `op_bills_12items` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_12items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_14payments`
--

DROP TABLE IF EXISTS `op_bills_14payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_14payments` (
  `bill_no` int(11) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  `rpt_no` varchar(50) NOT NULL,
  `payment_dated` datetime DEFAULT NULL,
  `particulars1` varchar(255) DEFAULT NULL,
  `particulars2` varchar(255) DEFAULT NULL,
  `particulars3` varchar(255) DEFAULT NULL,
  `bill_total_now` decimal(18,2) DEFAULT NULL,
  `paid_till_now` decimal(18,2) DEFAULT NULL,
  `concession_till_now` decimal(18,2) DEFAULT NULL,
  `now_paid` decimal(18,2) DEFAULT NULL,
  `concession_given` decimal(18,2) DEFAULT NULL,
  `concession_by` varchar(10) DEFAULT NULL,
  `accepted_by` varchar(10) DEFAULT NULL,
  `printed_by` varchar(10) DEFAULT NULL,
  `printed_time` datetime DEFAULT NULL,
  `agency` varchar(100) DEFAULT NULL,
  `cheque_or_cash` varchar(50) DEFAULT NULL,
  `cheque_date` datetime DEFAULT NULL,
  `cheque_bank` varchar(50) DEFAULT NULL,
  `cheque_branch` varchar(50) DEFAULT NULL,
  `realised_date` datetime DEFAULT NULL,
  `cheque_no` varchar(50) DEFAULT NULL,
  `concession_on_what_grounds` varchar(255) DEFAULT '-',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `concession_board_by` varchar(10) DEFAULT '-',
  `concession_board_on_what_grounds` varchar(255) DEFAULT '-',
  `concession_admin` decimal(18,2) DEFAULT '0.00',
  `concession_admin_by` varchar(10) DEFAULT '-',
  `concession_admin_on_what_grounds` varchar(225) DEFAULT '-',
  `concession_board_till_now` decimal(18,2) DEFAULT '0.00',
  `concession_admin_till_now` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills` int(11) DEFAULT '0',
  `rpt_no_for_cash_bills` int(11) DEFAULT '0',
  `un_printed` varchar(250) DEFAULT '-',
  PRIMARY KEY (`bill_no`,`book_name`,`rpt_no`),
  CONSTRAINT `FK_op_bills_14payments_1` FOREIGN KEY (`bill_no`, `book_name`) REFERENCES `op_bills_11header` (`bill_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_14payments`
--

LOCK TABLES `op_bills_14payments` WRITE;
/*!40000 ALTER TABLE `op_bills_14payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_14payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_14xmax_rcpt_nos`
--

DROP TABLE IF EXISTS `op_bills_14xmax_rcpt_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_14xmax_rcpt_nos` (
  `book_name` varchar(10) NOT NULL,
  `rpt_no_for_cash_bills` int(11) NOT NULL,
  `rpt_no_for_credit_bills` int(11) NOT NULL,
  `insert_id` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`book_name`,`rpt_no_for_cash_bills`,`rpt_no_for_credit_bills`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_14xmax_rcpt_nos`
--

LOCK TABLES `op_bills_14xmax_rcpt_nos` WRITE;
/*!40000 ALTER TABLE `op_bills_14xmax_rcpt_nos` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_14xmax_rcpt_nos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_bills_15bill_nos_daywise`
--

DROP TABLE IF EXISTS `op_bills_15bill_nos_daywise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_bills_15bill_nos_daywise` (
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '-',
  `date_of_billing_as_number` int(8) unsigned NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '8' COMMENT '-',
  PRIMARY KEY (`date_of_billing_as_number`,`book_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_bills_15bill_nos_daywise`
--

LOCK TABLES `op_bills_15bill_nos_daywise` WRITE;
/*!40000 ALTER TABLE `op_bills_15bill_nos_daywise` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_bills_15bill_nos_daywise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `op_ip_work_list`
--

DROP TABLE IF EXISTS `op_ip_work_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `op_ip_work_list` (
  `dated_1` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `customer_id` varchar(50) NOT NULL DEFAULT '-',
  `op_or_ip` varchar(2) NOT NULL DEFAULT 'op',
  `bill_point_id` varchar(10) NOT NULL DEFAULT '1',
  `bill_no` int(11) NOT NULL DEFAULT '0',
  `sl_no` int(11) NOT NULL DEFAULT '0',
  `work_sl_no` int(11) NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '8',
  `bill_particulars` varchar(100) NOT NULL DEFAULT '-',
  `service_particulars` varchar(100) NOT NULL DEFAULT '-',
  `service_point_id` varchar(10) NOT NULL DEFAULT '-',
  `accepted_by` varchar(10) NOT NULL DEFAULT '-',
  `accepted_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `completed_by` varchar(10) NOT NULL DEFAULT '-',
  `completed_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `printed_by` varchar(10) NOT NULL DEFAULT '-',
  `printed_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `issued_by` varchar(10) NOT NULL DEFAULT '-',
  `issued_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `printed_last_by` varchar(10) NOT NULL DEFAULT '-',
  `printed_last_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  PRIMARY KEY (`bill_no`,`sl_no`,`work_sl_no`,`op_or_ip`,`bill_point_id`,`book_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `op_ip_work_list`
--

LOCK TABLES `op_ip_work_list` WRITE;
/*!40000 ALTER TABLE `op_ip_work_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `op_ip_work_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opd_opened`
--

DROP TABLE IF EXISTS `opd_opened`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `opd_opened` (
  `user_id` varchar(10) NOT NULL,
  `customer_id` varchar(50) NOT NULL,
  `dated` datetime NOT NULL,
  `sl_no` int(10) DEFAULT NULL,
  PRIMARY KEY (`user_id`,`customer_id`,`dated`),
  KEY `customer_id` (`customer_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opd_opened`
--

LOCK TABLES `opd_opened` WRITE;
/*!40000 ALTER TABLE `opd_opened` DISABLE KEYS */;
/*!40000 ALTER TABLE `opd_opened` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opd_receipt_header`
--

DROP TABLE IF EXISTS `opd_receipt_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `opd_receipt_header` (
  `rpt_no` int(10) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `supervisor_id` varchar(5) DEFAULT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `customer_name` varchar(150) DEFAULT NULL,
  `date_of_billing` datetime DEFAULT NULL,
  `date_of_payment` datetime DEFAULT NULL,
  `date_of_finalisation` datetime DEFAULT NULL,
  `consultant` varchar(150) DEFAULT NULL,
  `ref_by` varchar(150) DEFAULT NULL,
  `paid_amount` decimal(18,2) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT NULL,
  `card_etc` varchar(150) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `locker_id` varchar(5) DEFAULT NULL,
  `total_amount` decimal(18,2) DEFAULT NULL,
  PRIMARY KEY (`rpt_no`,`book_name`),
  KEY `acc_booksopd_receipt_header` (`book_name`),
  KEY `customer_id` (`customer_id`),
  KEY `locker_id` (`locker_id`),
  KEY `supervisor_id` (`supervisor_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_opd_receipt_header_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opd_receipt_header`
--

LOCK TABLES `opd_receipt_header` WRITE;
/*!40000 ALTER TABLE `opd_receipt_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `opd_receipt_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opd_receipt_items`
--

DROP TABLE IF EXISTS `opd_receipt_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `opd_receipt_items` (
  `sl_no` smallint(5) NOT NULL,
  `rpt_no` int(10) NOT NULL,
  `particulars` varchar(100) DEFAULT NULL,
  `rated` decimal(18,2) DEFAULT NULL,
  `qnty` decimal(18,2) DEFAULT NULL,
  `amount` decimal(18,2) DEFAULT NULL,
  `dated` datetime DEFAULT NULL,
  `one_or_two` double(7,2) DEFAULT NULL,
  `ref_by` varchar(50) DEFAULT NULL,
  `consultant` varchar(50) DEFAULT NULL,
  `book_name` varchar(10) NOT NULL,
  `department` varchar(50) DEFAULT NULL,
  `user_id` varchar(5) DEFAULT NULL,
  `account_of` varchar(150) DEFAULT NULL,
  `printed` varchar(50) DEFAULT NULL,
  `marked_2` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`sl_no`,`rpt_no`,`book_name`),
  KEY `acc_booksopd_receipt_items` (`book_name`),
  KEY `all_bills_itemsrpt_no` (`rpt_no`),
  KEY `opd_receipt_headeropd_receipt_i` (`rpt_no`,`book_name`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_opd_receipt_items_1` FOREIGN KEY (`rpt_no`, `book_name`) REFERENCES `opd_receipt_header` (`rpt_no`, `book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opd_receipt_items`
--

LOCK TABLES `opd_receipt_items` WRITE;
/*!40000 ALTER TABLE `opd_receipt_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `opd_receipt_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opd_receipts_accounts_list`
--

DROP TABLE IF EXISTS `opd_receipts_accounts_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `opd_receipts_accounts_list` (
  `account_of` varchar(100) NOT NULL,
  `book_name` varchar(10) NOT NULL,
  PRIMARY KEY (`account_of`,`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opd_receipts_accounts_list`
--

LOCK TABLES `opd_receipts_accounts_list` WRITE;
/*!40000 ALTER TABLE `opd_receipts_accounts_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `opd_receipts_accounts_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pbcatcol`
--

DROP TABLE IF EXISTS `pbcatcol`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pbcatcol` (
  `pbc_tnam` char(193) NOT NULL,
  `pbc_tid` int(11) DEFAULT NULL,
  `pbc_ownr` char(193) NOT NULL,
  `pbc_cnam` char(193) NOT NULL,
  `pbc_cid` smallint(6) DEFAULT NULL,
  `pbc_labl` varchar(254) DEFAULT NULL,
  `pbc_lpos` smallint(6) DEFAULT NULL,
  `pbc_hdr` varchar(254) DEFAULT NULL,
  `pbc_hpos` smallint(6) DEFAULT NULL,
  `pbc_jtfy` smallint(6) DEFAULT NULL,
  `pbc_mask` varchar(31) DEFAULT NULL,
  `pbc_case` smallint(6) DEFAULT NULL,
  `pbc_hght` smallint(6) DEFAULT NULL,
  `pbc_wdth` smallint(6) DEFAULT NULL,
  `pbc_ptrn` varchar(31) DEFAULT NULL,
  `pbc_bmap` char(1) DEFAULT NULL,
  `pbc_init` varchar(254) DEFAULT NULL,
  `pbc_cmnt` varchar(254) DEFAULT NULL,
  `pbc_edit` varchar(31) DEFAULT NULL,
  `pbc_tag` varchar(254) DEFAULT NULL,
  UNIQUE KEY `pbcatc_x` (`pbc_tnam`,`pbc_ownr`,`pbc_cnam`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pbcatcol`
--

LOCK TABLES `pbcatcol` WRITE;
/*!40000 ALTER TABLE `pbcatcol` DISABLE KEYS */;
/*!40000 ALTER TABLE `pbcatcol` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pbcatedt`
--

DROP TABLE IF EXISTS `pbcatedt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pbcatedt` (
  `pbe_name` varchar(30) NOT NULL,
  `pbe_edit` varchar(254) DEFAULT NULL,
  `pbe_type` smallint(6) DEFAULT NULL,
  `pbe_cntr` int(11) DEFAULT NULL,
  `pbe_seqn` smallint(6) NOT NULL,
  `pbe_flag` int(11) DEFAULT NULL,
  `pbe_work` char(32) DEFAULT NULL,
  UNIQUE KEY `pbcate_x` (`pbe_name`,`pbe_seqn`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pbcatedt`
--

LOCK TABLES `pbcatedt` WRITE;
/*!40000 ALTER TABLE `pbcatedt` DISABLE KEYS */;
/*!40000 ALTER TABLE `pbcatedt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pbcatfmt`
--

DROP TABLE IF EXISTS `pbcatfmt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pbcatfmt` (
  `pbf_name` varchar(30) NOT NULL,
  `pbf_frmt` varchar(254) DEFAULT NULL,
  `pbf_type` smallint(6) DEFAULT NULL,
  `pbf_cntr` int(11) DEFAULT NULL,
  UNIQUE KEY `pbcatf_x` (`pbf_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pbcatfmt`
--

LOCK TABLES `pbcatfmt` WRITE;
/*!40000 ALTER TABLE `pbcatfmt` DISABLE KEYS */;
/*!40000 ALTER TABLE `pbcatfmt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pbcattbl`
--

DROP TABLE IF EXISTS `pbcattbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pbcattbl` (
  `pbt_tnam` char(193) NOT NULL,
  `pbt_tid` int(11) DEFAULT NULL,
  `pbt_ownr` char(193) NOT NULL,
  `pbd_fhgt` smallint(6) DEFAULT NULL,
  `pbd_fwgt` smallint(6) DEFAULT NULL,
  `pbd_fitl` char(1) DEFAULT NULL,
  `pbd_funl` char(1) DEFAULT NULL,
  `pbd_fchr` smallint(6) DEFAULT NULL,
  `pbd_fptc` smallint(6) DEFAULT NULL,
  `pbd_ffce` char(18) DEFAULT NULL,
  `pbh_fhgt` smallint(6) DEFAULT NULL,
  `pbh_fwgt` smallint(6) DEFAULT NULL,
  `pbh_fitl` char(1) DEFAULT NULL,
  `pbh_funl` char(1) DEFAULT NULL,
  `pbh_fchr` smallint(6) DEFAULT NULL,
  `pbh_fptc` smallint(6) DEFAULT NULL,
  `pbh_ffce` char(18) DEFAULT NULL,
  `pbl_fhgt` smallint(6) DEFAULT NULL,
  `pbl_fwgt` smallint(6) DEFAULT NULL,
  `pbl_fitl` char(1) DEFAULT NULL,
  `pbl_funl` char(1) DEFAULT NULL,
  `pbl_fchr` smallint(6) DEFAULT NULL,
  `pbl_fptc` smallint(6) DEFAULT NULL,
  `pbl_ffce` char(18) DEFAULT NULL,
  `pbt_cmnt` varchar(254) DEFAULT NULL,
  UNIQUE KEY `pbcatt_x` (`pbt_tnam`,`pbt_ownr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pbcattbl`
--

LOCK TABLES `pbcattbl` WRITE;
/*!40000 ALTER TABLE `pbcattbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `pbcattbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pbcatvld`
--

DROP TABLE IF EXISTS `pbcatvld`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pbcatvld` (
  `pbv_name` varchar(30) NOT NULL,
  `pbv_vald` varchar(254) DEFAULT NULL,
  `pbv_type` smallint(6) DEFAULT NULL,
  `pbv_cntr` int(11) DEFAULT NULL,
  `pbv_msg` varchar(254) DEFAULT NULL,
  UNIQUE KEY `pbcatv_x` (`pbv_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pbcatvld`
--

LOCK TABLES `pbcatvld` WRITE;
/*!40000 ALTER TABLE `pbcatvld` DISABLE KEYS */;
/*!40000 ALTER TABLE `pbcatvld` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pdf_files_for_print`
--

DROP TABLE IF EXISTS `pdf_files_for_print`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pdf_files_for_print` (
  `pdf_file_name` varchar(255) NOT NULL DEFAULT '-',
  `pdf_file_id` varchar(255) NOT NULL DEFAULT '-',
  `waiter_user` varchar(50) NOT NULL DEFAULT '-',
  `waiter_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `waiter_computer_ip` varchar(255) DEFAULT '-',
  `janitor_user` varchar(50) DEFAULT '-',
  `janitor_computer_name` varchar(255) DEFAULT '-',
  `janitor_computer_ip` varchar(255) DEFAULT '-',
  `janitor_printer` varchar(255) DEFAULT '-',
  `waiter_time` datetime DEFAULT '2001-01-01 00:00:00',
  `janitor_time` datetime DEFAULT '2001-01-01 00:00:00',
  `janitor_comment` varchar(255) DEFAULT '-',
  `janitor_sent_back` varchar(10) DEFAULT '-',
  `pdf_file_blob` longblob,
  `waiter_filter` varchar(255) DEFAULT '-',
  `waiter_pdf_folder` varchar(255) DEFAULT '-',
  `blob_updated` varchar(10) DEFAULT '-',
  PRIMARY KEY (`pdf_file_name`,`pdf_file_id`,`waiter_user`,`waiter_computer_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pdf_files_for_print`
--

LOCK TABLES `pdf_files_for_print` WRITE;
/*!40000 ALTER TABLE `pdf_files_for_print` DISABLE KEYS */;
/*!40000 ALTER TABLE `pdf_files_for_print` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pdf_janitor_options`
--

DROP TABLE IF EXISTS `pdf_janitor_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pdf_janitor_options` (
  `janitor_user` varchar(50) NOT NULL DEFAULT '-',
  `janitor_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `janitor_computer_user_name` varchar(45) NOT NULL DEFAULT '-',
  `janitor_computer_ip` varchar(255) DEFAULT '-',
  `janitor_timer` int(11) DEFAULT '0',
  `janitor_exe_file` varchar(255) DEFAULT '-',
  `janitor_frame` varchar(255) DEFAULT '-',
  `admin_permission` varchar(255) DEFAULT '-',
  `log_in_id` varchar(255) DEFAULT '-',
  `log_in_date_time` datetime DEFAULT NULL,
  PRIMARY KEY (`janitor_user`,`janitor_computer_name`,`janitor_computer_user_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='for storing of timer value';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pdf_janitor_options`
--

LOCK TABLES `pdf_janitor_options` WRITE;
/*!40000 ALTER TABLE `pdf_janitor_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `pdf_janitor_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pdf_janitor_printers`
--

DROP TABLE IF EXISTS `pdf_janitor_printers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pdf_janitor_printers` (
  `janitor_user` varchar(50) NOT NULL DEFAULT '-',
  `janitor_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `janitor_printer` varchar(255) NOT NULL DEFAULT '-',
  `janitor_computer_ip` varchar(255) DEFAULT '-',
  `janitor_printer_driver` varchar(255) DEFAULT '-',
  `janitor_printer_port` varchar(255) DEFAULT '-',
  `janitor_printer_block` varchar(10) DEFAULT 'n',
  `janitor_default_printer` varchar(10) DEFAULT 'n',
  PRIMARY KEY (`janitor_user`,`janitor_computer_name`,`janitor_printer`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='for storing of timer value';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pdf_janitor_printers`
--

LOCK TABLES `pdf_janitor_printers` WRITE;
/*!40000 ALTER TABLE `pdf_janitor_printers` DISABLE KEYS */;
/*!40000 ALTER TABLE `pdf_janitor_printers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pdf_waiter_filters`
--

DROP TABLE IF EXISTS `pdf_waiter_filters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pdf_waiter_filters` (
  `waiter_filter` varchar(255) NOT NULL DEFAULT '*',
  `waiter_user` varchar(50) NOT NULL DEFAULT '-',
  `waiter_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `waiter_computer_ip` varchar(255) DEFAULT '-',
  `janitor_user` varchar(50) DEFAULT '-',
  `janitor_computer_name` varchar(255) DEFAULT '-',
  `janitor_computer_ip` varchar(255) DEFAULT '-',
  `janitor_printer` varchar(255) DEFAULT '-',
  `waiter_filter_status` varchar(10) DEFAULT '-',
  PRIMARY KEY (`waiter_filter`,`waiter_user`,`waiter_computer_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pdf_waiter_filters`
--

LOCK TABLES `pdf_waiter_filters` WRITE;
/*!40000 ALTER TABLE `pdf_waiter_filters` DISABLE KEYS */;
/*!40000 ALTER TABLE `pdf_waiter_filters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pdf_waiter_options`
--

DROP TABLE IF EXISTS `pdf_waiter_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pdf_waiter_options` (
  `waiter_user` varchar(50) NOT NULL DEFAULT '-',
  `waiter_computer_name` varchar(255) NOT NULL DEFAULT '-',
  `waiter_computer_user_name` varchar(255) NOT NULL DEFAULT '-',
  `waiter_computer_ip` varchar(255) DEFAULT '-',
  `waiter_timer` int(11) DEFAULT '0',
  `waiter_pdf_printer` varchar(255) DEFAULT '-',
  `waiter_pdf_printer_driver` varchar(255) DEFAULT '-',
  `waiter_pdf_printer_port` varchar(255) DEFAULT '-',
  `waiter_pdf_folder` varchar(255) DEFAULT '-',
  `waiter_frame` varchar(255) DEFAULT '-',
  `log_in_id` varchar(255) DEFAULT '-',
  `log_in_date_time` datetime DEFAULT NULL,
  `admin_permission` varchar(255) DEFAULT '-',
  PRIMARY KEY (`waiter_user`,`waiter_computer_name`,`waiter_computer_user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='for storing of timer value';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pdf_waiter_options`
--

LOCK TABLES `pdf_waiter_options` WRITE;
/*!40000 ALTER TABLE `pdf_waiter_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `pdf_waiter_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferences`
--

DROP TABLE IF EXISTS `preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preferences` (
  `purpose` varchar(150) NOT NULL,
  `preference` varchar(200) NOT NULL,
  `category` int(11) NOT NULL,
  `description` varchar(200) NOT NULL,
  PRIMARY KEY (`purpose`,`preference`,`category`,`description`),
  UNIQUE KEY `purpose` (`purpose`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preferences`
--

LOCK TABLES `preferences` WRITE;
/*!40000 ALTER TABLE `preferences` DISABLE KEYS */;
/*!40000 ALTER TABLE `preferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferences2`
--

DROP TABLE IF EXISTS `preferences2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preferences2` (
  `purpose` varchar(150) DEFAULT NULL,
  `preference` varchar(200) DEFAULT NULL,
  `category` int(11) DEFAULT NULL,
  UNIQUE KEY `purpose` (`purpose`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preferences2`
--

LOCK TABLES `preferences2` WRITE;
/*!40000 ALTER TABLE `preferences2` DISABLE KEYS */;
/*!40000 ALTER TABLE `preferences2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quote_of_the_day`
--

DROP TABLE IF EXISTS `quote_of_the_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quote_of_the_day` (
  `pk` int(11) NOT NULL DEFAULT '0',
  `sl_no` int(11) DEFAULT '0',
  `quote_of_the_day` text,
  `x_1` int(11) DEFAULT '0',
  `y_1` int(11) DEFAULT '0',
  `width_1` int(11) DEFAULT '0',
  `height_1` int(11) DEFAULT '0',
  `font_name` varchar(255) DEFAULT NULL,
  `font_height` int(11) DEFAULT '0',
  `dated` datetime DEFAULT NULL,
  `last_modified_by` varchar(15) DEFAULT NULL,
  `added_by` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quote_of_the_day`
--

LOCK TABLES `quote_of_the_day` WRITE;
/*!40000 ALTER TABLE `quote_of_the_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `quote_of_the_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ram77`
--

DROP TABLE IF EXISTS `ram77`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ram77` (
  `pk` decimal(19,4) DEFAULT NULL,
  `nm` varchar(200) DEFAULT NULL,
  `sp` varchar(200) DEFAULT NULL,
  `ph` varchar(200) DEFAULT NULL,
  `ad` varchar(200) DEFAULT NULL,
  `dnm` varchar(200) DEFAULT NULL,
  `dg` varchar(200) DEFAULT NULL,
  `timings` varchar(200) DEFAULT NULL,
  `holiday` varchar(200) DEFAULT NULL,
  `fc1` varchar(200) DEFAULT NULL,
  `fc2` varchar(200) DEFAULT NULL,
  `fc3` varchar(200) DEFAULT NULL,
  `fc4` varchar(200) DEFAULT NULL,
  `fc5` varchar(200) DEFAULT NULL,
  `fc6` varchar(200) DEFAULT NULL,
  `fc7` varchar(200) DEFAULT NULL,
  `fc8` varchar(200) DEFAULT NULL,
  `fc9` varchar(200) DEFAULT NULL,
  `fc10` varchar(200) DEFAULT NULL,
  `fc11` varchar(200) DEFAULT NULL,
  `fc12` varchar(200) DEFAULT NULL,
  `fc13` varchar(200) DEFAULT NULL,
  `fc14` varchar(200) DEFAULT NULL,
  `fc15` varchar(200) DEFAULT NULL,
  `fc16` varchar(200) DEFAULT NULL,
  `fc17` varchar(200) DEFAULT NULL,
  `fc18` varchar(200) DEFAULT NULL,
  `fc19` varchar(200) DEFAULT NULL,
  `fc20` varchar(200) DEFAULT NULL,
  UNIQUE KEY `pk` (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ram77`
--

LOCK TABLES `ram77` WRITE;
/*!40000 ALTER TABLE `ram77` DISABLE KEYS */;
/*!40000 ALTER TABLE `ram77` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_by_transactions`
--

DROP TABLE IF EXISTS `ref_by_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ref_by_transactions` (
  `entry_no` int(11) NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '8',
  `entered_by_id` varchar(10) DEFAULT NULL,
  `entered_by_full_name` varchar(150) DEFAULT NULL,
  `entry_date` datetime DEFAULT NULL,
  `ref_by` varchar(150) DEFAULT NULL,
  `ref_by_details` varchar(255) DEFAULT NULL,
  `descriptions` varchar(150) DEFAULT NULL,
  `from_acc_name` varchar(150) DEFAULT NULL,
  `amount_credited` decimal(18,2) DEFAULT '0.00',
  `amount_debited` decimal(18,2) DEFAULT '0.00',
  `to_acc_name` varchar(150) DEFAULT NULL,
  `amount_balance` decimal(18,2) DEFAULT '0.00',
  `from_date` datetime DEFAULT '2001-01-01 00:00:00',
  `to_date` datetime DEFAULT '2001-01-01 00:00:00',
  `no_of_tests` int(11) DEFAULT '0',
  `bill_amount` decimal(18,2) DEFAULT '0.00',
  `bill_received` decimal(18,2) DEFAULT '0.00',
  `bill_balance` decimal(18,2) DEFAULT '0.00',
  `bill_concessions` decimal(18,2) DEFAULT '0.00',
  `bill_tds` decimal(18,2) DEFAULT '0.00',
  `mode_1` varchar(10) DEFAULT 'op',
  `history1` varchar(255) DEFAULT '0,0',
  `stage` int(3) DEFAULT '0',
  `typed` varchar(5) DEFAULT 'pr',
  PRIMARY KEY (`entry_no`,`book_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_by_transactions`
--

LOCK TABLES `ref_by_transactions` WRITE;
/*!40000 ALTER TABLE `ref_by_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `ref_by_transactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_by_transfer_list`
--

DROP TABLE IF EXISTS `ref_by_transfer_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ref_by_transfer_list` (
  `ref_by` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '-',
  `transfer_to` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '-',
  `percentage` decimal(5,2) DEFAULT '0.00',
  `amount1` decimal(18,2) DEFAULT '0.00',
  PRIMARY KEY (`ref_by`,`transfer_to`),
  KEY `FK_ref_by_transfer_list_2` (`transfer_to`),
  CONSTRAINT `FK_ref_by_transfer_list_1` FOREIGN KEY (`ref_by`) REFERENCES `all_referred_by` (`ref_by`) ON UPDATE CASCADE,
  CONSTRAINT `FK_ref_by_transfer_list_2` FOREIGN KEY (`transfer_to`) REFERENCES `all_referred_by` (`ref_by`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_by_transfer_list`
--

LOCK TABLES `ref_by_transfer_list` WRITE;
/*!40000 ALTER TABLE `ref_by_transfer_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ref_by_transfer_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reminder`
--

DROP TABLE IF EXISTS `reminder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reminder` (
  `dd` int(11) NOT NULL,
  `mm` int(11) NOT NULL,
  `yyyy` int(11) NOT NULL,
  `hh` int(11) NOT NULL,
  `mn` int(11) NOT NULL,
  `particulars` varchar(100) DEFAULT NULL,
  `wave_file` text,
  `rptns` int(11) DEFAULT NULL,
  `dummy1` varchar(50) DEFAULT NULL,
  `user_name` varchar(5) NOT NULL DEFAULT 'RAMHM',
  PRIMARY KEY (`dd`,`mm`,`yyyy`,`hh`,`mn`,`user_name`),
  UNIQUE KEY `hh` (`hh`,`mn`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reminder`
--

LOCK TABLES `reminder` WRITE;
/*!40000 ALTER TABLE `reminder` DISABLE KEYS */;
/*!40000 ALTER TABLE `reminder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `remote_speak_01_login`
--

DROP TABLE IF EXISTS `remote_speak_01_login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `remote_speak_01_login` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `log_in` datetime DEFAULT '2001-01-01 00:00:00',
  `log_out` datetime DEFAULT '2001-01-01 00:00:00',
  `options1` varchar(255) DEFAULT '-',
  `options2` varchar(255) DEFAULT '-',
  PRIMARY KEY (`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `remote_speak_01_login`
--

LOCK TABLES `remote_speak_01_login` WRITE;
/*!40000 ALTER TABLE `remote_speak_01_login` DISABLE KEYS */;
/*!40000 ALTER TABLE `remote_speak_01_login` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `remote_speak_02_sub_users`
--

DROP TABLE IF EXISTS `remote_speak_02_sub_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `remote_speak_02_sub_users` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `sub_user_name` varchar(50) NOT NULL DEFAULT '-',
  `options1` varchar(255) DEFAULT '-',
  `options2` varchar(255) DEFAULT '-',
  `options3` varchar(255) DEFAULT '-',
  `message_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `express_multi` varchar(1) DEFAULT 'n',
  `options4` varchar(255) DEFAULT '-',
  `options5` varchar(255) DEFAULT '-',
  `repeat_message` int(11) DEFAULT '0',
  `repeat_file` int(10) DEFAULT '0',
  `which_one` varchar(1) DEFAULT '-',
  PRIMARY KEY (`user_name`,`sub_user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `remote_speak_02_sub_users`
--

LOCK TABLES `remote_speak_02_sub_users` WRITE;
/*!40000 ALTER TABLE `remote_speak_02_sub_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `remote_speak_02_sub_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `remote_speak_03_message_log`
--

DROP TABLE IF EXISTS `remote_speak_03_message_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `remote_speak_03_message_log` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `sub_user_name` varchar(50) NOT NULL DEFAULT '-',
  `options1` varchar(255) DEFAULT '-',
  `options2` varchar(255) DEFAULT '-',
  `options3` varchar(255) DEFAULT '-',
  `message_time` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `result1` varchar(100) DEFAULT '-',
  `options4` varchar(255) DEFAULT '-',
  `options5` varchar(255) DEFAULT '-',
  `repeat_message` int(11) DEFAULT '0',
  `repeat_file` int(11) DEFAULT '0',
  `which_one` varchar(1) DEFAULT '-',
  PRIMARY KEY (`user_name`,`sub_user_name`,`message_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `remote_speak_03_message_log`
--

LOCK TABLES `remote_speak_03_message_log` WRITE;
/*!40000 ALTER TABLE `remote_speak_03_message_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `remote_speak_03_message_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `remote_speak_04_my_message_list`
--

DROP TABLE IF EXISTS `remote_speak_04_my_message_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `remote_speak_04_my_message_list` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `options1` varchar(255) NOT NULL DEFAULT '-',
  `options2` varchar(255) DEFAULT '-',
  `options3` varchar(255) DEFAULT '-',
  `options4` varchar(255) DEFAULT '-',
  `options5` varchar(255) DEFAULT '-',
  `repeat_message` int(11) DEFAULT '1',
  `repeat_file` int(11) DEFAULT '1',
  `which_one` varchar(1) DEFAULT '-',
  PRIMARY KEY (`user_name`,`options1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `remote_speak_04_my_message_list`
--

LOCK TABLES `remote_speak_04_my_message_list` WRITE;
/*!40000 ALTER TABLE `remote_speak_04_my_message_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `remote_speak_04_my_message_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_categories`
--

DROP TABLE IF EXISTS `report_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_categories` (
  `category` varchar(50) NOT NULL,
  `headings` varchar(50) DEFAULT NULL,
  `branch` varchar(50) NOT NULL,
  PRIMARY KEY (`category`,`branch`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_categories`
--

LOCK TABLES `report_categories` WRITE;
/*!40000 ALTER TABLE `report_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_categories_signatures`
--

DROP TABLE IF EXISTS `report_categories_signatures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_categories_signatures` (
  `branch` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `column01` varchar(255) DEFAULT NULL,
  `column02` varchar(255) DEFAULT NULL,
  `column03` varchar(255) DEFAULT NULL,
  `column04` varchar(255) DEFAULT NULL,
  `column05` varchar(255) DEFAULT NULL,
  `column06` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`branch`,`category`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_categories_signatures`
--

LOCK TABLES `report_categories_signatures` WRITE;
/*!40000 ALTER TABLE `report_categories_signatures` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_categories_signatures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_egfr_settings`
--

DROP TABLE IF EXISTS `report_egfr_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_egfr_settings` (
  `formula_name` varchar(255) NOT NULL DEFAULT '-',
  `formula_sl_no` int(10) unsigned NOT NULL DEFAULT '0',
  `gender_test_name` varchar(255) DEFAULT '-',
  `gender_delete_after_calculation` varchar(1) DEFAULT '-',
  `race_test_name` varchar(255) DEFAULT '-',
  `race_delete_after_calculation` varchar(1) DEFAULT '-',
  `age_test_name` varchar(255) DEFAULT '-',
  `age_delete_after_calculation` varchar(1) DEFAULT '-',
  `weight_test_name` varchar(255) DEFAULT '-',
  `weight_unit` varchar(100) DEFAULT '-',
  `weight_delete_after_calculation` varchar(1) DEFAULT '-',
  `height_test_name` varchar(255) DEFAULT '-',
  `height_unit` varchar(100) DEFAULT '-',
  `height_delete_after_calculation` varchar(1) DEFAULT '-',
  `sr_creatinine_test_name` varchar(255) DEFAULT '-',
  `sr_creatinine_unit` varchar(100) DEFAULT '-',
  `cystatin_test_name` varchar(255) DEFAULT '-',
  `egfr_test_name` varchar(255) DEFAULT '-',
  `egfr_calculation_marker` varchar(100) DEFAULT '-',
  `normal_value_range` varchar(255) DEFAULT '-',
  `formula_expression` varchar(255) DEFAULT '-',
  `confirmed` varchar(1) DEFAULT '-',
  `gender_use` varchar(1) DEFAULT 'n',
  `race_use` varchar(1) DEFAULT 'n',
  `age_use` varchar(1) DEFAULT 'n',
  `weight_use` varchar(1) DEFAULT 'n',
  `height_use` varchar(1) DEFAULT 'n',
  `sr_creatinine_use` varchar(1) DEFAULT 'n',
  `cystatin_use` varchar(1) DEFAULT 'n',
  PRIMARY KEY (`formula_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_egfr_settings`
--

LOCK TABLES `report_egfr_settings` WRITE;
/*!40000 ALTER TABLE `report_egfr_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_egfr_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_objects_properties`
--

DROP TABLE IF EXISTS `report_objects_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_objects_properties` (
  `report_no` decimal(19,4) NOT NULL,
  `named` varchar(50) NOT NULL,
  `typed` varchar(20) NOT NULL,
  `border` varchar(1) DEFAULT NULL,
  `visible` varchar(1) DEFAULT NULL,
  `visible_changeable` varchar(1) DEFAULT NULL,
  `font_height` varchar(4) DEFAULT NULL,
  `font_height_max` varchar(4) DEFAULT NULL,
  `font_height_min` varchar(4) DEFAULT NULL,
  `x` varchar(8) DEFAULT NULL,
  `x_max` varchar(8) DEFAULT NULL,
  `x_min` varchar(8) DEFAULT NULL,
  `y` varchar(8) DEFAULT NULL,
  `y_max` varchar(8) DEFAULT NULL,
  `y_min` varchar(8) DEFAULT NULL,
  `width` varchar(8) DEFAULT NULL,
  `width_max` varchar(8) DEFAULT NULL,
  `width_min` varchar(8) DEFAULT NULL,
  `text_` text CHARACTER SET utf8,
  `text_changeable` varchar(100) DEFAULT NULL,
  `changed` varchar(2) DEFAULT NULL,
  `moveable` varchar(1) DEFAULT NULL,
  `moveable_changeable` varchar(1) DEFAULT NULL,
  `new_old` varchar(60) DEFAULT NULL,
  `back_ground_color` varchar(10) DEFAULT NULL,
  `back_ground_mode` varchar(2) DEFAULT NULL,
  `color` varchar(10) DEFAULT NULL,
  `datawindow_name` varchar(100) NOT NULL,
  `height` varchar(8) DEFAULT NULL,
  `height_min` varchar(8) DEFAULT NULL,
  `height_max` varchar(8) DEFAULT NULL,
  `band` varchar(100) DEFAULT NULL,
  `font_face` varchar(50) DEFAULT 'Arial',
  PRIMARY KEY (`report_no`,`named`,`typed`,`datawindow_name`),
  UNIQUE KEY `report_no` (`report_no`,`named`,`datawindow_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_objects_properties`
--

LOCK TABLES `report_objects_properties` WRITE;
/*!40000 ALTER TABLE `report_objects_properties` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_objects_properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_objects_special_formats`
--

DROP TABLE IF EXISTS `report_objects_special_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_objects_special_formats` (
  `line_format` varchar(2) NOT NULL DEFAULT '20',
  `fontface1` varchar(100) DEFAULT 'Arial',
  `fontheight1` varchar(4) DEFAULT '-12',
  `bold1` varchar(1) DEFAULT 'n',
  `underlined1` varchar(1) DEFAULT 'n',
  `strikethrough1` varchar(1) DEFAULT 'n',
  `border1` varchar(1) DEFAULT '0',
  `italics1` varchar(1) DEFAULT 'n',
  `module_name` varchar(425) NOT NULL DEFAULT 'Report Maker',
  `modified_last_by` varchar(10) DEFAULT '-',
  `dated` datetime DEFAULT '2001-01-01 00:00:00',
  PRIMARY KEY (`line_format`,`module_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_objects_special_formats`
--

LOCK TABLES `report_objects_special_formats` WRITE;
/*!40000 ALTER TABLE `report_objects_special_formats` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_objects_special_formats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_points`
--

DROP TABLE IF EXISTS `report_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_points` (
  `category` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `point` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `branch` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `normal1` varchar(150) CHARACTER SET latin1 DEFAULT NULL,
  `default1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `sl_no` smallint(5) DEFAULT NULL,
  `method1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `units1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `max1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `min1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `notes` varchar(250) CHARACTER SET latin1 DEFAULT NULL,
  `sample` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `point_id` varchar(10) CHARACTER SET latin1 NOT NULL,
  `chargeable` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `basic_cost` decimal(18,2) DEFAULT NULL,
  `rate` decimal(18,2) DEFAULT NULL,
  `rfees` decimal(18,0) DEFAULT NULL,
  `name_of_class` varchar(50) DEFAULT NULL,
  `station` varchar(50) DEFAULT NULL,
  `name_of_scheme` varchar(50) DEFAULT NULL,
  `name_in_local_language` varchar(255) DEFAULT NULL,
  `adj_in_billing` varchar(10) DEFAULT NULL,
  `subheading` varchar(100) CHARACTER SET latin1 DEFAULT '-',
  `show_in_list` varchar(1) CHARACTER SET latin1 DEFAULT '-',
  `link_with_days` varchar(1) CHARACTER SET latin1 DEFAULT '-',
  `division` varchar(2) CHARACTER SET latin1 DEFAULT 'op',
  `modified_last_by` varchar(10) CHARACTER SET latin1 DEFAULT '-',
  `single_item` varchar(1) CHARACTER SET latin1 DEFAULT 'n',
  `change_rfees` varchar(1) DEFAULT 'y',
  `ht_of_normal` int(11) unsigned DEFAULT '0',
  `ht_of_notes` int(11) unsigned DEFAULT '0',
  `master_pick_code` varchar(255) DEFAULT '-',
  `extra_id` varchar(250) DEFAULT '-',
  `con_fees` decimal(18,2) DEFAULT '0.00',
  PRIMARY KEY (`point_id`),
  KEY `point_id` (`point_id`),
  KEY `report_categoriesreport_points` (`category`,`branch`),
  KEY `report_pointscategory` (`category`),
  CONSTRAINT `FK_report_points_1` FOREIGN KEY (`category`, `branch`) REFERENCES `report_categories` (`category`, `branch`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_points`
--

LOCK TABLES `report_points` WRITE;
/*!40000 ALTER TABLE `report_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_points_extra`
--

DROP TABLE IF EXISTS `report_points_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_points_extra` (
  `point_id` varchar(50) NOT NULL DEFAULT '-',
  `purpose` varchar(50) NOT NULL DEFAULT '-',
  `value_saved` varchar(255) DEFAULT '-',
  `side_or_end` varchar(50) DEFAULT '-',
  `height1` decimal(18,3) DEFAULT '0.000',
  PRIMARY KEY (`point_id`,`purpose`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_points_extra`
--

LOCK TABLES `report_points_extra` WRITE;
/*!40000 ALTER TABLE `report_points_extra` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_points_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_reports`
--

DROP TABLE IF EXISTS `report_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_reports` (
  `customer_id` varchar(50) NOT NULL,
  `date1` datetime NOT NULL,
  `points` varchar(100) DEFAULT NULL,
  `sub_heading` varchar(50) DEFAULT NULL,
  `sl_no` smallint(5) NOT NULL,
  `branch_name` varchar(50) NOT NULL,
  `remarks` varchar(20) DEFAULT NULL,
  `method1` varchar(50) DEFAULT NULL,
  `category` varchar(50) DEFAULT NULL,
  `point_id` varchar(10) DEFAULT NULL,
  `modified_last_by` varchar(10) DEFAULT '-',
  `bill_no` int(11) unsigned DEFAULT '0',
  `book_name` varchar(10) DEFAULT '-',
  `division` varchar(2) DEFAULT 'op',
  `printed` varchar(50) DEFAULT '-',
  `referred_by` varchar(100) DEFAULT '-',
  `sms_booked` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`customer_id`,`date1`,`sl_no`,`branch_name`),
  KEY `{8A5416EB-F4DC-11DA-B464-0050BA` (`customer_id`),
  KEY `point_id` (`point_id`),
  KEY `pt_id` (`customer_id`),
  KEY `report_pointsreport_reports` (`point_id`),
  KEY `report_reportscategory` (`category`),
  KEY `bill_no1` (`bill_no`),
  KEY `division1` (`division`),
  CONSTRAINT `FK_report_reports_1` FOREIGN KEY (`point_id`) REFERENCES `report_points` (`point_id`),
  CONSTRAINT `FK_report_reports_2` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_reports`
--

LOCK TABLES `report_reports` WRITE;
/*!40000 ALTER TABLE `report_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_association`
--

DROP TABLE IF EXISTS `report_specialty_association`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_association` (
  `particulars` varchar(255) NOT NULL,
  `template_id` varchar(50) NOT NULL,
  `division` varchar(50) NOT NULL,
  `last_modified` varchar(5) DEFAULT NULL,
  `last_modified_details` datetime DEFAULT NULL,
  PRIMARY KEY (`particulars`,`template_id`,`division`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_association`
--

LOCK TABLES `report_specialty_association` WRITE;
/*!40000 ALTER TABLE `report_specialty_association` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_categories`
--

DROP TABLE IF EXISTS `report_specialty_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_categories` (
  `branch` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `headings` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`branch`,`category`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_categories`
--

LOCK TABLES `report_specialty_categories` WRITE;
/*!40000 ALTER TABLE `report_specialty_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_points`
--

DROP TABLE IF EXISTS `report_specialty_points`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_points` (
  `category` varchar(50) NOT NULL,
  `point` varchar(255) NOT NULL,
  `branch` varchar(50) NOT NULL,
  `normal1` varchar(150) DEFAULT '.',
  `default1` varchar(50) DEFAULT '.',
  `sl_no` int(11) DEFAULT '0',
  `method1` varchar(50) DEFAULT '''-''',
  `units1` varchar(50) DEFAULT '''-''',
  `max1` varchar(50) DEFAULT '''-''',
  `min1` varchar(50) DEFAULT '''-''',
  `notes` varchar(250) DEFAULT '''-''',
  `sample` varchar(50) DEFAULT NULL,
  `point_id` varchar(10) NOT NULL,
  `chargeable` varchar(10) DEFAULT NULL,
  `basic_cost` decimal(18,2) DEFAULT '0.00',
  `rate` decimal(18,2) DEFAULT '0.00',
  `rfees` decimal(18,2) DEFAULT '0.00',
  `name_of_class` varchar(50) DEFAULT '-',
  `station` varchar(50) DEFAULT '-',
  `name_of_scheme` varchar(50) DEFAULT 'Master',
  `name_in_local_language` varchar(255) DEFAULT NULL,
  `adj_in_billing` varchar(10) DEFAULT NULL,
  `subheading` varchar(100) DEFAULT '-',
  `show_in_list` varchar(1) DEFAULT '-',
  `link_with_days` varchar(1) DEFAULT '-',
  `division` varchar(2) DEFAULT '-',
  `modified_last_by` varchar(10) DEFAULT NULL,
  `single_item` varchar(1) DEFAULT 'n',
  `change_rfees` varchar(1) DEFAULT 'y',
  PRIMARY KEY (`category`,`point`,`branch`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_points`
--

LOCK TABLES `report_specialty_points` WRITE;
/*!40000 ALTER TABLE `report_specialty_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_reports`
--

DROP TABLE IF EXISTS `report_specialty_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_reports` (
  `customer_id` varchar(50) NOT NULL,
  `date1` datetime NOT NULL,
  `points` varchar(255) DEFAULT NULL,
  `sub_heading` varchar(50) DEFAULT NULL,
  `sl_no` int(11) NOT NULL DEFAULT '0',
  `branch_name` varchar(50) NOT NULL,
  `remarks` varchar(20) DEFAULT '''Nil''',
  `method1` varchar(50) DEFAULT '''-''',
  `category` varchar(50) DEFAULT '''-''',
  `point_id` varchar(10) DEFAULT NULL,
  `bill_no` int(11) DEFAULT '0',
  `book_name` varchar(10) DEFAULT '-',
  `division` varchar(2) DEFAULT 'op',
  `modified_last_by` varchar(10) DEFAULT NULL,
  `printed` varchar(50) DEFAULT 'n',
  `title_of_report` varchar(255) DEFAULT '-',
  `line_format` varchar(2) DEFAULT '20',
  `referred_by` varchar(100) DEFAULT '-',
  PRIMARY KEY (`customer_id`,`date1`,`sl_no`,`branch_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_reports`
--

LOCK TABLES `report_specialty_reports` WRITE;
/*!40000 ALTER TABLE `report_specialty_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_template_lists`
--

DROP TABLE IF EXISTS `report_specialty_template_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_template_lists` (
  `customer_id` varchar(50) NOT NULL,
  `name1` varchar(100) DEFAULT NULL,
  `name2` varchar(100) DEFAULT NULL,
  `address1` varchar(254) DEFAULT NULL,
  `sex` varchar(1) DEFAULT NULL,
  `aged` varchar(50) DEFAULT NULL,
  `dated` datetime NOT NULL,
  `ssn` varchar(50) DEFAULT NULL,
  `referred_by` varchar(100) DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `brief_notes` text,
  `occupation` varchar(50) DEFAULT NULL,
  `dob` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_template_lists`
--

LOCK TABLES `report_specialty_template_lists` WRITE;
/*!40000 ALTER TABLE `report_specialty_template_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_template_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_template_reports`
--

DROP TABLE IF EXISTS `report_specialty_template_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_template_reports` (
  `customer_id` varchar(50) NOT NULL,
  `date1` datetime NOT NULL,
  `points` varchar(255) DEFAULT NULL,
  `sub_heading` varchar(50) DEFAULT NULL,
  `sl_no` int(11) NOT NULL DEFAULT '0',
  `branch_name` varchar(50) NOT NULL,
  `remarks` varchar(20) DEFAULT '''Nil''',
  `method1` varchar(50) DEFAULT '''-''',
  `category` varchar(50) DEFAULT '''-''',
  `point_id` varchar(10) DEFAULT NULL,
  `bill_no` int(11) DEFAULT '0',
  `book_name` varchar(10) DEFAULT '-',
  `division` varchar(2) DEFAULT 'op',
  `modified_last_by` varchar(10) DEFAULT NULL,
  `printed` varchar(50) DEFAULT 'n',
  `title_of_report` varchar(255) DEFAULT '-',
  `line_format` varchar(2) DEFAULT '20',
  `referred_by` varchar(100) NOT NULL DEFAULT '-',
  PRIMARY KEY (`customer_id`,`date1`,`sl_no`,`branch_name`),
  CONSTRAINT `FK_report_specialty_template_reports_1` FOREIGN KEY (`customer_id`) REFERENCES `report_specialty_template_lists` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_template_reports`
--

LOCK TABLES `report_specialty_template_reports` WRITE;
/*!40000 ALTER TABLE `report_specialty_template_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_template_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_specialty_template_vs_formats`
--

DROP TABLE IF EXISTS `report_specialty_template_vs_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_specialty_template_vs_formats` (
  `template_id` varchar(255) NOT NULL DEFAULT '-',
  `format_no` decimal(18,2) NOT NULL DEFAULT '0.00',
  `fam_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `ffacilities_left_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `ffacilities_right_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `finstructions_kan_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fname_eng_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fname_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fnight_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fpm_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fsunday_holiday_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `fworking_hours_local_language_sf` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `h1` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsulant_degree` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsultant_designation` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hconsultant_name` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hdescription_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_address_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_address_local_language` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_name_local_language` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_name_english` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hfirm_phone` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `hwww` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `imported_from` decimal(10,0) DEFAULT '0',
  PRIMARY KEY (`template_id`,`format_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_specialty_template_vs_formats`
--

LOCK TABLES `report_specialty_template_vs_formats` WRITE;
/*!40000 ALTER TABLE `report_specialty_template_vs_formats` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_specialty_template_vs_formats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_speicialty_reports_headings`
--

DROP TABLE IF EXISTS `report_speicialty_reports_headings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_speicialty_reports_headings` (
  `customer_id` varchar(50) NOT NULL DEFAULT '-',
  `date1` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `branch_name` varchar(50) NOT NULL DEFAULT '-',
  `key_word_01` varchar(255) DEFAULT '-',
  `key_word_02` varchar(255) DEFAULT '-',
  `key_word_03` varchar(255) DEFAULT '-',
  `key_word_04` varchar(255) DEFAULT '-',
  `key_word_05` varchar(255) DEFAULT '-',
  `key_word_06` varchar(255) DEFAULT '-',
  `key_word_07` varchar(255) DEFAULT '-',
  `key_word_08` varchar(255) DEFAULT '-',
  `key_word_09` varchar(255) DEFAULT '-',
  `key_word_10` varchar(255) DEFAULT '-',
  `key_word_11` varchar(255) DEFAULT '-',
  `key_word_12` varchar(255) DEFAULT '-',
  `key_word_13` varchar(255) DEFAULT '-',
  `key_word_14` varchar(255) DEFAULT '-',
  `key_word_15` varchar(255) DEFAULT '-',
  `key_word_16` varchar(255) DEFAULT '-',
  `key_word_17` varchar(255) DEFAULT '-',
  `key_word_18` varchar(255) DEFAULT '-',
  `key_word_19` varchar(255) DEFAULT '-',
  `key_word_20` varchar(255) DEFAULT '-',
  `template_id` varchar(50) DEFAULT '-',
  `impression_tag_id` varchar(2) DEFAULT '03',
  PRIMARY KEY (`customer_id`,`date1`,`branch_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_speicialty_reports_headings`
--

LOCK TABLES `report_speicialty_reports_headings` WRITE;
/*!40000 ALTER TABLE `report_speicialty_reports_headings` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_speicialty_reports_headings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reports_list`
--

DROP TABLE IF EXISTS `reports_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reports_list` (
  `report_name` varchar(250) DEFAULT NULL,
  `module_name` varchar(250) DEFAULT NULL,
  `dataobject` varchar(250) DEFAULT NULL,
  `bmp_file` varchar(250) DEFAULT NULL,
  `current_report` float DEFAULT NULL,
  `min_rows` decimal(19,4) DEFAULT NULL,
  `max_rows` decimal(19,4) DEFAULT NULL,
  `picture_x` decimal(19,4) DEFAULT NULL,
  `picture_y` decimal(19,4) DEFAULT NULL,
  `picture_width` decimal(19,4) DEFAULT NULL,
  `picture_height` decimal(19,4) DEFAULT NULL,
  `module_id` varchar(2) DEFAULT NULL,
  `report_no` decimal(19,4) NOT NULL,
  `band_of_bmp` varchar(250) DEFAULT NULL,
  `report_height` varchar(5) DEFAULT NULL,
  `retreival_instructions` varchar(255) DEFAULT NULL,
  `page_orientation` varchar(1) DEFAULT '0',
  PRIMARY KEY (`report_no`),
  UNIQUE KEY `report_no` (`report_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reports_list`
--

LOCK TABLES `reports_list` WRITE;
/*!40000 ALTER TABLE `reports_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `reports_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rms_remote_profiles`
--

DROP TABLE IF EXISTS `rms_remote_profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rms_remote_profiles` (
  `system_id` varchar(250) NOT NULL DEFAULT '-',
  `computer_user` varchar(255) NOT NULL DEFAULT '-',
  `station_name` varchar(255) NOT NULL DEFAULT '-',
  `station_ip` varchar(255) NOT NULL DEFAULT '-',
  `pacs_pusher` varchar(10) NOT NULL DEFAULT '-',
  `admin_user` varchar(20) NOT NULL DEFAULT '-',
  `admin_password` varchar(100) NOT NULL DEFAULT '-',
  `host_address` varchar(250) NOT NULL DEFAULT '-',
  `host_port` varchar(250) NOT NULL DEFAULT '-',
  `db_name` varchar(255) NOT NULL DEFAULT '-',
  `encrypt` varchar(1) NOT NULL DEFAULT 'n',
  `pdf_transport` varchar(255) NOT NULL DEFAULT 'n',
  `file_transport` varchar(100) NOT NULL DEFAULT 'n',
  `remote_desktop` varchar(100) NOT NULL DEFAULT 'n',
  `remote_command_prompt` varchar(1) NOT NULL DEFAULT 'n',
  `sleep_work` varchar(10) NOT NULL DEFAULT 'Sleep',
  `stand_by_host` varchar(250) NOT NULL DEFAULT '-',
  `operating_system` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`system_id`,`computer_user`,`station_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rms_remote_profiles`
--

LOCK TABLES `rms_remote_profiles` WRITE;
/*!40000 ALTER TABLE `rms_remote_profiles` DISABLE KEYS */;
/*!40000 ALTER TABLE `rms_remote_profiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `run_files`
--

DROP TABLE IF EXISTS `run_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `run_files` (
  `name1` varchar(50) DEFAULT NULL,
  `category1` varchar(50) DEFAULT NULL,
  `path1` varchar(250) DEFAULT NULL,
  `parent_program1` varchar(250) DEFAULT NULL,
  `size1` varchar(20) DEFAULT NULL,
  `sample_bmp1` varchar(250) DEFAULT NULL,
  `comments1` varchar(100) DEFAULT NULL,
  `comments2` varchar(100) DEFAULT NULL,
  `for1` varchar(100) DEFAULT NULL,
  UNIQUE KEY `name1` (`name1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `run_files`
--

LOCK TABLES `run_files` WRITE;
/*!40000 ALTER TABLE `run_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `run_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_data`
--

DROP TABLE IF EXISTS `sample_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_data` (
  `id1` varchar(50) NOT NULL,
  `data_1` text,
  PRIMARY KEY (`id1`),
  KEY `id1` (`id1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_data`
--

LOCK TABLES `sample_data` WRITE;
/*!40000 ALTER TABLE `sample_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `sample_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scheme_list`
--

DROP TABLE IF EXISTS `scheme_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheme_list` (
  `scheme_name` varchar(250) NOT NULL,
  `dataobject_name` varchar(250) NOT NULL,
  `default_scheme` varchar(1) DEFAULT NULL,
  `user_comments` varchar(50) DEFAULT NULL,
  `default_zoom` int(11) DEFAULT NULL,
  `preview_zoom` int(11) DEFAULT NULL,
  PRIMARY KEY (`scheme_name`,`dataobject_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scheme_list`
--

LOCK TABLES `scheme_list` WRITE;
/*!40000 ALTER TABLE `scheme_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `scheme_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scheme_object_details`
--

DROP TABLE IF EXISTS `scheme_object_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheme_object_details` (
  `scheme_nam` varchar(250) NOT NULL,
  `dataobject_name` varchar(250) NOT NULL,
  `object_name` varchar(100) NOT NULL,
  `object_changed` varchar(2) DEFAULT NULL,
  `new_old` varchar(60) DEFAULT NULL,
  `obj_band` varchar(100) DEFAULT NULL,
  `obj_type` varchar(20) DEFAULT NULL,
  `obj_x_x1` varchar(10) DEFAULT NULL,
  `obj_x_x1_expression` varchar(250) DEFAULT NULL,
  `obj_y_y1` varchar(10) DEFAULT NULL,
  `obj_y_y1_expression` varchar(250) DEFAULT NULL,
  `obj_width_x2` varchar(10) DEFAULT NULL,
  `obj_width_x2_expression` varchar(250) DEFAULT NULL,
  `obj_height_y2` varchar(10) DEFAULT NULL,
  `obj_height_y2_expression` varchar(250) DEFAULT NULL,
  `obj_border_pen_width` varchar(10) DEFAULT NULL,
  `obj_border_pen_width_expression` varchar(250) DEFAULT NULL,
  `obj_visible` varchar(1) DEFAULT NULL,
  `obj_visible_expression` varchar(250) DEFAULT NULL,
  `obj_text_list_expression` text,
  `obj_font_face` varchar(250) DEFAULT NULL,
  `obj_font_height` varchar(4) DEFAULT NULL,
  `obj_font_height_expression` varchar(250) DEFAULT NULL,
  `obj_text_color` varchar(10) DEFAULT NULL,
  `obj_text_color_expression` varchar(250) DEFAULT NULL,
  `obj_back_ground_color` varchar(10) DEFAULT NULL,
  `obj_back_ground_color_expression` varchar(250) DEFAULT NULL,
  `obj_back_ground_mode` varchar(2) DEFAULT NULL,
  `obj_back_ground_mode_expression` varchar(250) DEFAULT NULL,
  `obj_format` varchar(250) DEFAULT NULL,
  `obj_format_expression` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`scheme_nam`,`dataobject_name`,`object_name`),
  CONSTRAINT `FK_scheme_object_details_1` FOREIGN KEY (`scheme_nam`, `dataobject_name`) REFERENCES `scheme_list` (`scheme_name`, `dataobject_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `scheme_object_details`
--

LOCK TABLES `scheme_object_details` WRITE;
/*!40000 ALTER TABLE `scheme_object_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `scheme_object_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `server_datetime`
--

DROP TABLE IF EXISTS `server_datetime`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `server_datetime` (
  `user_name` varchar(5) NOT NULL DEFAULT 'DIREC',
  `timed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `server_datetime`
--

LOCK TABLES `server_datetime` WRITE;
/*!40000 ALTER TABLE `server_datetime` DISABLE KEYS */;
/*!40000 ALTER TABLE `server_datetime` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skin_datawindows`
--

DROP TABLE IF EXISTS `skin_datawindows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `skin_datawindows` (
  `skin_name` varchar(255) NOT NULL DEFAULT '-',
  `module_id` varchar(255) NOT NULL DEFAULT '-',
  `datawindow_name` varchar(255) NOT NULL DEFAULT '-',
  `x1` decimal(18,2) NOT NULL DEFAULT '0.00',
  `y1` decimal(18,2) NOT NULL DEFAULT '0.00',
  `width1` decimal(18,2) NOT NULL DEFAULT '0.00',
  `height` decimal(18,2) NOT NULL DEFAULT '0.00',
  `zoom1` decimal(18,2) NOT NULL DEFAULT '0.00',
  `back_ground_pict` varchar(255) NOT NULL DEFAULT '-',
  `column1` varchar(255) NOT NULL DEFAULT '-',
  `column2` varchar(255) NOT NULL DEFAULT '-',
  `column3` varchar(255) NOT NULL DEFAULT '-',
  `column4` varchar(255) NOT NULL DEFAULT '-',
  `column5` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`skin_name`,`module_id`,`datawindow_name`),
  CONSTRAINT `FK_skin_datawindows_1` FOREIGN KEY (`skin_name`, `module_id`) REFERENCES `skin_name_list` (`skin_name`, `module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `skin_datawindows`
--

LOCK TABLES `skin_datawindows` WRITE;
/*!40000 ALTER TABLE `skin_datawindows` DISABLE KEYS */;
/*!40000 ALTER TABLE `skin_datawindows` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skin_name_list`
--

DROP TABLE IF EXISTS `skin_name_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `skin_name_list` (
  `skin_name` varchar(255) NOT NULL DEFAULT '-',
  `module_id` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`skin_name`,`module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `skin_name_list`
--

LOCK TABLES `skin_name_list` WRITE;
/*!40000 ALTER TABLE `skin_name_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `skin_name_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skin_users`
--

DROP TABLE IF EXISTS `skin_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `skin_users` (
  `skin_name` varchar(255) NOT NULL DEFAULT '-',
  `module_id` varchar(255) NOT NULL DEFAULT '-',
  `user_id` varchar(255) NOT NULL DEFAULT 'DIREC',
  PRIMARY KEY (`skin_name`,`module_id`,`user_id`),
  CONSTRAINT `FK_skin_users_1` FOREIGN KEY (`skin_name`, `module_id`) REFERENCES `skin_name_list` (`skin_name`, `module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `skin_users`
--

LOCK TABLES `skin_users` WRITE;
/*!40000 ALTER TABLE `skin_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `skin_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_categories_of_templates`
--

DROP TABLE IF EXISTS `sms_categories_of_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_categories_of_templates` (
  `category1` varchar(255) NOT NULL DEFAULT '-',
  `group1` varchar(255) NOT NULL DEFAULT '-',
  `module_name1` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`category1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_categories_of_templates`
--

LOCK TABLES `sms_categories_of_templates` WRITE;
/*!40000 ALTER TABLE `sms_categories_of_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_categories_of_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_details`
--

DROP TABLE IF EXISTS `sms_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_details` (
  `dated1` datetime NOT NULL DEFAULT '2011-01-01 00:00:00',
  `phone_no` varchar(45) NOT NULL DEFAULT '-',
  `user_id` varchar(5) NOT NULL DEFAULT '-',
  `w_r_t` varchar(45) NOT NULL DEFAULT '-',
  `prim_key` varchar(255) NOT NULL DEFAULT '-',
  `message_cont` varchar(160) NOT NULL DEFAULT '-',
  `time_sent` datetime NOT NULL DEFAULT '2011-01-01 00:00:00',
  `status_of_sent` varchar(255) NOT NULL DEFAULT '-',
  `receiver_name` varchar(50) NOT NULL DEFAULT '-',
  PRIMARY KEY (`dated1`,`phone_no`,`user_id`,`w_r_t`,`prim_key`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_details`
--

LOCK TABLES `sms_details` WRITE;
/*!40000 ALTER TABLE `sms_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_failed_sms`
--

DROP TABLE IF EXISTS `sms_failed_sms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_failed_sms` (
  `customer_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `book_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `category1` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `part_no` int(11) unsigned NOT NULL DEFAULT '0',
  `message_repeat` int(11) unsigned NOT NULL DEFAULT '0',
  `message_text` varchar(700) NOT NULL DEFAULT '-',
  `mobile_no` decimal(14,0) NOT NULL DEFAULT '0',
  `sms_entry_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_trial_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_status` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_no` decimal(14,0) NOT NULL DEFAULT '0',
  `attempts_no` int(11) unsigned NOT NULL DEFAULT '0',
  `ref_by` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `receiver_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_gateway` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_type` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_ip` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_header` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_footer` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `mobile_registration` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  PRIMARY KEY (`customer_id`,`book_name`,`bill_no`,`sl_no`,`user_id`,`category1`,`part_no`,`message_repeat`),
  KEY `Index_2` (`sms_entry_date_time`),
  KEY `Index_3` (`sms_gateway`,`sms_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_failed_sms`
--

LOCK TABLES `sms_failed_sms` WRITE;
/*!40000 ALTER TABLE `sms_failed_sms` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_failed_sms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_gateways`
--

DROP TABLE IF EXISTS `sms_gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_gateways` (
  `gateway_name` varchar(255) NOT NULL DEFAULT '-',
  `username1` varchar(255) NOT NULL DEFAULT '-',
  `password1` varchar(255) NOT NULL DEFAULT '-',
  `url0` varchar(255) NOT NULL DEFAULT '-',
  `url1` varchar(255) NOT NULL DEFAULT '-',
  `url2` varchar(255) NOT NULL DEFAULT '-',
  `url3` varchar(255) NOT NULL DEFAULT '-',
  `url4` varchar(255) NOT NULL DEFAULT '-',
  `url5` varchar(255) NOT NULL DEFAULT '-',
  `url6` varchar(255) NOT NULL DEFAULT '-',
  `url7` varchar(255) NOT NULL DEFAULT '-',
  `url8` varchar(255) NOT NULL DEFAULT '-',
  `url9` varchar(255) NOT NULL DEFAULT '-',
  `column_order0` varchar(255) NOT NULL DEFAULT '-',
  `min_timer` int(11) unsigned NOT NULL DEFAULT '0',
  `column_order2` varchar(255) NOT NULL DEFAULT '-',
  `column_order3` varchar(255) NOT NULL DEFAULT '-',
  `chars_per_sms` int(11) unsigned NOT NULL DEFAULT '0',
  `algorithm1` varchar(255) NOT NULL DEFAULT '-',
  `unicode_switch` varchar(255) NOT NULL DEFAULT '`',
  `non_unicode_switch` varchar(255) NOT NULL DEFAULT '`',
  `unicode_status` varchar(255) NOT NULL DEFAULT '-',
  `unicoded` longtext NOT NULL,
  PRIMARY KEY (`gateway_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_gateways`
--

LOCK TABLES `sms_gateways` WRITE;
/*!40000 ALTER TABLE `sms_gateways` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_gateways` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_gateways_return_codes`
--

DROP TABLE IF EXISTS `sms_gateways_return_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_gateways_return_codes` (
  `gateway_name` varchar(255) NOT NULL DEFAULT '-',
  `return_code1` varchar(255) NOT NULL DEFAULT '-',
  `interpretation1` varchar(255) NOT NULL DEFAULT '-',
  `remove_previous_chars` varchar(255) NOT NULL DEFAULT '-',
  `remove_next_chars` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`gateway_name`,`return_code1`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_gateways_return_codes`
--

LOCK TABLES `sms_gateways_return_codes` WRITE;
/*!40000 ALTER TABLE `sms_gateways_return_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_gateways_return_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_mobile_list`
--

DROP TABLE IF EXISTS `sms_mobile_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_mobile_list` (
  `mobile_no` varchar(255) NOT NULL DEFAULT '-',
  `mobile_owner` varchar(255) NOT NULL DEFAULT '-',
  `pk_mobile_no` decimal(14,0) NOT NULL DEFAULT '0',
  `category1` varchar(255) NOT NULL DEFAULT '-',
  `date_dec_no` decimal(14,0) NOT NULL DEFAULT '0',
  `customer_id` varchar(255) NOT NULL DEFAULT '-',
  `reg_by_user` varchar(50) NOT NULL DEFAULT '-',
  `reg_from_module` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`pk_mobile_no`,`customer_id`) USING BTREE,
  KEY `Index_2` (`pk_mobile_no`),
  KEY `Index_date` (`date_dec_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_mobile_list`
--

LOCK TABLES `sms_mobile_list` WRITE;
/*!40000 ALTER TABLE `sms_mobile_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_mobile_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_pending_sms`
--

DROP TABLE IF EXISTS `sms_pending_sms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_pending_sms` (
  `customer_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `book_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `category1` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `part_no` int(11) unsigned NOT NULL DEFAULT '0',
  `message_repeat` int(11) unsigned NOT NULL DEFAULT '0',
  `message_text` varchar(700) NOT NULL DEFAULT '-',
  `mobile_no` decimal(14,0) NOT NULL DEFAULT '0',
  `sms_entry_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_trial_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_status` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_no` decimal(14,0) NOT NULL DEFAULT '0',
  `attempts_no` int(11) unsigned NOT NULL DEFAULT '0',
  `ref_by` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `receiver_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_gateway` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_type` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_ip` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_header` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_footer` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `mobile_registration` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  PRIMARY KEY (`customer_id`,`book_name`,`bill_no`,`sl_no`,`user_id`,`category1`,`part_no`,`message_repeat`),
  KEY `Index_2` (`sms_entry_date_time`),
  KEY `Index_3` (`sms_gateway`,`sms_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_pending_sms`
--

LOCK TABLES `sms_pending_sms` WRITE;
/*!40000 ALTER TABLE `sms_pending_sms` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_pending_sms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_referrer_list`
--

DROP TABLE IF EXISTS `sms_referrer_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_referrer_list` (
  `mobile_no` varchar(255) NOT NULL DEFAULT '-',
  `mobile_owner` varchar(255) NOT NULL DEFAULT '-',
  `pk_mobile_no` decimal(14,0) NOT NULL DEFAULT '0',
  `category1` varchar(255) NOT NULL DEFAULT '-',
  `date_dec_no` decimal(14,0) NOT NULL DEFAULT '0',
  `customer_id` varchar(255) NOT NULL DEFAULT '-',
  `reg_by_user` varchar(50) NOT NULL DEFAULT '-',
  `reg_from_module` varchar(255) NOT NULL DEFAULT '-',
  `modules_allowed01` varchar(255) NOT NULL DEFAULT '-',
  `modules_allowed02` varchar(255) NOT NULL DEFAULT '-',
  `modules_allowed01_m` varchar(255) NOT NULL DEFAULT '-',
  `modules_allowed02_m` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`pk_mobile_no`,`date_dec_no`) USING BTREE,
  KEY `Index_2` (`date_dec_no`),
  KEY `Index_3` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_referrer_list`
--

LOCK TABLES `sms_referrer_list` WRITE;
/*!40000 ALTER TABLE `sms_referrer_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_referrer_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_sender_ips`
--

DROP TABLE IF EXISTS `sms_sender_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_sender_ips` (
  `sms_sender_ip` varchar(255) NOT NULL DEFAULT '-',
  `sender_time_stamp` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`sms_sender_ip`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_sender_ips`
--

LOCK TABLES `sms_sender_ips` WRITE;
/*!40000 ALTER TABLE `sms_sender_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_sender_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_sent_list`
--

DROP TABLE IF EXISTS `sms_sent_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_sent_list` (
  `customer_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `book_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0',
  `sl_no` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `category1` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `part_no` int(11) unsigned NOT NULL DEFAULT '0',
  `message_repeat` int(11) unsigned NOT NULL DEFAULT '0',
  `message_text` varchar(700) NOT NULL DEFAULT '-',
  `mobile_no` decimal(14,0) NOT NULL DEFAULT '0',
  `sms_entry_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_trial_date_time` decimal(14,0) NOT NULL DEFAULT '0',
  `sent_status` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_no` decimal(14,0) NOT NULL DEFAULT '0',
  `attempts_no` int(11) unsigned NOT NULL DEFAULT '0',
  `ref_by` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `receiver_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_user_id` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_gateway` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_type` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_sender_ip` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_header` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `sms_footer` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `mobile_registration` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  PRIMARY KEY (`customer_id`,`book_name`,`bill_no`,`sl_no`,`user_id`,`category1`,`part_no`,`message_repeat`,`sent_trial_date_time`,`sms_entry_date_time`) USING BTREE,
  KEY `Index_2` (`sms_entry_date_time`),
  KEY `Index_3` (`sms_gateway`,`sms_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_sent_list`
--

LOCK TABLES `sms_sent_list` WRITE;
/*!40000 ALTER TABLE `sms_sent_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_sent_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_templates`
--

DROP TABLE IF EXISTS `sms_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_templates` (
  `category1` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `template_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  `template_header` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '-',
  `template_body` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '-',
  `template_footer` varchar(255) CHARACTER SET utf8 NOT NULL,
  `template_type` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '-',
  PRIMARY KEY (`category1`,`template_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_templates`
--

LOCK TABLES `sms_templates` WRITE;
/*!40000 ALTER TABLE `sms_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_unicode_table`
--

DROP TABLE IF EXISTS `sms_unicode_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_unicode_table` (
  `unicode_char` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '-',
  `hex_char` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`hex_char`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_unicode_table`
--

LOCK TABLES `sms_unicode_table` WRITE;
/*!40000 ALTER TABLE `sms_unicode_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_unicode_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_user_specific_permissions`
--

DROP TABLE IF EXISTS `sms_user_specific_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sms_user_specific_permissions` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `module_name` varchar(255) NOT NULL DEFAULT '-',
  `purpose` varchar(255) NOT NULL DEFAULT '-',
  `permission` varchar(255) NOT NULL DEFAULT '-',
  `sl_no` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_name`,`module_name`,`purpose`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_user_specific_permissions`
--

LOCK TABLES `sms_user_specific_permissions` WRITE;
/*!40000 ALTER TABLE `sms_user_specific_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_user_specific_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_book_allotment`
--

DROP TABLE IF EXISTS `stocks_book_allotment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_book_allotment` (
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `permission_id` varchar(50) NOT NULL DEFAULT '-',
  `bank_name` varchar(100) NOT NULL DEFAULT '-',
  `account_name` varchar(100) NOT NULL DEFAULT '-',
  `upi_id` varchar(100) NOT NULL DEFAULT '-',
  PRIMARY KEY (`book_name`,`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_book_allotment`
--

LOCK TABLES `stocks_book_allotment` WRITE;
/*!40000 ALTER TABLE `stocks_book_allotment` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_book_allotment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_dealer_list`
--

DROP TABLE IF EXISTS `stocks_dealer_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_dealer_list` (
  `dealer` varchar(120) DEFAULT '-',
  `address1` varchar(120) DEFAULT '-',
  `registration_no_type` varchar(10) DEFAULT '-',
  `registration_no` varchar(50) NOT NULL DEFAULT '-',
  `dl_no` varchar(50) DEFAULT '-',
  `phone_no` varchar(50) DEFAULT '-',
  `state1` varchar(50) DEFAULT '-',
  PRIMARY KEY (`registration_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_dealer_list`
--

LOCK TABLES `stocks_dealer_list` WRITE;
/*!40000 ALTER TABLE `stocks_dealer_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_dealer_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_invoice_export_options`
--

DROP TABLE IF EXISTS `stocks_invoice_export_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_invoice_export_options` (
  `destination_ip_port` varchar(50) NOT NULL DEFAULT '-',
  `destination_database` varchar(250) NOT NULL DEFAULT '-',
  `destination_acc_book` varchar(250) NOT NULL DEFAULT '-',
  `default_choice` varchar(1) DEFAULT '-',
  `preference1` varchar(50) DEFAULT 'Bonus',
  PRIMARY KEY (`destination_ip_port`,`destination_database`,`destination_acc_book`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_invoice_export_options`
--

LOCK TABLES `stocks_invoice_export_options` WRITE;
/*!40000 ALTER TABLE `stocks_invoice_export_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_invoice_export_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_invoice_header`
--

DROP TABLE IF EXISTS `stocks_invoice_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_invoice_header` (
  `sl_no_of_invoice` int(10) NOT NULL DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `voucher_type` varchar(15) DEFAULT '-',
  `voucher_no` int(10) DEFAULT '0',
  `transaction_no` smallint(5) DEFAULT '0',
  `transaction_no_tax` smallint(5) DEFAULT '0',
  `transaction_no_other` smallint(5) DEFAULT '0',
  `account_name_cr` varchar(50) DEFAULT '-',
  `account_name_db` varchar(50) DEFAULT '-',
  `account_name_tax` varchar(50) DEFAULT '-',
  `account_name_other_db` varchar(50) DEFAULT '-',
  `inv_date` datetime DEFAULT '2001-01-01 00:00:00',
  `dealer_inv_no` varchar(50) DEFAULT '0',
  `dealer` varchar(250) DEFAULT '-',
  `inv_total` decimal(18,2) DEFAULT '0.00',
  `tax_total` decimal(18,2) DEFAULT '0.00',
  `other_total` decimal(18,2) DEFAULT '0.00',
  `tax_name` varchar(50) DEFAULT '-',
  `rpt_date` datetime DEFAULT '2001-01-01 00:00:00',
  `comments` varchar(50) DEFAULT '-',
  `inv_value` decimal(18,2) DEFAULT '0.00',
  `tax_value` decimal(18,2) DEFAULT '0.00',
  `other_value` decimal(18,2) DEFAULT '0.00',
  `discount_value` decimal(18,2) DEFAULT '0.00',
  `user_name` varchar(50) DEFAULT '-',
  `tax_slab1` decimal(18,2) DEFAULT '0.00',
  `value_of_slab1` decimal(18,2) DEFAULT '0.00',
  `mrp_value_of_slab1` decimal(18,2) DEFAULT '0.00',
  `tax_range_of_slab1` varchar(50) DEFAULT '-',
  `tax_slab2` decimal(18,2) DEFAULT '0.00',
  `value_of_slab2` decimal(18,2) DEFAULT '0.00',
  `mrp_value_of_slab2` decimal(18,2) DEFAULT '0.00',
  `tax_range_of_slab2` varchar(50) DEFAULT '-',
  `tax_slab3` decimal(18,2) DEFAULT '0.00',
  `value_of_slab3` decimal(18,2) DEFAULT '0.00',
  `mrp_value_of_slab3` decimal(18,2) DEFAULT '0.00',
  `tax_range_of_slab3` varchar(50) DEFAULT '-',
  `tax_slab4` decimal(18,2) DEFAULT '0.00',
  `value_of_slab4` decimal(18,2) DEFAULT '0.00',
  `mrp_value_of_slab4` decimal(18,2) DEFAULT '0.00',
  `tax_range_of_slab4` varchar(50) DEFAULT '-',
  `paid_on` datetime DEFAULT '2001-01-01 00:00:00',
  `finalised` varchar(1) DEFAULT '-',
  `paid_total` decimal(18,2) DEFAULT '0.00',
  `mrp_value_total` decimal(18,2) DEFAULT '0.00',
  `rounded` decimal(4,2) DEFAULT '0.00',
  `total_trade_discount` decimal(18,2) DEFAULT '0.00',
  `tax_paid_on` varchar(50) DEFAULT '-',
  `pc_bc_charges` decimal(18,2) DEFAULT '0.00',
  `freight_charges` decimal(18,2) DEFAULT '0.00',
  `cash_disc_percentage` decimal(5,2) DEFAULT '0.00',
  `tax_suffered_value_slab1` decimal(18,2) DEFAULT '0.00',
  `tax_suffered_value_slab2` decimal(18,2) DEFAULT '0.00',
  `tax_suffered_value_slab3` decimal(18,2) DEFAULT '0.00',
  `tax_suffered_value_slab4` decimal(18,2) DEFAULT '0.00',
  `registration_no` varchar(50) DEFAULT '-',
  PRIMARY KEY (`sl_no_of_invoice`,`book_name`),
  KEY `{8A5416E3-F4DC-11DA-B464-0050BA` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no`,`account_name_cr`,`account_name_db`,`inv_total`),
  KEY `{8A5416E4-F4DC-11DA-B464-0050BA` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no_tax`,`account_name_cr`,`account_name_tax`,`tax_total`),
  KEY `{8A5416E5-F4DC-11DA-B464-0050BA` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no_other`,`account_name_cr`,`account_name_other_db`,`other_total`),
  KEY `acc_transactionstransaction_no` (`transaction_no`),
  KEY `FK_stocks_invoice_header_2` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no`,`account_name_cr`,`account_name_db`,`other_total`),
  KEY `FK_stocks_invoice_header_3` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no`,`account_name_cr`,`account_name_db`,`tax_total`),
  CONSTRAINT `FK_stocks_invoice_header_1` FOREIGN KEY (`book_name`, `voucher_type`, `voucher_no`, `transaction_no`, `account_name_cr`, `account_name_db`, `inv_total`) REFERENCES `acc_transactions2` (`book_name`, `voucher_type`, `voucher_no`, `transaction_no`, `account_name_cr`, `account_name_db`, `amount`),
  CONSTRAINT `FK_stocks_invoice_header_2` FOREIGN KEY (`book_name`, `voucher_type`, `voucher_no`, `transaction_no_other`, `account_name_cr`, `account_name_other_db`, `other_total`) REFERENCES `acc_transactions2` (`book_name`, `voucher_type`, `voucher_no`, `transaction_no`, `account_name_cr`, `account_name_db`, `amount`),
  CONSTRAINT `FK_stocks_invoice_header_3` FOREIGN KEY (`book_name`, `voucher_type`, `voucher_no`, `transaction_no_tax`, `account_name_cr`, `account_name_tax`, `tax_total`) REFERENCES `acc_transactions2` (`book_name`, `voucher_type`, `voucher_no`, `transaction_no`, `account_name_cr`, `account_name_db`, `amount`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_invoice_header`
--

LOCK TABLES `stocks_invoice_header` WRITE;
/*!40000 ALTER TABLE `stocks_invoice_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_invoice_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_item_editor_typeslist`
--

DROP TABLE IF EXISTS `stocks_item_editor_typeslist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_item_editor_typeslist` (
  `type1display` varchar(250) DEFAULT '-',
  `type1data` varchar(45) DEFAULT '-',
  `single_or_many` varchar(1) DEFAULT '-',
  `concn` varchar(1) DEFAULT '-',
  `pk1` varchar(53) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pk1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_item_editor_typeslist`
--

LOCK TABLES `stocks_item_editor_typeslist` WRITE;
/*!40000 ALTER TABLE `stocks_item_editor_typeslist` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_item_editor_typeslist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_item_editor_unitslist`
--

DROP TABLE IF EXISTS `stocks_item_editor_unitslist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_item_editor_unitslist` (
  `units1` varchar(250) NOT NULL DEFAULT '-',
  PRIMARY KEY (`units1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_item_editor_unitslist`
--

LOCK TABLES `stocks_item_editor_unitslist` WRITE;
/*!40000 ALTER TABLE `stocks_item_editor_unitslist` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_item_editor_unitslist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_mass_discount_cut_off`
--

DROP TABLE IF EXISTS `stocks_mass_discount_cut_off`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_mass_discount_cut_off` (
  `voucher_total_cut_off` decimal(18,2) NOT NULL DEFAULT '0.00',
  `percentage` decimal(18,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`voucher_total_cut_off`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_mass_discount_cut_off`
--

LOCK TABLES `stocks_mass_discount_cut_off` WRITE;
/*!40000 ALTER TABLE `stocks_mass_discount_cut_off` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_mass_discount_cut_off` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_master_all`
--

DROP TABLE IF EXISTS `stocks_master_all`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_master_all` (
  `sl_no_of_invoice` int(10) DEFAULT '0',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `stock_id` varchar(20) NOT NULL DEFAULT '-',
  `product_code` varchar(10) DEFAULT '0',
  `item_name` varchar(100) DEFAULT '0',
  `batch_no` varchar(25) DEFAULT '0',
  `expiry_date` datetime DEFAULT NULL,
  `qnty` decimal(18,2) DEFAULT '0.00',
  `bonus1` decimal(18,2) DEFAULT '0.00',
  `critical` decimal(18,2) DEFAULT '0.00',
  `p_t_r` decimal(18,2) DEFAULT '0.00',
  `m_r_p` decimal(18,2) DEFAULT '0.00',
  `category` varchar(50) DEFAULT '0',
  `usage1` varchar(50) DEFAULT '0',
  `company` varchar(30) DEFAULT '0',
  `invoice_item_value` decimal(18,2) DEFAULT '0.00',
  `tax_paid_rate` decimal(5,2) DEFAULT '0.00',
  `tax_paid_amount` decimal(18,2) DEFAULT '0.00',
  `tax_paid_on_what` varchar(10) DEFAULT '0',
  `sell_rate` decimal(18,2) DEFAULT '0.00',
  `tax_to_charge` decimal(5,2) DEFAULT '0.00',
  `tax_to_charge_on_what` varchar(10) DEFAULT '-',
  `net_price` decimal(18,2) DEFAULT '0.00',
  `stocks` decimal(18,2) DEFAULT '0.00',
  `original_book_and_sl_no_of_invoice` varchar(15) DEFAULT '0',
  `group1` varchar(10) DEFAULT '0',
  `usage2` varchar(250) CHARACTER SET utf8 DEFAULT '0',
  `items_per_unit` decimal(5,2) DEFAULT '0.00',
  `price_per_unit` decimal(18,2) DEFAULT '0.00',
  `mrp_per_unit` decimal(18,2) DEFAULT '0.00',
  `units_bought` decimal(18,2) DEFAULT '0.00',
  `bonus_units` decimal(18,2) DEFAULT '0.00',
  `mrp_value` decimal(18,2) DEFAULT '0.00',
  `trade_discount` decimal(5,2) DEFAULT '0.00',
  `packing` varchar(30) DEFAULT '-',
  `sale_discount` decimal(5,2) DEFAULT '0.00',
  `hsn_code` varchar(20) DEFAULT '-',
  `composition` varchar(500) DEFAULT '-',
  `cash_disc_rate` decimal(5,3) DEFAULT '0.000',
  `taxed_amount` decimal(18,2) DEFAULT '0.00',
  `item_sl_no` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`stock_id`,`book_name`),
  KEY `{8A5416EE-F4DC-11DA-B464-0050BA` (`sl_no_of_invoice`,`book_name`),
  KEY `all_stores_liststocks_master_all` (`group1`),
  KEY `product_code` (`product_code`),
  CONSTRAINT `FK_stocks_master_all_1` FOREIGN KEY (`sl_no_of_invoice`, `book_name`) REFERENCES `stocks_invoice_header` (`sl_no_of_invoice`, `book_name`),
  CONSTRAINT `FK_stocks_master_all_2` FOREIGN KEY (`group1`) REFERENCES `all_stores_list` (`store_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_master_all`
--

LOCK TABLES `stocks_master_all` WRITE;
/*!40000 ALTER TABLE `stocks_master_all` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_master_all` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_master_all_for_nipa2`
--

DROP TABLE IF EXISTS `stocks_master_all_for_nipa2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_master_all_for_nipa2` (
  `sl_no_of_invoice` int(11) unsigned NOT NULL DEFAULT '1',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `stock_id` varchar(20) NOT NULL DEFAULT '-',
  `product_code` varchar(10) NOT NULL DEFAULT '-',
  `item_name` varchar(100) NOT NULL DEFAULT '-',
  `batch_no` varchar(25) NOT NULL DEFAULT '-',
  `expiry_date` datetime NOT NULL DEFAULT '2001-01-01 00:00:00',
  `critical` decimal(18,2) NOT NULL DEFAULT '0.00',
  `m_r_p` decimal(18,2) NOT NULL DEFAULT '0.00',
  `category` varchar(50) NOT NULL DEFAULT '-',
  `usage1` varchar(50) NOT NULL DEFAULT '-',
  `company` varchar(30) NOT NULL DEFAULT '-',
  `invoice_item_value` decimal(18,2) NOT NULL DEFAULT '0.00',
  `tax_paid_rate` decimal(18,2) NOT NULL DEFAULT '0.00',
  `tax_paid_on_what` varchar(10) NOT NULL DEFAULT '-',
  `sell_rate` decimal(18,2) NOT NULL DEFAULT '0.00',
  `tax_to_charge` decimal(18,2) NOT NULL DEFAULT '0.00',
  `tax_to_charge_on_what` varchar(10) NOT NULL DEFAULT '-',
  `net_price` decimal(18,2) NOT NULL DEFAULT '0.00',
  `stocks` decimal(18,2) NOT NULL DEFAULT '0.00',
  `original_book_and_sl_no_of_invoice` varchar(15) NOT NULL DEFAULT '-',
  `group1` varchar(10) NOT NULL DEFAULT '-',
  `mrp_per_unit` decimal(18,2) NOT NULL DEFAULT '0.00',
  `items_per_unit` decimal(18,2) NOT NULL DEFAULT '0.00',
  `usage2` varchar(250) CHARACTER SET utf8 NOT NULL DEFAULT '-',
  `composition` varchar(255) NOT NULL DEFAULT '-',
  PRIMARY KEY (`book_name`,`item_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_master_all_for_nipa2`
--

LOCK TABLES `stocks_master_all_for_nipa2` WRITE;
/*!40000 ALTER TABLE `stocks_master_all_for_nipa2` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_master_all_for_nipa2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_tax_rates_allowed`
--

DROP TABLE IF EXISTS `stocks_tax_rates_allowed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_tax_rates_allowed` (
  `tax_rate` decimal(5,2) NOT NULL DEFAULT '0.00',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  `type1` varchar(10) NOT NULL DEFAULT '-',
  `display_label` varchar(255) NOT NULL DEFAULT '-',
  `use_rate` decimal(5,2) NOT NULL DEFAULT '0.00',
  `formula1` longtext NOT NULL,
  `display_label_on` varchar(255) NOT NULL DEFAULT '-',
  `display_label_r` varchar(255) NOT NULL DEFAULT '-',
  `formula1_r` longtext NOT NULL,
  `slab_in_header` varchar(1) NOT NULL DEFAULT 'y',
  PRIMARY KEY (`tax_rate`,`book_name`,`type1`) USING BTREE,
  KEY `FK_stocks_tax_rates_allowed_1` (`book_name`),
  CONSTRAINT `FK_stocks_tax_rates_allowed_1` FOREIGN KEY (`book_name`) REFERENCES `acc_books` (`book_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_tax_rates_allowed`
--

LOCK TABLES `stocks_tax_rates_allowed` WRITE;
/*!40000 ALTER TABLE `stocks_tax_rates_allowed` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_tax_rates_allowed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_voucher_14payments`
--

DROP TABLE IF EXISTS `stocks_voucher_14payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_voucher_14payments` (
  `sl_no_of_stocks_voucher` int(11) NOT NULL DEFAULT '1',
  `book_name` varchar(10) NOT NULL DEFAULT '8',
  `rpt_no` varchar(50) NOT NULL,
  `payment_dated` datetime DEFAULT NULL,
  `particulars1` varchar(255) DEFAULT NULL,
  `particulars2` varchar(255) DEFAULT NULL,
  `particulars3` varchar(255) DEFAULT NULL,
  `bill_total_now` decimal(18,2) DEFAULT '0.00',
  `paid_till_now` decimal(18,2) DEFAULT '0.00',
  `cash_discount_till_now` decimal(18,2) DEFAULT '0.00',
  `now_paid` decimal(18,2) DEFAULT '0.00',
  `cash_discount_given` decimal(18,2) DEFAULT '0.00',
  `cash_discount_by` varchar(10) DEFAULT NULL,
  `accepted_by` varchar(10) DEFAULT NULL,
  `printed_by` varchar(10) DEFAULT NULL,
  `printed_time` datetime DEFAULT NULL,
  `agency` varchar(100) DEFAULT NULL,
  `cheque_or_cash` varchar(50) DEFAULT NULL,
  `cheque_date` datetime DEFAULT NULL,
  `cheque_bank` varchar(50) DEFAULT NULL,
  `cheque_branch` varchar(50) DEFAULT NULL,
  `realised_date` datetime DEFAULT NULL,
  `cheque_no` varchar(50) DEFAULT NULL,
  `cash_discount_on_what_grounds` varchar(255) DEFAULT NULL,
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `concession_board_by` varchar(10) DEFAULT NULL,
  `concession_board_on_what_grounds` varchar(255) DEFAULT NULL,
  `trade_discount_given` decimal(18,2) DEFAULT '0.00',
  `trade_discount_by` varchar(10) DEFAULT NULL,
  `trade_discount_on_what_grounds` varchar(255) DEFAULT NULL,
  `concession_board_till_now` decimal(18,2) DEFAULT '0.00',
  `trade_discount_till_now` decimal(18,2) DEFAULT '0.00',
  `rpt_no_for_credit_bills` int(11) DEFAULT '1',
  `rpt_no_for_cash_bills` int(11) DEFAULT '1',
  `un_printed` varchar(250) DEFAULT '-',
  PRIMARY KEY (`sl_no_of_stocks_voucher`,`book_name`,`rpt_no`),
  KEY `FK_stocks_voucher_14payments_1` (`book_name`,`sl_no_of_stocks_voucher`),
  CONSTRAINT `FK_stocks_voucher_14payments_1` FOREIGN KEY (`book_name`, `sl_no_of_stocks_voucher`) REFERENCES `stocks_voucher_header` (`book_name`, `sl_no_of_stocks_voucher`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_voucher_14payments`
--

LOCK TABLES `stocks_voucher_14payments` WRITE;
/*!40000 ALTER TABLE `stocks_voucher_14payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_voucher_14payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_voucher_header`
--

DROP TABLE IF EXISTS `stocks_voucher_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_voucher_header` (
  `book_name` varchar(10) NOT NULL,
  `sl_no_of_stocks_voucher` int(11) NOT NULL DEFAULT '0',
  `voucher_date` datetime DEFAULT NULL,
  `voucher_type` varchar(15) DEFAULT NULL,
  `voucher_no` int(10) NOT NULL DEFAULT '0',
  `transaction_no` smallint(5) NOT NULL DEFAULT '0',
  `transaction_no_tax` smallint(5) NOT NULL DEFAULT '0',
  `transaction_no_other` smallint(5) NOT NULL DEFAULT '0',
  `account_name_cr` varchar(50) DEFAULT NULL,
  `account_name_db` varchar(50) DEFAULT NULL,
  `account_name_tax` varchar(50) DEFAULT NULL,
  `account_name_other_cr` varchar(50) DEFAULT NULL,
  `voucher_total` decimal(18,2) DEFAULT '0.00',
  `tax_total` decimal(18,2) DEFAULT '0.00',
  `other_total` decimal(18,2) DEFAULT '0.00',
  `tax_name` varchar(50) DEFAULT NULL,
  `comments` varchar(100) DEFAULT NULL,
  `voucher_value` decimal(18,2) DEFAULT '0.00',
  `tax_value` decimal(18,2) DEFAULT '0.00',
  `discount_value` decimal(18,2) DEFAULT '0.00',
  `other_value` decimal(18,2) DEFAULT '0.00',
  `user_name` varchar(50) DEFAULT NULL,
  `customer_name` varchar(50) DEFAULT NULL,
  `customer_id` varchar(50) DEFAULT NULL,
  `rpt_date` datetime DEFAULT NULL,
  `paid_status` varchar(50) DEFAULT 'Not Paid',
  `trade_discount` decimal(18,2) DEFAULT '0.00',
  `rounded_value` decimal(4,2) DEFAULT '0.00',
  `comments_ip_no` varchar(100) DEFAULT '-',
  `paid_amount` decimal(18,2) DEFAULT '0.00',
  `bill_no2` int(11) unsigned DEFAULT '0',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `returned_amount` decimal(18,2) DEFAULT '0.00',
  `service_bill_bill_no` int(11) unsigned DEFAULT '0',
  `service_bill_book_name` varchar(10) DEFAULT '-',
  `service_bill_division` varchar(2) DEFAULT '-',
  `service_bill_rcpt_no` varchar(50) DEFAULT '-',
  `discount_status` varchar(50) DEFAULT '-',
  `mobile_no_or_ssn` varchar(200) DEFAULT '-',
  `un_printed` varchar(250) DEFAULT '-',
  PRIMARY KEY (`book_name`,`sl_no_of_stocks_voucher`),
  UNIQUE KEY `Index-5` (`book_name`,`voucher_date`),
  KEY `FK_stocks_voucher_header_2` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no_other`,`account_name_other_cr`,`account_name_db`,`other_total`),
  KEY `FK_stocks_voucher_header_1` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no`,`account_name_cr`,`account_name_db`,`voucher_total`),
  KEY `FK_stocks_voucher_header_3` (`book_name`,`voucher_type`,`voucher_no`,`transaction_no_tax`,`account_name_tax`,`account_name_db`,`tax_total`),
  KEY `Index_5` (`voucher_date`),
  KEY `index_6` (`book_name`,`sl_no_of_stocks_voucher`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_voucher_header`
--

LOCK TABLES `stocks_voucher_header` WRITE;
/*!40000 ALTER TABLE `stocks_voucher_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_voucher_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stocks_voucher_items`
--

DROP TABLE IF EXISTS `stocks_voucher_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stocks_voucher_items` (
  `book_name` varchar(10) NOT NULL,
  `sl_no_of_stocks_voucher` int(11) NOT NULL DEFAULT '0',
  `sl_no` int(11) NOT NULL DEFAULT '0',
  `stock_id` varchar(20) DEFAULT NULL,
  `qnty` decimal(18,2) DEFAULT '0.00',
  `voucher_item_value` decimal(18,2) DEFAULT '0.00',
  `stock_update` varchar(5) DEFAULT NULL,
  `customer_id` varchar(50) NOT NULL,
  `tax_received_amount` decimal(18,2) DEFAULT '0.00',
  `sell_rate` decimal(18,2) DEFAULT '0.00',
  `printed` varchar(50) DEFAULT 'n',
  `user_id` varchar(5) DEFAULT NULL,
  `issue_time` datetime DEFAULT NULL,
  `trade_discount_value` decimal(18,2) DEFAULT '0.00',
  `cash_discount_value` decimal(18,2) DEFAULT '0.00',
  `rounded_spread` decimal(4,2) DEFAULT '0.00',
  `instant_stock` decimal(18,2) DEFAULT '0.00',
  `received_amount` decimal(18,2) DEFAULT '0.00',
  `concession_board` decimal(18,2) DEFAULT '0.00',
  `adj_with_advance` decimal(18,2) DEFAULT '0.00',
  `returned_amount` decimal(18,1) DEFAULT '0.0',
  `ordered_quanty` decimal(18,1) DEFAULT '0.0',
  `sales_return_qnty` decimal(18,1) NOT NULL DEFAULT '0.0',
  PRIMARY KEY (`book_name`,`sl_no_of_stocks_voucher`,`sl_no`,`customer_id`),
  KEY `customer_id` (`customer_id`),
  KEY `stock_id` (`stock_id`),
  KEY `sl_no_of_stocks_voucher` (`sl_no_of_stocks_voucher`),
  KEY `user_id` (`user_id`),
  KEY `FK_stocks_voucher_items_2` (`stock_id`,`book_name`),
  CONSTRAINT `FK_stocks_voucher_items_1` FOREIGN KEY (`book_name`, `sl_no_of_stocks_voucher`) REFERENCES `stocks_voucher_header` (`book_name`, `sl_no_of_stocks_voucher`),
  CONSTRAINT `FK_stocks_voucher_items_2` FOREIGN KEY (`stock_id`, `book_name`) REFERENCES `stocks_master_all` (`stock_id`, `book_name`),
  CONSTRAINT `FK_stocks_voucher_items_3` FOREIGN KEY (`customer_id`) REFERENCES `all_customers` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stocks_voucher_items`
--

LOCK TABLES `stocks_voucher_items` WRITE;
/*!40000 ALTER TABLE `stocks_voucher_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `stocks_voucher_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `summary_display_options_for_all_modules`
--

DROP TABLE IF EXISTS `summary_display_options_for_all_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `summary_display_options_for_all_modules` (
  `module_name` varchar(255) NOT NULL,
  `last_modified_user_id` varchar(255) NOT NULL,
  `display_type_name` varchar(255) NOT NULL,
  `format_for_summary_display` int(11) DEFAULT '0',
  `format_for_detail_display` int(11) DEFAULT '0',
  `format_for_fine_display` int(11) DEFAULT '0',
  `filter_after_retrieve_for_discard` varchar(255) DEFAULT NULL,
  `unique_column` varchar(100) DEFAULT NULL,
  `summary_expression` varchar(255) DEFAULT NULL,
  `detail_expression` varchar(255) DEFAULT NULL,
  `fine_expression` varchar(255) DEFAULT NULL,
  `sort_expression` varchar(255) DEFAULT NULL,
  `filter_after_format_discard` varchar(255) DEFAULT NULL,
  `filter_after_format_keep` varchar(255) DEFAULT NULL,
  `first_sort` varchar(255) DEFAULT '-',
  `title_for_summary` varchar(255) DEFAULT '-',
  `title_for_details` varchar(255) DEFAULT '-',
  `title_for_fine` varchar(255) DEFAULT '-',
  `special_algorithm` varchar(255) DEFAULT '-',
  `sl_no_summary1` varchar(255) DEFAULT '-',
  `sl_no_summary2` varchar(255) DEFAULT '-',
  `sl_no_details1` varchar(255) DEFAULT '-',
  `sl_no_details2` varchar(255) DEFAULT '-',
  `sl_no_fine1` varchar(255) DEFAULT '-',
  `sl_no_fine2` varchar(255) DEFAULT '-',
  `compute1` varchar(255) DEFAULT '-',
  `compute2` varchar(255) DEFAULT '-',
  `compute3` varchar(255) DEFAULT '-',
  `compute4` varchar(255) DEFAULT '-',
  `compute5` varchar(255) DEFAULT '-',
  `compute6` varchar(255) DEFAULT '-',
  `compute7` varchar(255) DEFAULT '-',
  `compute8` varchar(255) DEFAULT '-',
  `compute9` varchar(255) DEFAULT '-',
  `compute10` varchar(255) DEFAULT '-',
  `summary_format` varchar(255) DEFAULT '-',
  `detail_format` varchar(255) DEFAULT '-',
  `fine_format` varchar(255) DEFAULT '-',
  PRIMARY KEY (`module_name`,`display_type_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `summary_display_options_for_all_modules`
--

LOCK TABLES `summary_display_options_for_all_modules` WRITE;
/*!40000 ALTER TABLE `summary_display_options_for_all_modules` DISABLE KEYS */;
/*!40000 ALTER TABLE `summary_display_options_for_all_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_ids`
--

DROP TABLE IF EXISTS `sys_ids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_ids` (
  `hdd_sl_no` varchar(255) NOT NULL DEFAULT '-',
  `all_ids` varchar(255) NOT NULL DEFAULT '-',
  `host_name` varchar(255) NOT NULL DEFAULT '-',
  `e_mail_id` varchar(255) NOT NULL DEFAULT '-',
  `no_of_users` int(10) unsigned NOT NULL DEFAULT '0',
  `to_date` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_no` varchar(45) NOT NULL DEFAULT '-',
  PRIMARY KEY (`hdd_sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_ids`
--

LOCK TABLES `sys_ids` WRITE;
/*!40000 ALTER TABLE `sys_ids` DISABLE KEYS */;
/*!40000 ALTER TABLE `sys_ids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tables_and_columns`
--

DROP TABLE IF EXISTS `tables_and_columns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tables_and_columns` (
  `table_name1` varchar(255) NOT NULL DEFAULT '-',
  `column_name1` varchar(255) NOT NULL DEFAULT '-',
  `data_type1` varchar(255) NOT NULL DEFAULT '-',
  `primary_key1` varchar(255) NOT NULL DEFAULT '-',
  `sl_no1` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`table_name1`,`column_name1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='for data mining';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tables_and_columns`
--

LOCK TABLES `tables_and_columns` WRITE;
/*!40000 ALTER TABLE `tables_and_columns` DISABLE KEYS */;
/*!40000 ALTER TABLE `tables_and_columns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tables_columns`
--

DROP TABLE IF EXISTS `tables_columns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tables_columns` (
  `parameter1` varchar(100) NOT NULL,
  `value1` varchar(100) NOT NULL,
  `category1` varchar(100) DEFAULT NULL,
  `comment1` varchar(100) DEFAULT NULL,
  `comment2` varchar(100) DEFAULT NULL,
  `comment3` varchar(100) DEFAULT NULL,
  `comment4` varchar(100) DEFAULT NULL,
  `comment5` varchar(100) DEFAULT NULL,
  `comment6` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`parameter1`,`value1`),
  UNIQUE KEY `parameter1` (`parameter1`,`category1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tables_columns`
--

LOCK TABLES `tables_columns` WRITE;
/*!40000 ALTER TABLE `tables_columns` DISABLE KEYS */;
/*!40000 ALTER TABLE `tables_columns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `updates_of_database`
--

DROP TABLE IF EXISTS `updates_of_database`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `updates_of_database` (
  `dated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `sl_no` decimal(10,0) NOT NULL DEFAULT '1',
  `syntax1` longtext,
  PRIMARY KEY (`dated`,`sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `updates_of_database`
--

LOCK TABLES `updates_of_database` WRITE;
/*!40000 ALTER TABLE `updates_of_database` DISABLE KEYS */;
/*!40000 ALTER TABLE `updates_of_database` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `updates_of_program`
--

DROP TABLE IF EXISTS `updates_of_program`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `updates_of_program` (
  `exe_dll_file_name` varchar(255) NOT NULL,
  `updated_on` varchar(50) DEFAULT NULL,
  `information_column` varchar(50) DEFAULT NULL,
  `file_blob` longblob,
  `users_allowed` text,
  `full_path` varchar(255) DEFAULT '-',
  `destination_path` varchar(255) DEFAULT '-',
  `date_time_length` varchar(255) DEFAULT '-',
  PRIMARY KEY (`exe_dll_file_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `updates_of_program`
--

LOCK TABLES `updates_of_program` WRITE;
/*!40000 ALTER TABLE `updates_of_program` DISABLE KEYS */;
/*!40000 ALTER TABLE `updates_of_program` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upi_collections`
--

DROP TABLE IF EXISTS `upi_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `upi_collections` (
  `started` datetime NOT NULL DEFAULT '2001-01-01 00:00:01',
  `user_id` varchar(50) NOT NULL DEFAULT 'DIREC',
  `upi_id_used` varchar(100) NOT NULL DEFAULT '-',
  `amount` decimal(18,2) NOT NULL DEFAULT '0.00',
  `bill_no` int(11) unsigned NOT NULL DEFAULT '0',
  `module1` varchar(50) NOT NULL DEFAULT '-',
  `gen_comments` varchar(100) NOT NULL DEFAULT '-',
  `remarks` varchar(100) NOT NULL DEFAULT '-',
  `customer_id` varchar(50) NOT NULL DEFAULT '-',
  `utr_no` varchar(100) NOT NULL DEFAULT '-',
  `book_name` varchar(10) NOT NULL DEFAULT '-',
  PRIMARY KEY (`started`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `upi_collections`
--

LOCK TABLES `upi_collections` WRITE;
/*!40000 ALTER TABLE `upi_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `upi_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usb_lock_guide`
--

DROP TABLE IF EXISTS `usb_lock_guide`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usb_lock_guide` (
  `user_name` varchar(50) NOT NULL DEFAULT '-',
  `host_name` varchar(255) NOT NULL DEFAULT '-',
  `usb_lock` varchar(50) DEFAULT 'no',
  `host_ip` varchar(100) NOT NULL DEFAULT '-',
  PRIMARY KEY (`user_name`,`host_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usb_lock_guide`
--

LOCK TABLES `usb_lock_guide` WRITE;
/*!40000 ALTER TABLE `usb_lock_guide` DISABLE KEYS */;
/*!40000 ALTER TABLE `usb_lock_guide` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ut_crypto_files`
--

DROP TABLE IF EXISTS `ut_crypto_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ut_crypto_files` (
  `sl_no` int(10) unsigned NOT NULL DEFAULT '1',
  `file_nme` varchar(255) DEFAULT '-',
  `file_data` longblob,
  PRIMARY KEY (`sl_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ut_crypto_files`
--

LOCK TABLES `ut_crypto_files` WRITE;
/*!40000 ALTER TABLE `ut_crypto_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `ut_crypto_files` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-03-09 20:31:20
